/*
 * Internal module API header file.
 *
 * Generated by SIP 6.12.0
 *
 * Copyright (c) 2025 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtNetworkAPI_H
#define _QtNetworkAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_Vulkan
#define SIP_FEATURE_PyQt_Permissions
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL_ES2
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_Linux
#define SIP_TIMELINE_Qt_6_9_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_0 0
#define sipName_0 &sipStrings_QtNetwork[0]
#define sipNameNr_QSslConfiguration__NextProtocolNegotiationStatus 50
#define sipName_QSslConfiguration__NextProtocolNegotiationStatus &sipStrings_QtNetwork[50]
#define sipNameNr_ConnectionCacheExpiryTimeoutSecondsAttribute 99
#define sipName_ConnectionCacheExpiryTimeoutSecondsAttribute &sipStrings_QtNetwork[99]
#define sipNameNr_QDnsTlsAssociationRecord__CertificateUsage 144
#define sipName_QDnsTlsAssociationRecord__CertificateUsage &sipStrings_QtNetwork[144]
#define sipNameNr_187 187
#define sipName_187 &sipStrings_QtNetwork[187]
#define sipNameNr_QNetworkAddressEntry__DnsEligibilityStatus 230
#define sipName_QNetworkAddressEntry__DnsEligibilityStatus &sipStrings_QtNetwork[230]
#define sipNameNr_273 273
#define sipName_273 &sipStrings_QtNetwork[273]
#define sipNameNr_314 314
#define sipName_314 &sipStrings_QtNetwork[314]
#define sipNameNr_355 355
#define sipName_355 &sipStrings_QtNetwork[355]
#define sipNameNr_QNetworkRequest__TransferTimeoutConstant 396
#define sipName_QNetworkRequest__TransferTimeoutConstant &sipStrings_QtNetwork[396]
#define sipNameNr_QDnsTlsAssociationRecord__MatchingType 437
#define sipName_QDnsTlsAssociationRecord__MatchingType &sipStrings_QtNetwork[437]
#define sipNameNr_SslOptionDisableServerCipherPreference 476
#define sipName_SslOptionDisableServerCipherPreference &sipStrings_QtNetwork[476]
#define sipNameNr_EmitAllUploadProgressSignalsAttribute 515
#define sipName_EmitAllUploadProgressSignalsAttribute &sipStrings_QtNetwork[515]
#define sipNameNr_QAbstractSocket__NetworkLayerProtocol 553
#define sipName_QAbstractSocket__NetworkLayerProtocol &sipStrings_QtNetwork[553]
#define sipNameNr_isStrictTransportSecurityStoreEnabled 591
#define sipName_isStrictTransportSecurityStoreEnabled &sipStrings_QtNetwork[591]
#define sipNameNr_629 629
#define sipName_629 &sipStrings_QtNetwork[629]
#define sipNameNr_QNetworkInformation__TransportMedium 666
#define sipName_QNetworkInformation__TransportMedium &sipStrings_QtNetwork[666]
#define sipNameNr_SslOptionDisableServerNameIndication 703
#define sipName_SslOptionDisableServerNameIndication &sipStrings_QtNetwork[703]
#define sipNameNr_AuthorityIssuerSerialNumberMismatch 740
#define sipName_AuthorityIssuerSerialNumberMismatch &sipStrings_QtNetwork[740]
#define sipNameNr_CrossOriginEmbedderPolicyReportOnly 776
#define sipName_CrossOriginEmbedderPolicyReportOnly &sipStrings_QtNetwork[776]
#define sipNameNr_SslOptionDisableLegacyRenegotiation 812
#define sipName_SslOptionDisableLegacyRenegotiation &sipStrings_QtNetwork[812]
#define sipNameNr_UnableToDecryptCertificateSignature 848
#define sipName_UnableToDecryptCertificateSignature &sipStrings_QtNetwork[848]
#define sipNameNr_setDecompressedSafetyCheckThreshold 884
#define sipName_setDecompressedSafetyCheckThreshold &sipStrings_QtNetwork[884]
#define sipNameNr_NextProtocolNegotiationUnsupported 920
#define sipName_NextProtocolNegotiationUnsupported &sipStrings_QtNetwork[920]
#define sipNameNr_QDnsTlsAssociationRecord__Selector 955
#define sipName_QDnsTlsAssociationRecord__Selector &sipStrings_QtNetwork[955]
#define sipNameNr_990 990
#define sipName_990 &sipStrings_QtNetwork[990]
#define sipNameNr_1025 1025
#define sipName_1025 &sipStrings_QtNetwork[1025]
#define sipNameNr_1060 1060
#define sipName_1060 &sipStrings_QtNetwork[1060]
#define sipNameNr_QSslDiffieHellmanParameters__Error 1095
#define sipName_QSslDiffieHellmanParameters__Error &sipStrings_QtNetwork[1095]
#define sipNameNr_SslOptionDisableSessionPersistence 1130
#define sipName_SslOptionDisableSessionPersistence &sipStrings_QtNetwork[1130]
#define sipNameNr_enableStrictTransportSecurityStore 1165
#define sipName_enableStrictTransportSecurityStore &sipStrings_QtNetwork[1165]
#define sipNameNr_preSharedKeyAuthenticationRequired 1200
#define sipName_preSharedKeyAuthenticationRequired &sipStrings_QtNetwork[1200]
#define sipNameNr_ContentOperationNotPermittedError 1235
#define sipName_ContentOperationNotPermittedError &sipStrings_QtNetwork[1235]
#define sipNameNr_CrossOriginOpenerPolicyReportOnly 1269
#define sipName_CrossOriginOpenerPolicyReportOnly &sipStrings_QtNetwork[1269]
#define sipNameNr_NextProtocolNegotiationNegotiated 1303
#define sipName_NextProtocolNegotiationNegotiated &sipStrings_QtNetwork[1303]
#define sipNameNr_1337 1337
#define sipName_1337 &sipStrings_QtNetwork[1337]
#define sipNameNr_1371 1371
#define sipName_1371 &sipStrings_QtNetwork[1371]
#define sipNameNr_QNetworkInformation__Reachability 1405
#define sipName_QNetworkInformation__Reachability &sipStrings_QtNetwork[1405]
#define sipNameNr_QNetworkRequest__CacheLoadControl 1439
#define sipName_QNetworkRequest__CacheLoadControl &sipStrings_QtNetwork[1439]
#define sipNameNr_UnableToGetLocalIssuerCertificate 1473
#define sipName_UnableToGetLocalIssuerCertificate &sipStrings_QtNetwork[1473]
#define sipNameNr_setSslConfigurationImplementation 1507
#define sipName_setSslConfigurationImplementation &sipStrings_QtNetwork[1507]
#define sipNameNr_setStrictTransportSecurityEnabled 1541
#define sipName_setStrictTransportSecurityEnabled &sipStrings_QtNetwork[1541]
#define sipNameNr_AutoDeleteReplyOnFinishAttribute 1575
#define sipName_AutoDeleteReplyOnFinishAttribute &sipStrings_QtNetwork[1575]
#define sipNameNr_BackgroundRequestNotAllowedError 1608
#define sipName_BackgroundRequestNotAllowedError &sipStrings_QtNetwork[1608]
#define sipNameNr_ProxyAuthenticationRequiredError 1641
#define sipName_ProxyAuthenticationRequiredError &sipStrings_QtNetwork[1641]
#define sipNameNr_1674 1674
#define sipName_1674 &sipStrings_QtNetwork[1674]
#define sipNameNr_QHostAddress__ConversionModeFlag 1707
#define sipName_QHostAddress__ConversionModeFlag &sipStrings_QtNetwork[1707]
#define sipNameNr_QNetworkAccessManager__Operation 1740
#define sipName_QNetworkAccessManager__Operation &sipStrings_QtNetwork[1740]
#define sipNameNr_QNetworkInterface__InterfaceFlag 1773
#define sipName_QNetworkInterface__InterfaceFlag &sipStrings_QtNetwork[1773]
#define sipNameNr_QNetworkInterface__InterfaceType 1806
#define sipName_QNetworkInterface__InterfaceType &sipStrings_QtNetwork[1806]
#define sipNameNr_UseRfc7578PercentEncodedFilename 1839
#define sipName_UseRfc7578PercentEncodedFilename &sipStrings_QtNetwork[1839]
#define sipNameNr_decompressedSafetyCheckThreshold 1872
#define sipName_decompressedSafetyCheckThreshold &sipStrings_QtNetwork[1872]
#define sipNameNr_isStrictTransportSecurityEnabled 1905
#define sipName_isStrictTransportSecurityEnabled &sipStrings_QtNetwork[1905]
#define sipNameNr_setDtlsCookieVerificationEnabled 1938
#define sipName_setDtlsCookieVerificationEnabled &sipStrings_QtNetwork[1938]
#define sipNameNr_setHandshakeMustInterruptOnError 1971
#define sipName_setHandshakeMustInterruptOnError &sipStrings_QtNetwork[1971]
#define sipNameNr_2004 2004
#define sipName_2004 &sipStrings_QtNetwork[2004]
#define sipNameNr_ContentSecurityPolicyReportOnly 2037
#define sipName_ContentSecurityPolicyReportOnly &sipStrings_QtNetwork[2037]
#define sipNameNr_2069 2069
#define sipName_2069 &sipStrings_QtNetwork[2069]
#define sipNameNr_2101 2101
#define sipName_2101 &sipStrings_QtNetwork[2101]
#define sipNameNr_2133 2133
#define sipName_2133 &sipStrings_QtNetwork[2133]
#define sipNameNr_QNetworkRequest__RedirectPolicy 2165
#define sipName_QNetworkRequest__RedirectPolicy &sipStrings_QtNetwork[2165]
#define sipNameNr_UnsupportedSocketOperationError 2197
#define sipName_UnsupportedSocketOperationError &sipStrings_QtNetwork[2197]
#define sipNameNr_addStrictTransportSecurityHosts 2229
#define sipName_addStrictTransportSecurityHosts &sipStrings_QtNetwork[2229]
#define sipNameNr_DefaultTransferTimeoutConstant 2261
#define sipName_DefaultTransferTimeoutConstant &sipStrings_QtNetwork[2261]
#define sipNameNr_DoNotBufferUploadDataAttribute 2292
#define sipName_DoNotBufferUploadDataAttribute &sipStrings_QtNetwork[2292]
#define sipNameNr_Http2CleartextAllowedAttribute 2323
#define sipName_Http2CleartextAllowedAttribute &sipStrings_QtNetwork[2323]
#define sipNameNr_HttpPipeliningAllowedAttribute 2354
#define sipName_HttpPipeliningAllowedAttribute &sipStrings_QtNetwork[2354]
#define sipNameNr_HttpPipeliningWasUsedAttribute 2385
#define sipName_HttpPipeliningWasUsedAttribute &sipStrings_QtNetwork[2385]
#define sipNameNr_OriginalContentLengthAttribute 2416
#define sipName_OriginalContentLengthAttribute &sipStrings_QtNetwork[2416]
#define sipNameNr_QLocalSocket__LocalSocketError 2447
#define sipName_QLocalSocket__LocalSocketError &sipStrings_QtNetwork[2447]
#define sipNameNr_QLocalSocket__LocalSocketState 2478
#define sipName_QLocalSocket__LocalSocketState &sipStrings_QtNetwork[2478]
#define sipNameNr_QSsl__AlternativeNameEntryType 2509
#define sipName_QSsl__AlternativeNameEntryType &sipStrings_QtNetwork[2509]
#define sipNameNr_QSslCertificate__PatternSyntax 2540
#define sipName_QSslCertificate__PatternSyntax &sipStrings_QtNetwork[2540]
#define sipNameNr_SocketAddressNotAvailableError 2571
#define sipName_SocketAddressNotAvailableError &sipStrings_QtNetwork[2571]
#define sipNameNr_SslOptionDisableEmptyFragments 2602
#define sipName_SslOptionDisableEmptyFragments &sipStrings_QtNetwork[2602]
#define sipNameNr_SslOptionDisableSessionSharing 2633
#define sipName_SslOptionDisableSessionSharing &sipStrings_QtNetwork[2633]
#define sipNameNr_SslOptionDisableSessionTickets 2664
#define sipName_SslOptionDisableSessionTickets &sipStrings_QtNetwork[2664]
#define sipNameNr_UnableToVerifyFirstCertificate 2695
#define sipName_UnableToVerifyFirstCertificate &sipStrings_QtNetwork[2695]
#define sipNameNr_UnfinishedSocketOperationError 2726
#define sipName_UnfinishedSocketOperationError &sipStrings_QtNetwork[2726]
#define sipNameNr_sslConfigurationImplementation 2757
#define sipName_sslConfigurationImplementation &sipStrings_QtNetwork[2757]
#define sipNameNr_supportedSchemesImplementation 2788
#define sipName_supportedSchemesImplementation &sipStrings_QtNetwork[2788]
#define sipNameNr_AccessControlAllowCredentials 2819
#define sipName_AccessControlAllowCredentials &sipStrings_QtNetwork[2819]
#define sipNameNr_CertificateAuthorityConstrait 2849
#define sipName_CertificateAuthorityConstrait &sipStrings_QtNetwork[2849]
#define sipNameNr_IncludeReferredTokenBindingID 2879
#define sipName_IncludeReferredTokenBindingID &sipStrings_QtNetwork[2879]
#define sipNameNr_NextProtocolNegotiationStatus 69
#define sipName_NextProtocolNegotiationStatus &sipStrings_QtNetwork[69]
#define sipNameNr_ProtocolInvalidOperationError 2909
#define sipName_ProtocolInvalidOperationError &sipStrings_QtNetwork[2909]
#define sipNameNr_QAbstractSocket__SocketOption 2939
#define sipName_QAbstractSocket__SocketOption &sipStrings_QtNetwork[2939]
#define sipNameNr_QHttpHeaders__WellKnownHeader 2969
#define sipName_QHttpHeaders__WellKnownHeader &sipStrings_QtNetwork[2969]
#define sipNameNr_2999 2999
#define sipName_2999 &sipStrings_QtNetwork[2999]
#define sipNameNr_3029 3029
#define sipName_3029 &sipStrings_QtNetwork[3029]
#define sipNameNr_3059 3059
#define sipName_3059 &sipStrings_QtNetwork[3059]
#define sipNameNr_QNetworkProxyQuery__QueryType 3089
#define sipName_QNetworkProxyQuery__QueryType &sipStrings_QtNetwork[3089]
#define sipNameNr_QNetworkRequest__KnownHeaders 3119
#define sipName_QNetworkRequest__KnownHeaders &sipStrings_QtNetwork[3119]
#define sipNameNr_QSslPreSharedKeyAuthenticator 3149
#define sipName_QSslPreSharedKeyAuthenticator &sipStrings_QtNetwork[3149]
#define sipNameNr_ReceiveBufferSizeSocketOption 3179
#define sipName_ReceiveBufferSizeSocketOption &sipStrings_QtNetwork[3179]
#define sipNameNr_UnableToDecodeIssuerPublicKey 3209
#define sipName_UnableToDecodeIssuerPublicKey &sipStrings_QtNetwork[3209]
#define sipNameNr_dtlsCookieVerificationEnabled 3239
#define sipName_dtlsCookieVerificationEnabled &sipStrings_QtNetwork[3239]
#define sipNameNr_handshakeMustInterruptOnError 3269
#define sipName_handshakeMustInterruptOnError &sipStrings_QtNetwork[3269]
#define sipNameNr_ignoreSslErrorsImplementation 3299
#define sipName_ignoreSslErrorsImplementation &sipStrings_QtNetwork[3299]
#define sipNameNr_nextProtocolNegotiationStatus 3329
#define sipName_nextProtocolNegotiationStatus &sipStrings_QtNetwork[3329]
#define sipNameNr_setBackendConfigurationOption 3359
#define sipName_setBackendConfigurationOption &sipStrings_QtNetwork[3359]
#define sipNameNr_setNumberOfConnectionsPerHost 3389
#define sipName_setNumberOfConnectionsPerHost &sipStrings_QtNetwork[3389]
#define sipNameNr_AuthenticationReuseAttribute 3419
#define sipName_AuthenticationReuseAttribute &sipStrings_QtNetwork[3419]
#define sipNameNr_BadCertificateStatusResponse 3448
#define sipName_BadCertificateStatusResponse &sipStrings_QtNetwork[3448]
#define sipNameNr_ConnectionEncryptedAttribute 3477
#define sipName_ConnectionEncryptedAttribute &sipStrings_QtNetwork[3477]
#define sipNameNr_FullLocalServerNameAttribute 3506
#define sipName_FullLocalServerNameAttribute &sipStrings_QtNetwork[3506]
#define sipNameNr_OperationNotImplementedError 3535
#define sipName_OperationNotImplementedError &sipStrings_QtNetwork[3535]
#define sipNameNr_QAbstractSocket__SocketError 3564
#define sipName_QAbstractSocket__SocketError &sipStrings_QtNetwork[3564]
#define sipNameNr_QAbstractSocket__SocketState 3593
#define sipName_QAbstractSocket__SocketState &sipStrings_QtNetwork[3593]
#define sipNameNr_QHostAddress__SpecialAddress 3622
#define sipName_QHostAddress__SpecialAddress &sipStrings_QtNetwork[3622]
#define sipNameNr_3651 3651
#define sipName_3651 &sipStrings_QtNetwork[3651]
#define sipNameNr_QNetworkInformation__Feature 3680
#define sipName_QNetworkInformation__Feature &sipStrings_QtNetwork[3680]
#define sipNameNr_QNetworkRequest__LoadControl 3709
#define sipName_QNetworkRequest__LoadControl &sipStrings_QtNetwork[3709]
#define sipNameNr_QSslCertificate__SubjectInfo 3738
#define sipName_QSslCertificate__SubjectInfo &sipStrings_QtNetwork[3738]
#define sipNameNr_SelfSignedCertificateInChain 3767
#define sipName_SelfSignedCertificateInChain &sipStrings_QtNetwork[3767]
#define sipNameNr_ServiceCertificateConstraint 3796
#define sipName_ServiceCertificateConstraint &sipStrings_QtNetwork[3796]
#define sipNameNr_TemporaryNetworkFailureError 3825
#define sipName_TemporaryNetworkFailureError &sipStrings_QtNetwork[3825]
#define sipNameNr_UnableToGetIssuerCertificate 3854
#define sipName_UnableToGetIssuerCertificate &sipStrings_QtNetwork[3854]
#define sipNameNr_continueInterruptedHandshake 3883
#define sipName_continueInterruptedHandshake &sipStrings_QtNetwork[3883]
#define sipNameNr_isBehindCaptivePortalChanged 3912
#define sipName_isBehindCaptivePortalChanged &sipStrings_QtNetwork[3912]
#define sipNameNr_setHuffmanCompressionEnabled 3941
#define sipName_setHuffmanCompressionEnabled &sipStrings_QtNetwork[3941]
#define sipNameNr_setMissingCertificateIsFatal 3970
#define sipName_setMissingCertificateIsFatal &sipStrings_QtNetwork[3970]
#define sipNameNr_sslLibraryBuildVersionNumber 3999
#define sipName_sslLibraryBuildVersionNumber &sipStrings_QtNetwork[3999]
#define sipNameNr_sslLibraryBuildVersionString 4028
#define sipName_sslLibraryBuildVersionString &sipStrings_QtNetwork[4028]
#define sipNameNr_4057 4057
#define sipName_4057 &sipStrings_QtNetwork[4057]
#define sipNameNr_strictTransportSecurityHosts 4086
#define sipName_strictTransportSecurityHosts &sipStrings_QtNetwork[4086]
#define sipNameNr_AccessControlRequestHeaders 4115
#define sipName_AccessControlRequestHeaders &sipStrings_QtNetwork[4115]
#define sipNameNr_AuthenticationRequiredError 1646
#define sipName_AuthenticationRequiredError &sipStrings_QtNetwork[1646]
#define sipNameNr_NextProtocolNegotiationNone 4143
#define sipName_NextProtocolNegotiationNone &sipStrings_QtNetwork[4143]
#define sipNameNr_OcspResponseCannotBeTrusted 4171
#define sipName_OcspResponseCannotBeTrusted &sipStrings_QtNetwork[4171]
#define sipNameNr_PreferLatin1EncodedFilename 4199
#define sipName_PreferLatin1EncodedFilename &sipStrings_QtNetwork[4199]
#define sipNameNr_ProxyConnectionRefusedError 4227
#define sipName_ProxyConnectionRefusedError &sipStrings_QtNetwork[4227]
#define sipNameNr_ProxyConnectionTimeoutError 4255
#define sipName_ProxyConnectionTimeoutError &sipStrings_QtNetwork[4255]
#define sipNameNr_QAbstractSocket__SocketType 4283
#define sipName_QAbstractSocket__SocketType &sipStrings_QtNetwork[4283]
#define sipNameNr_QHttpMultiPart__ContentType 4311
#define sipName_QHttpMultiPart__ContentType &sipStrings_QtNetwork[4311]
#define sipNameNr_4339 4339
#define sipName_4339 &sipStrings_QtNetwork[4339]
#define sipNameNr_4367 4367
#define sipName_4367 &sipStrings_QtNetwork[4367]
#define sipNameNr_QNetworkReply__NetworkError 4395
#define sipName_QNetworkReply__NetworkError &sipStrings_QtNetwork[4395]
#define sipNameNr_QSslDiffieHellmanParameters 4423
#define sipName_QSslDiffieHellmanParameters &sipStrings_QtNetwork[4423]
#define sipNameNr_SslOptionDisableCompression 4451
#define sipName_SslOptionDisableCompression &sipStrings_QtNetwork[4451]
#define sipNameNr_UnknownNetworkLayerProtocol 4479
#define sipName_UnknownNetworkLayerProtocol &sipStrings_QtNetwork[4479]
#define sipNameNr_handshakeInterruptedOnError 4507
#define sipName_handshakeInterruptedOnError &sipStrings_QtNetwork[4507]
#define sipNameNr_proxyAuthenticationRequired 4535
#define sipName_proxyAuthenticationRequired &sipStrings_QtNetwork[4535]
#define sipNameNr_setDefaultDtlsConfiguration 4563
#define sipName_setDefaultDtlsConfiguration &sipStrings_QtNetwork[4563]
#define sipNameNr_setPreSharedKeyIdentityHint 4591
#define sipName_setPreSharedKeyIdentityHint &sipStrings_QtNetwork[4591]
#define sipNameNr_setSessionReceiveWindowSize 4619
#define sipName_setSessionReceiveWindowSize &sipStrings_QtNetwork[4619]
#define sipNameNr_4647 4647
#define sipName_4647 &sipStrings_QtNetwork[4647]
#define sipNameNr_AccessControlExposeHeaders 4675
#define sipName_AccessControlExposeHeaders &sipStrings_QtNetwork[4675]
#define sipNameNr_AccessControlRequestMethod 4702
#define sipName_AccessControlRequestMethod &sipStrings_QtNetwork[4702]
#define sipNameNr_BackgroundRequestAttribute 4729
#define sipName_BackgroundRequestAttribute &sipStrings_QtNetwork[4729]
#define sipNameNr_CertificateSignatureFailed 4756
#define sipName_CertificateSignatureFailed &sipStrings_QtNetwork[4756]
#define sipNameNr_CookieLoadControlAttribute 4783
#define sipName_CookieLoadControlAttribute &sipStrings_QtNetwork[4783]
#define sipNameNr_CookieSaveControlAttribute 4810
#define sipName_CookieSaveControlAttribute &sipStrings_QtNetwork[4810]
#define sipNameNr_DistinguishedNameQualifier 4837
#define sipName_DistinguishedNameQualifier &sipStrings_QtNetwork[4837]
#define sipNameNr_OmitRfc8187EncodedFilename 4864
#define sipName_OmitRfc8187EncodedFilename &sipStrings_QtNetwork[4864]
#define sipNameNr_ProxyConnectionClosedError 4891
#define sipName_ProxyConnectionClosedError &sipStrings_QtNetwork[4891]
#define sipNameNr_QAbstractSocket__PauseMode 4918
#define sipName_QAbstractSocket__PauseMode &sipStrings_QtNetwork[4918]
#define sipNameNr_QLocalServer__SocketOption 4945
#define sipName_QLocalServer__SocketOption &sipStrings_QtNetwork[4945]
#define sipNameNr_QLocalSocket__SocketOption 4972
#define sipName_QLocalSocket__SocketOption &sipStrings_QtNetwork[4972]
#define sipNameNr_QNetworkRequest__Attribute 4999
#define sipName_QNetworkRequest__Attribute &sipStrings_QtNetwork[4999]
#define sipNameNr_QSslSocket__PeerVerifyMode 5026
#define sipName_QSslSocket__PeerVerifyMode &sipStrings_QtNetwork[5026]
#define sipNameNr_RedirectionTargetAttribute 5053
#define sipName_RedirectionTargetAttribute &sipStrings_QtNetwork[5053]
#define sipNameNr_SendBufferSizeSocketOption 5080
#define sipName_SendBufferSizeSocketOption &sipStrings_QtNetwork[5080]
#define sipNameNr_SourceIsFromCacheAttribute 5107
#define sipName_SourceIsFromCacheAttribute &sipStrings_QtNetwork[5107]
#define sipNameNr_UserVerifiedRedirectPolicy 5134
#define sipName_UserVerifiedRedirectPolicy &sipStrings_QtNetwork[5134]
#define sipNameNr_numberOfConnectionsPerHost 5161
#define sipName_numberOfConnectionsPerHost &sipStrings_QtNetwork[5161]
#define sipNameNr_pendingConnectionAvailable 5188
#define sipName_pendingConnectionAvailable &sipStrings_QtNetwork[5188]
#define sipNameNr_setApplicationProxyFactory 5215
#define sipName_setApplicationProxyFactory &sipStrings_QtNetwork[5215]
#define sipNameNr_setDiffieHellmanParameters 5242
#define sipName_setDiffieHellmanParameters &sipStrings_QtNetwork[5242]
#define sipNameNr_setMaximumRedirectsAllowed 5269
#define sipName_setMaximumRedirectsAllowed &sipStrings_QtNetwork[5269]
#define sipNameNr_setStreamReceiveWindowSize 5296
#define sipName_setStreamReceiveWindowSize &sipStrings_QtNetwork[5296]
#define sipNameNr_startedEncryptionHandshake 5323
#define sipName_startedEncryptionHandshake &sipStrings_QtNetwork[5323]
#define sipNameNr_AccessControlAllowHeaders 5350
#define sipName_AccessControlAllowHeaders &sipStrings_QtNetwork[5350]
#define sipNameNr_AccessControlAllowMethods 5376
#define sipName_AccessControlAllowMethods &sipStrings_QtNetwork[5376]
#define sipNameNr_CacheLoadControlAttribute 5402
#define sipName_CacheLoadControlAttribute &sipStrings_QtNetwork[5402]
#define sipNameNr_CacheSaveControlAttribute 5428
#define sipName_CacheSaveControlAttribute &sipStrings_QtNetwork[5428]
#define sipNameNr_ConvertUnspecifiedAddress 5454
#define sipName_ConvertUnspecifiedAddress &sipStrings_QtNetwork[5454]
#define sipNameNr_CrossOriginEmbedderPolicy 5480
#define sipName_CrossOriginEmbedderPolicy &sipStrings_QtNetwork[5480]
#define sipNameNr_CrossOriginResourcePolicy 5506
#define sipName_CrossOriginResourcePolicy &sipStrings_QtNetwork[5506]
#define sipNameNr_HttpReasonPhraseAttribute 5532
#define sipName_HttpReasonPhraseAttribute &sipStrings_QtNetwork[5532]
#define sipNameNr_NetworkSessionFailedError 5558
#define sipName_NetworkSessionFailedError &sipStrings_QtNetwork[5558]
#define sipNameNr_OcspResponseCertIdUnknown 5584
#define sipName_OcspResponseCertIdUnknown &sipStrings_QtNetwork[5584]
#define sipNameNr_QAbstractSocket__BindFlag 5610
#define sipName_QAbstractSocket__BindFlag &sipStrings_QtNetwork[5610]
#define sipNameNr_5636 5636
#define sipName_5636 &sipStrings_QtNetwork[5636]
#define sipNameNr_QNetworkProxy__Capability 5662
#define sipName_QNetworkProxy__Capability &sipStrings_QtNetwork[5662]
#define sipNameNr_QNetworkRequest__Priority 5688
#define sipName_QNetworkRequest__Priority &sipStrings_QtNetwork[5688]
#define sipNameNr_huffmanCompressionEnabled 5714
#define sipName_huffmanCompressionEnabled &sipStrings_QtNetwork[5714]
#define sipNameNr_maximumPreSharedKeyLength 5740
#define sipName_maximumPreSharedKeyLength &sipStrings_QtNetwork[5740]
#define sipNameNr_missingCertificateIsFatal 5766
#define sipName_missingCertificateIsFatal &sipStrings_QtNetwork[5766]
#define sipNameNr_nameserverProtocolChanged 5792
#define sipName_nameserverProtocolChanged &sipStrings_QtNetwork[5792]
#define sipNameNr_sessionTicketLifeTimeHint 5818
#define sipName_sessionTicketLifeTimeHint &sipStrings_QtNetwork[5818]
#define sipNameNr_setUseSystemConfiguration 5844
#define sipName_setUseSystemConfiguration &sipStrings_QtNetwork[5844]
#define sipNameNr_AccessControlAllowOrigin 5870
#define sipName_AccessControlAllowOrigin &sipStrings_QtNetwork[5870]
#define sipNameNr_AlternativeNameEntryType 2515
#define sipName_AlternativeNameEntryType &sipStrings_QtNetwork[2515]
#define sipNameNr_CertificateStatusUnknown 5895
#define sipName_CertificateStatusUnknown &sipStrings_QtNetwork[5895]
#define sipNameNr_ContentDispositionHeader 5920
#define sipName_ContentDispositionHeader &sipStrings_QtNetwork[5920]
#define sipNameNr_HostNameLookupCapability 5945
#define sipName_HostNameLookupCapability &sipStrings_QtNetwork[5945]
#define sipNameNr_NoLessSafeRedirectPolicy 5970
#define sipName_NoLessSafeRedirectPolicy &sipStrings_QtNetwork[5970]
#define sipNameNr_QDnsTlsAssociationRecord 5995
#define sipName_QDnsTlsAssociationRecord &sipStrings_QtNetwork[5995]
#define sipNameNr_QFormDataBuilder__Option 6020
#define sipName_QFormDataBuilder__Option &sipStrings_QtNetwork[6020]
#define sipNameNr_QHostInfo__HostInfoError 6045
#define sipName_QHostInfo__HostInfoError &sipStrings_QtNetwork[6045]
#define sipNameNr_6070 6070
#define sipName_6070 &sipStrings_QtNetwork[6070]
#define sipNameNr_6095 6095
#define sipName_6095 &sipStrings_QtNetwork[6095]
#define sipNameNr_6120 6120
#define sipName_6120 &sipStrings_QtNetwork[6120]
#define sipNameNr_6145 6145
#define sipName_6145 &sipStrings_QtNetwork[6145]
#define sipNameNr_QNetworkCookie__SameSite 6170
#define sipName_QNetworkCookie__SameSite &sipStrings_QtNetwork[6170]
#define sipNameNr_QNetworkProxy__ProxyType 6195
#define sipName_QNetworkProxy__ProxyType &sipStrings_QtNetwork[6195]
#define sipNameNr_QSslCertificateExtension 6220
#define sipName_QSslCertificateExtension &sipStrings_QtNetwork[6220]
#define sipNameNr_SameOriginRedirectPolicy 6245
#define sipName_SameOriginRedirectPolicy &sipStrings_QtNetwork[6245]
#define sipNameNr_defaultDtlsConfiguration 6270
#define sipName_defaultDtlsConfiguration &sipStrings_QtNetwork[6270]
#define sipNameNr_newSessionTicketReceived 6295
#define sipName_newSessionTicketReceived &sipStrings_QtNetwork[6295]
#define sipNameNr_preSharedKeyIdentityHint 6320
#define sipName_preSharedKeyIdentityHint &sipStrings_QtNetwork[6320]
#define sipNameNr_sessionReceiveWindowSize 6345
#define sipName_sessionReceiveWindowSize &sipStrings_QtNetwork[6345]
#define sipNameNr_setLocalCertificateChain 6370
#define sipName_setLocalCertificateChain &sipStrings_QtNetwork[6370]
#define sipNameNr_setMaxPendingConnections 6395
#define sipName_setMaxPendingConnections &sipStrings_QtNetwork[6395]
#define sipNameNr_AbstractNamespaceOption 6420
#define sipName_AbstractNamespaceOption &sipStrings_QtNetwork[6420]
#define sipNameNr_BadCertificateHashValue 6444
#define sipName_BadCertificateHashValue &sipStrings_QtNetwork[6444]
#define sipNameNr_CertificateUnobtainable 6468
#define sipName_CertificateUnobtainable &sipStrings_QtNetwork[6468]
#define sipNameNr_CertificateVerification 6492
#define sipName_CertificateVerification &sipStrings_QtNetwork[6492]
#define sipNameNr_CrossOriginOpenerPolicy 6516
#define sipName_CrossOriginOpenerPolicy &sipStrings_QtNetwork[6516]
#define sipNameNr_DomainIssuedCertificate 6540
#define sipName_DomainIssuedCertificate &sipStrings_QtNetwork[6540]
#define sipNameNr_HttpStatusCodeAttribute 6564
#define sipName_HttpStatusCodeAttribute &sipStrings_QtNetwork[6564]
#define sipNameNr_MulticastLoopbackOption 6588
#define sipName_MulticastLoopbackOption &sipStrings_QtNetwork[6588]
#define sipNameNr_OperationCancelledError 6612
#define sipName_OperationCancelledError &sipStrings_QtNetwork[6612]
#define sipNameNr_OptionalWWWAuthenticate 6636
#define sipName_OptionalWWWAuthenticate &sipStrings_QtNetwork[6636]
#define sipNameNr_ProxyAuthenticationInfo 6660
#define sipName_ProxyAuthenticationInfo &sipStrings_QtNetwork[6660]
#define sipNameNr_PublicKeyPinsReportOnly 6684
#define sipName_PublicKeyPinsReportOnly &sipStrings_QtNetwork[6684]
#define sipNameNr_PyQt6_sip_simplewrapper 6708
#define sipName_PyQt6_sip_simplewrapper &sipStrings_QtNetwork[6708]
#define sipNameNr_6732 6732
#define sipName_6732 &sipStrings_QtNetwork[6732]
#define sipNameNr_QHstsPolicy__PolicyFlag 6756
#define sipName_QHstsPolicy__PolicyFlag &sipStrings_QtNetwork[6756]
#define sipNameNr_QNetworkCookie__RawForm 6780
#define sipName_QNetworkCookie__RawForm &sipStrings_QtNetwork[6780]
#define sipNameNr_RedirectPolicyAttribute 6804
#define sipName_RedirectPolicyAttribute &sipStrings_QtNetwork[6804]
#define sipNameNr_SctpListeningCapability 6828
#define sipName_SctpListeningCapability &sipStrings_QtNetwork[6828]
#define sipNameNr_SctpTunnelingCapability 6852
#define sipName_SctpTunnelingCapability &sipStrings_QtNetwork[6852]
#define sipNameNr_ServiceUnavailableError 6876
#define sipName_ServiceUnavailableError &sipStrings_QtNetwork[6876]
#define sipNameNr_SslHandshakeFailedError 6900
#define sipName_SslHandshakeFailedError &sipStrings_QtNetwork[6900]
#define sipNameNr_SslInvalidUserDataError 6924
#define sipName_SslInvalidUserDataError &sipStrings_QtNetwork[6924]
#define sipNameNr_StrictTransportSecurity 6948
#define sipName_StrictTransportSecurity &sipStrings_QtNetwork[6948]
#define sipNameNr_TransferTimeoutConstant 413
#define sipName_TransferTimeoutConstant &sipStrings_QtNetwork[413]
#define sipNameNr_UseCredentialsAttribute 6972
#define sipName_UseCredentialsAttribute &sipStrings_QtNetwork[6972]
#define sipNameNr_diffieHellmanParameters 6996
#define sipName_diffieHellmanParameters &sipStrings_QtNetwork[6996]
#define sipNameNr_encryptedBytesAvailable 7020
#define sipName_encryptedBytesAvailable &sipStrings_QtNetwork[7020]
#define sipNameNr_maximumRedirectsAllowed 7044
#define sipName_maximumRedirectsAllowed &sipStrings_QtNetwork[7044]
#define sipNameNr_maximumTransmissionUnit 7068
#define sipName_maximumTransmissionUnit &sipStrings_QtNetwork[7068]
#define sipNameNr_setAllowedNextProtocols 7092
#define sipName_setAllowedNextProtocols &sipStrings_QtNetwork[7092]
#define sipNameNr_setBackendConfiguration 7116
#define sipName_setBackendConfiguration &sipStrings_QtNetwork[7116]
#define sipNameNr_setDefaultConfiguration 7140
#define sipName_setDefaultConfiguration &sipStrings_QtNetwork[7140]
#define sipNameNr_setMaxConcurrentStreams 7164
#define sipName_setMaxConcurrentStreams &sipStrings_QtNetwork[7164]
#define sipNameNr_socketStartedConnecting 7188
#define sipName_socketStartedConnecting &sipStrings_QtNetwork[7188]
#define sipNameNr_sslLibraryVersionNumber 7212
#define sipName_sslLibraryVersionNumber &sipStrings_QtNetwork[7212]
#define sipNameNr_sslLibraryVersionString 7236
#define sipName_sslLibraryVersionString &sipStrings_QtNetwork[7236]
#define sipNameNr_streamReceiveWindowSize 7260
#define sipName_streamReceiveWindowSize &sipStrings_QtNetwork[7260]
#define sipNameNr_subjectAlternativeNames 7284
#define sipName_subjectAlternativeNames &sipStrings_QtNetwork[7284]
#define sipNameNr_supportedEllipticCurves 7308
#define sipName_supportedEllipticCurves &sipStrings_QtNetwork[7308]
#define sipNameNr_usesSystemConfiguration 7332
#define sipName_usesSystemConfiguration &sipStrings_QtNetwork[7332]
#define sipNameNr_CertificateBlacklisted 7356
#define sipName_CertificateBlacklisted &sipStrings_QtNetwork[7356]
#define sipNameNr_CertificateNotYetValid 7379
#define sipName_CertificateNotYetValid &sipStrings_QtNetwork[7379]
#define sipNameNr_ConnectionRefusedError 4232
#define sipName_ConnectionRefusedError &sipStrings_QtNetwork[4232]
#define sipNameNr_OperationCanceledError 7402
#define sipName_OperationCanceledError &sipStrings_QtNetwork[7402]
#define sipNameNr_OrganizationalUnitName 7425
#define sipName_OrganizationalUnitName &sipStrings_QtNetwork[7425]
#define sipNameNr_QDnsMailExchangeRecord 7448
#define sipName_QDnsMailExchangeRecord &sipStrings_QtNetwork[7448]
#define sipNameNr_7471 7471
#define sipName_7471 &sipStrings_QtNetwork[7471]
#define sipNameNr_QNetworkRequestFactory 7494
#define sipName_QNetworkRequestFactory &sipStrings_QtNetwork[7494]
#define sipNameNr_QOcspCertificateStatus 7517
#define sipName_QOcspCertificateStatus &sipStrings_QtNetwork[7517]
#define sipNameNr_QSsl__ImplementedClass 7540
#define sipName_QSsl__ImplementedClass &sipStrings_QtNetwork[7540]
#define sipNameNr_QSsl__SupportedFeature 7563
#define sipName_QSsl__SupportedFeature &sipStrings_QtNetwork[7563]
#define sipNameNr_SecWebSocketExtensions 7586
#define sipName_SecWebSocketExtensions &sipStrings_QtNetwork[7586]
#define sipNameNr_UdpTunnelingCapability 7609
#define sipName_UdpTunnelingCapability &sipStrings_QtNetwork[7609]
#define sipNameNr_UnsupportedCertificate 7632
#define sipName_UnsupportedCertificate &sipStrings_QtNetwork[7632]
#define sipNameNr_authenticationRequired 7655
#define sipName_authenticationRequired &sipStrings_QtNetwork[7655]
#define sipNameNr_connectToHostEncrypted 7678
#define sipName_connectToHostEncrypted &sipStrings_QtNetwork[7678]
#define sipNameNr_defaultPortForProtocol 7701
#define sipName_defaultPortForProtocol &sipStrings_QtNetwork[7701]
#define sipNameNr_interfaceIndexFromName 7724
#define sipName_interfaceIndexFromName &sipStrings_QtNetwork[7724]
#define sipNameNr_interfaceNameFromIndex 7747
#define sipName_interfaceNameFromIndex &sipStrings_QtNetwork[7747]
#define sipNameNr_nextNegotiatedProtocol 7770
#define sipName_nextNegotiatedProtocol &sipStrings_QtNetwork[7770]
#define sipNameNr_setOcspStaplingEnabled 7793
#define sipName_setOcspStaplingEnabled &sipStrings_QtNetwork[7793]
#define sipNameNr_transportMediumChanged 7816
#define sipName_transportMediumChanged &sipStrings_QtNetwork[7816]
#define sipNameNr_AuthenticationControl 7839
#define sipName_AuthenticationControl &sipStrings_QtNetwork[7839]
#define sipNameNr_ContentSecurityPolicy 7861
#define sipName_ContentSecurityPolicy &sipStrings_QtNetwork[7861]
#define sipNameNr_ConvertV4CompatToIPv4 7883
#define sipName_ConvertV4CompatToIPv4 &sipStrings_QtNetwork[7883]
#define sipNameNr_ConvertV4MappedToIPv4 7905
#define sipName_ConvertV4MappedToIPv4 &sipStrings_QtNetwork[7905]
#define sipNameNr_DatagramTooLargeError 7927
#define sipName_DatagramTooLargeError &sipStrings_QtNetwork[7927]
#define sipNameNr_DnsEligibilityUnknown 7949
#define sipName_DnsEligibilityUnknown &sipStrings_QtNetwork[7949]
#define sipNameNr_Http2AllowedAttribute 7971
#define sipName_Http2AllowedAttribute &sipStrings_QtNetwork[7971]
#define sipNameNr_Http2WasUsedAttribute 7993
#define sipName_Http2WasUsedAttribute &sipStrings_QtNetwork[7993]
#define sipNameNr_IfModifiedSinceHeader 8015
#define sipName_IfModifiedSinceHeader &sipStrings_QtNetwork[8015]
#define sipNameNr_InappropriateFallback 8037
#define sipName_InappropriateFallback &sipStrings_QtNetwork[8037]
#define sipNameNr_InsecureRedirectError 8059
#define sipName_InsecureRedirectError &sipStrings_QtNetwork[8059]
#define sipNameNr_InvalidInputDataError 8081
#define sipName_InvalidInputDataError &sipStrings_QtNetwork[8081]
#define sipNameNr_InvalidNotBeforeField 8103
#define sipName_InvalidNotBeforeField &sipStrings_QtNetwork[8103]
#define sipNameNr_NoApplicationProtocol 8125
#define sipName_NoApplicationProtocol &sipStrings_QtNetwork[8125]
#define sipNameNr_OcspMalformedResponse 8147
#define sipName_OcspMalformedResponse &sipStrings_QtNetwork[8147]
#define sipNameNr_QAbstractNetworkCache 8169
#define sipName_QAbstractNetworkCache &sipStrings_QtNetwork[8169]
#define sipNameNr_QDnsHostAddressRecord 8191
#define sipName_QDnsHostAddressRecord &sipStrings_QtNetwork[8191]
#define sipNameNr_8213 8213
#define sipName_8213 &sipStrings_QtNetwork[8213]
#define sipNameNr_8235 8235
#define sipName_8235 &sipStrings_QtNetwork[8235]
#define sipNameNr_QNetworkAccessManager 8257
#define sipName_QNetworkAccessManager &sipStrings_QtNetwork[8257]
#define sipNameNr_QNetworkCacheMetaData 8279
#define sipName_QNetworkCacheMetaData &sipStrings_QtNetwork[8279]
#define sipNameNr_QOcspRevocationReason 8301
#define sipName_QOcspRevocationReason &sipStrings_QtNetwork[8301]
#define sipNameNr_RemoteHostClosedError 8323
#define sipName_RemoteHostClosedError &sipStrings_QtNetwork[8323]
#define sipNameNr_SelfSignedCertificate 8345
#define sipName_SelfSignedCertificate &sipStrings_QtNetwork[8345]
#define sipNameNr_SubjectIssuerMismatch 8367
#define sipName_SubjectIssuerMismatch &sipStrings_QtNetwork[8367]
#define sipNameNr_TooManyRedirectsError 8389
#define sipName_TooManyRedirectsError &sipStrings_QtNetwork[8389]
#define sipNameNr_UnsafeParametersError 8411
#define sipName_UnsafeParametersError &sipStrings_QtNetwork[8411]
#define sipNameNr_encryptedBytesToWrite 8433
#define sipName_encryptedBytesToWrite &sipStrings_QtNetwork[8433]
#define sipNameNr_encryptedBytesWritten 8455
#define sipName_encryptedBytesWritten &sipStrings_QtNetwork[8455]
#define sipNameNr_hasPendingConnections 8477
#define sipName_hasPendingConnections &sipStrings_QtNetwork[8477]
#define sipNameNr_isBehindCaptivePortal 8499
#define sipName_isBehindCaptivePortal &sipStrings_QtNetwork[8499]
#define sipNameNr_loadBackendByFeatures 8521
#define sipName_loadBackendByFeatures &sipStrings_QtNetwork[8521]
#define sipNameNr_localCertificateChain 8543
#define sipName_localCertificateChain &sipStrings_QtNetwork[8543]
#define sipNameNr_maxPendingConnections 8565
#define sipName_maxPendingConnections &sipStrings_QtNetwork[8565]
#define sipNameNr_maximumIdentityLength 8587
#define sipName_maximumIdentityLength &sipStrings_QtNetwork[8587]
#define sipNameNr_nameserverPortChanged 8609
#define sipName_nameserverPortChanged &sipStrings_QtNetwork[8609]
#define sipNameNr_nextPendingConnection 8631
#define sipName_nextPendingConnection &sipStrings_QtNetwork[8631]
#define sipNameNr_setHttp1Configuration 8653
#define sipName_setHttp1Configuration &sipStrings_QtNetwork[8653]
#define sipNameNr_setHttp2Configuration 8675
#define sipName_setHttp2Configuration &sipStrings_QtNetwork[8675]
#define sipNameNr_setIncludesSubDomains 8697
#define sipName_setIncludesSubDomains &sipStrings_QtNetwork[8697]
#define sipNameNr_setMulticastInterface 8719
#define sipName_setMulticastInterface &sipStrings_QtNetwork[8719]
#define sipNameNr_setNameserverProtocol 8741
#define sipName_setNameserverProtocol &sipStrings_QtNetwork[8741]
#define sipNameNr_startClientEncryption 8763
#define sipName_startClientEncryption &sipStrings_QtNetwork[8763]
#define sipNameNr_startServerEncryption 8785
#define sipName_startServerEncryption &sipStrings_QtNetwork[8785]
#define sipNameNr_subjectInfoAttributes 8807
#define sipName_subjectInfoAttributes &sipStrings_QtNetwork[8807]
#define sipNameNr_tlsAssociationRecords 8829
#define sipName_tlsAssociationRecords &sipStrings_QtNetwork[8829]
#define sipNameNr_CertificateUntrusted 8851
#define sipName_CertificateUntrusted &sipStrings_QtNetwork[8851]
#define sipNameNr_CessationOfOperation 8872
#define sipName_CessationOfOperation &sipStrings_QtNetwork[8872]
#define sipNameNr_ContentConflictError 8893
#define sipName_ContentConflictError &sipStrings_QtNetwork[8893]
#define sipNameNr_ContentNotFoundError 8914
#define sipName_ContentNotFoundError &sipStrings_QtNetwork[8914]
#define sipNameNr_DecompressionFailure 8935
#define sipName_DecompressionFailure &sipStrings_QtNetwork[8935]
#define sipNameNr_DnsEligibilityStatus 252
#define sipName_DnsEligibilityStatus &sipStrings_QtNetwork[252]
#define sipNameNr_Http2DirectAttribute 8956
#define sipName_Http2DirectAttribute &sipStrings_QtNetwork[8956]
#define sipNameNr_InsufficientSecurity 8977
#define sipName_InsufficientSecurity &sipStrings_QtNetwork[8977]
#define sipNameNr_InvalidCaCertificate 8998
#define sipName_InvalidCaCertificate &sipStrings_QtNetwork[8998]
#define sipNameNr_InvalidNotAfterField 9019
#define sipName_InvalidNotAfterField &sipStrings_QtNetwork[9019]
#define sipNameNr_ManualRedirectPolicy 9040
#define sipName_ManualRedirectPolicy &sipStrings_QtNetwork[9040]
#define sipNameNr_NetworkLayerProtocol 570
#define sipName_NetworkLayerProtocol &sipStrings_QtNetwork[570]
#define sipNameNr_OcspMalformedRequest 9061
#define sipName_OcspMalformedRequest &sipStrings_QtNetwork[9061]
#define sipNameNr_ProtocolUnknownError 9082
#define sipName_ProtocolUnknownError &sipStrings_QtNetwork[9082]
#define sipNameNr_QDnsDomainNameRecord 9103
#define sipName_QDnsDomainNameRecord &sipStrings_QtNetwork[9103]
#define sipNameNr_QDnsLookup__Protocol 9124
#define sipName_QDnsLookup__Protocol &sipStrings_QtNetwork[9124]
#define sipNameNr_QFormDataPartBuilder 9145
#define sipName_QFormDataPartBuilder &sipStrings_QtNetwork[9145]
#define sipNameNr_9166 9166
#define sipName_9166 &sipStrings_QtNetwork[9166]
#define sipNameNr_9187 9187
#define sipName_9187 &sipStrings_QtNetwork[9187]
#define sipNameNr_QNetworkAddressEntry 9208
#define sipName_QNetworkAddressEntry &sipStrings_QtNetwork[9208]
#define sipNameNr_QNetworkProxyFactory 9229
#define sipName_QNetworkProxyFactory &sipStrings_QtNetwork[9229]
#define sipNameNr_QSsl__EncodingFormat 9250
#define sipName_QSsl__EncodingFormat &sipStrings_QtNetwork[9250]
#define sipNameNr_SecWebSocketProtocol 9271
#define sipName_SecWebSocketProtocol &sipStrings_QtNetwork[9271]
#define sipNameNr_SubjectPublicKeyInfo 9292
#define sipName_SubjectPublicKeyInfo &sipStrings_QtNetwork[9292]
#define sipNameNr_TrustAnchorAssertion 9313
#define sipName_TrustAnchorAssertion &sipStrings_QtNetwork[9313]
#define sipNameNr_UnsupportedExtension 9334
#define sipName_UnsupportedExtension &sipStrings_QtNetwork[9334]
#define sipNameNr_addPendingConnection 9355
#define sipName_addPendingConnection &sipStrings_QtNetwork[9355]
#define sipNameNr_allowedNextProtocols 9376
#define sipName_allowedNextProtocols &sipStrings_QtNetwork[9376]
#define sipNameNr_authenticationMethod 9397
#define sipName_authenticationMethod &sipStrings_QtNetwork[9397]
#define sipNameNr_backendConfiguration 9418
#define sipName_backendConfiguration &sipStrings_QtNetwork[9418]
#define sipNameNr_canonicalNameRecords 9439
#define sipName_canonicalNameRecords &sipStrings_QtNetwork[9439]
#define sipNameNr_clearAddressLifetime 9460
#define sipName_clearAddressLifetime &sipStrings_QtNetwork[9460]
#define sipNameNr_clearConnectionCache 9481
#define sipName_clearConnectionCache &sipStrings_QtNetwork[9481]
#define sipNameNr_clearQueryParameters 9502
#define sipName_clearQueryParameters &sipStrings_QtNetwork[9502]
#define sipNameNr_defaultConfiguration 9523
#define sipName_defaultConfiguration &sipStrings_QtNetwork[9523]
#define sipNameNr_disconnectFromServer 9544
#define sipName_disconnectFromServer &sipStrings_QtNetwork[9544]
#define sipNameNr_isUniqueLocalUnicast 9565
#define sipName_isUniqueLocalUnicast &sipStrings_QtNetwork[9565]
#define sipNameNr_issuerInfoAttributes 9586
#define sipName_issuerInfoAttributes &sipStrings_QtNetwork[9586]
#define sipNameNr_maxConcurrentStreams 9607
#define sipName_maxConcurrentStreams &sipStrings_QtNetwork[9607]
#define sipNameNr_networkAccessManager 9628
#define sipName_networkAccessManager &sipStrings_QtNetwork[9628]
#define sipNameNr_peerCertificateChain 9649
#define sipName_peerCertificateChain &sipStrings_QtNetwork[9649]
#define sipNameNr_setAutoDeleteReplies 9670
#define sipName_setAutoDeleteReplies &sipStrings_QtNetwork[9670]
#define sipNameNr_setListenBacklogSize 9691
#define sipName_setListenBacklogSize &sipStrings_QtNetwork[9691]
#define sipNameNr_setOriginatingObject 9712
#define sipName_setOriginatingObject &sipStrings_QtNetwork[9712]
#define sipNameNr_setServerPushEnabled 9733
#define sipName_setServerPushEnabled &sipStrings_QtNetwork[9733]
#define sipNameNr_systemCaCertificates 9754
#define sipName_systemCaCertificates &sipStrings_QtNetwork[9754]
#define sipNameNr_waitForNewConnection 9775
#define sipName_waitForNewConnection &sipStrings_QtNetwork[9775]
#define sipNameNr_AccessControlMaxAge 9796
#define sipName_AccessControlMaxAge &sipStrings_QtNetwork[9796]
#define sipNameNr_CertificateRejected 9816
#define sipName_CertificateRejected &sipStrings_QtNetwork[9816]
#define sipNameNr_CertificateRequired 9836
#define sipName_CertificateRequired &sipStrings_QtNetwork[9836]
#define sipNameNr_ContentAccessDenied 9856
#define sipName_ContentAccessDenied &sipStrings_QtNetwork[9856]
#define sipNameNr_ContentLengthHeader 9876
#define sipName_ContentLengthHeader &sipStrings_QtNetwork[9876]
#define sipNameNr_CustomVerbAttribute 9896
#define sipName_CustomVerbAttribute &sipStrings_QtNetwork[9896]
#define sipNameNr_InternalServerError 9916
#define sipName_InternalServerError &sipStrings_QtNetwork[9916]
#define sipNameNr_InvalidRequestError 9936
#define sipName_InvalidRequestError &sipStrings_QtNetwork[9936]
#define sipNameNr_ListeningCapability 6832
#define sipName_ListeningCapability &sipStrings_QtNetwork[6832]
#define sipNameNr_NextProtocolHttp1_1 9956
#define sipName_NextProtocolHttp1_1 &sipStrings_QtNetwork[9956]
#define sipNameNr_OcspNoResponseFound 9976
#define sipName_OcspNoResponseFound &sipStrings_QtNetwork[9976]
#define sipNameNr_OcspResponseExpired 9996
#define sipName_OcspResponseExpired &sipStrings_QtNetwork[9996]
#define sipNameNr_PathMtuSocketOption 10016
#define sipName_PathMtuSocketOption &sipStrings_QtNetwork[10016]
#define sipNameNr_QHttp1Configuration 10036
#define sipName_QHttp1Configuration &sipStrings_QtNetwork[10036]
#define sipNameNr_QHttp2Configuration 10056
#define sipName_QHttp2Configuration &sipStrings_QtNetwork[10056]
#define sipNameNr_10076 10076
#define sipName_10076 &sipStrings_QtNetwork[10076]
#define sipNameNr_QNetworkInformation 10096
#define sipName_QNetworkInformation &sipStrings_QtNetwork[10096]
#define sipNameNr_QSslError__SslError 10116
#define sipName_QSslError__SslError &sipStrings_QtNetwork[10116]
#define sipNameNr_QSslSocket__SslMode 10136
#define sipName_QSslSocket__SslMode &sipStrings_QtNetwork[10136]
#define sipNameNr_SecWebSocketVersion 10156
#define sipName_SecWebSocketVersion &sipStrings_QtNetwork[10156]
#define sipNameNr_ServerNotFoundError 10176
#define sipName_ServerNotFoundError &sipStrings_QtNetwork[10176]
#define sipNameNr_SocketResourceError 10196
#define sipName_SocketResourceError &sipStrings_QtNetwork[10196]
#define sipNameNr_StateOrProvinceName 10216
#define sipName_StateOrProvinceName &sipStrings_QtNetwork[10216]
#define sipNameNr_SurrogateCapability 10236
#define sipName_SurrogateCapability &sipStrings_QtNetwork[10236]
#define sipNameNr_TunnelingCapability 6856
#define sipName_TunnelingCapability &sipStrings_QtNetwork[6856]
#define sipNameNr_TypeOfServiceOption 10256
#define sipName_TypeOfServiceOption &sipStrings_QtNetwork[10256]
#define sipNameNr_UnknownAlertMessage 10276
#define sipName_UnknownAlertMessage &sipStrings_QtNetwork[10276]
#define sipNameNr_UnknownContentError 10296
#define sipName_UnknownContentError &sipStrings_QtNetwork[10296]
#define sipNameNr_UnknownNetworkError 10316
#define sipName_UnknownNetworkError &sipStrings_QtNetwork[10316]
#define sipNameNr_XContentTypeOptions 10336
#define sipName_XContentTypeOptions &sipStrings_QtNetwork[10336]
#define sipNameNr_hasPendingDatagrams 10356
#define sipName_hasPendingDatagrams &sipStrings_QtNetwork[10356]
#define sipNameNr_isHttpStatusSuccess 10376
#define sipName_isHttpStatusSuccess &sipStrings_QtNetwork[10376]
#define sipNameNr_isProtocolSupported 10396
#define sipName_isProtocolSupported &sipStrings_QtNetwork[10396]
#define sipNameNr_leaveMulticastGroup 10416
#define sipName_leaveMulticastGroup &sipStrings_QtNetwork[10416]
#define sipNameNr_mailExchangeRecords 10436
#define sipName_mailExchangeRecords &sipStrings_QtNetwork[10436]
#define sipNameNr_ocspStaplingEnabled 10456
#define sipName_ocspStaplingEnabled &sipStrings_QtNetwork[10456]
#define sipNameNr_pendingDatagramSize 10476
#define sipName_pendingDatagramSize &sipStrings_QtNetwork[10476]
#define sipNameNr_reachabilityChanged 10496
#define sipName_reachabilityChanged &sipStrings_QtNetwork[10496]
#define sipNameNr_setApplicationProxy 10516
#define sipName_setApplicationProxy &sipStrings_QtNetwork[10516]
#define sipNameNr_setHandshakeTimeout 10536
#define sipName_setHandshakeTimeout &sipStrings_QtNetwork[10536]
#define sipNameNr_setLocalCertificate 10556
#define sipName_setLocalCertificate &sipStrings_QtNetwork[10556]
#define sipNameNr_setMaximumCacheSize 10576
#define sipName_setMaximumCacheSize &sipStrings_QtNetwork[10576]
#define sipNameNr_setSocketDescriptor 10596
#define sipName_setSocketDescriptor &sipStrings_QtNetwork[10596]
#define sipNameNr_setSslConfiguration 10616
#define sipName_setSslConfiguration &sipStrings_QtNetwork[10616]
#define sipNameNr_systemProxyForQuery 10636
#define sipName_systemProxyForQuery &sipStrings_QtNetwork[10636]
#define sipNameNr_waitForBytesWritten 10656
#define sipName_waitForBytesWritten &sipStrings_QtNetwork[10656]
#define sipNameNr_waitForDisconnected 10676
#define sipName_waitForDisconnected &sipStrings_QtNetwork[10676]
#define sipNameNr_wellKnownHeaderName 10696
#define sipName_wellKnownHeaderName &sipStrings_QtNetwork[10696]
#define sipNameNr_AffiliationChanged 10716
#define sipName_AffiliationChanged &sipStrings_QtNetwork[10716]
#define sipNameNr_ApplyToRedirectRef 10735
#define sipName_ApplyToRedirectRef &sipStrings_QtNetwork[10735]
#define sipNameNr_AuthenticationInfo 6665
#define sipName_AuthenticationInfo &sipStrings_QtNetwork[6665]
#define sipNameNr_CertificateExpired 10754
#define sipName_CertificateExpired &sipStrings_QtNetwork[10754]
#define sipNameNr_CertificateRevoked 10773
#define sipName_CertificateRevoked &sipStrings_QtNetwork[10773]
#define sipNameNr_CertificateUnknown 10792
#define sipName_CertificateUnknown &sipStrings_QtNetwork[10792]
#define sipNameNr_ContentDisposition 10811
#define sipName_ContentDisposition &sipStrings_QtNetwork[10811]
#define sipNameNr_ContentReSendError 10830
#define sipName_ContentReSendError &sipStrings_QtNetwork[10830]
#define sipNameNr_ConversionModeFlag 1721
#define sipName_ConversionModeFlag &sipStrings_QtNetwork[1721]
#define sipNameNr_DefaultForPlatform 10849
#define sipName_DefaultForPlatform &sipStrings_QtNetwork[10849]
#define sipNameNr_IfScheduleTagMatch 10868
#define sipName_IfScheduleTagMatch &sipStrings_QtNetwork[10868]
#define sipNameNr_LastModifiedHeader 10887
#define sipName_LastModifiedHeader &sipStrings_QtNetwork[10887]
#define sipNameNr_MulticastTtlOption 10906
#define sipName_MulticastTtlOption &sipStrings_QtNetwork[10906]
#define sipNameNr_OriginAgentCluster 10925
#define sipName_OriginAgentCluster &sipStrings_QtNetwork[10925]
#define sipNameNr_PathLengthExceeded 10944
#define sipName_PathLengthExceeded &sipStrings_QtNetwork[10944]
#define sipNameNr_ProxyAuthorization 10963
#define sipName_ProxyAuthorization &sipStrings_QtNetwork[10963]
#define sipNameNr_ProxyNotFoundError 10982
#define sipName_ProxyNotFoundError &sipStrings_QtNetwork[10982]
#define sipNameNr_ProxyProtocolError 11001
#define sipName_ProxyProtocolError &sipStrings_QtNetwork[11001]
#define sipNameNr_11020 11020
#define sipName_11020 &sipStrings_QtNetwork[11020]
#define sipNameNr_QNetworkProxyQuery 11039
#define sipName_QNetworkProxyQuery &sipStrings_QtNetwork[11039]
#define sipNameNr_QRestAccessManager 11058
#define sipName_QRestAccessManager &sipStrings_QtNetwork[11058]
#define sipNameNr_QSsl__KeyAlgorithm 11077
#define sipName_QSsl__KeyAlgorithm &sipStrings_QtNetwork[11077]
#define sipNameNr_SecWebSocketAccept 11096
#define sipName_SecWebSocketAccept &sipStrings_QtNetwork[11096]
#define sipNameNr_ServerFailureError 11115
#define sipName_ServerFailureError &sipStrings_QtNetwork[11115]
#define sipNameNr_ServerRefusedError 11134
#define sipName_ServerRefusedError &sipStrings_QtNetwork[11134]
#define sipNameNr_SocketTimeoutError 11153
#define sipName_SocketTimeoutError &sipStrings_QtNetwork[11153]
#define sipNameNr_TolerantConversion 11172
#define sipName_TolerantConversion &sipStrings_QtNetwork[11172]
#define sipNameNr_UnknownPskIdentity 11191
#define sipName_UnknownPskIdentity &sipStrings_QtNetwork[11191]
#define sipNameNr_UnknownServerError 11210
#define sipName_UnknownServerError &sipStrings_QtNetwork[11210]
#define sipNameNr_UnknownSocketError 11229
#define sipName_UnknownSocketError &sipStrings_QtNetwork[11229]
#define sipNameNr_clearCommonHeaders 11248
#define sipName_clearCommonHeaders &sipStrings_QtNetwork[11248]
#define sipNameNr_destinationAddress 11267
#define sipName_destinationAddress &sipStrings_QtNetwork[11267]
#define sipNameNr_disconnectFromHost 11286
#define sipName_disconnectFromHost &sipStrings_QtNetwork[11286]
#define sipNameNr_ephemeralServerKey 11305
#define sipName_ephemeralServerKey &sipStrings_QtNetwork[11305]
#define sipNameNr_hostAddressRecords 11324
#define sipName_hostAddressRecords &sipStrings_QtNetwork[11324]
#define sipNameNr_http1Configuration 11343
#define sipName_http1Configuration &sipStrings_QtNetwork[11343]
#define sipNameNr_http2Configuration 11362
#define sipName_http2Configuration &sipStrings_QtNetwork[11362]
#define sipNameNr_implementedClasses 11381
#define sipName_implementedClasses &sipStrings_QtNetwork[11381]
#define sipNameNr_includesSubDomains 11400
#define sipName_includesSubDomains &sipStrings_QtNetwork[11400]
#define sipNameNr_incomingConnection 11419
#define sipName_incomingConnection &sipStrings_QtNetwork[11419]
#define sipNameNr_interfaceFromIndex 11438
#define sipName_interfaceFromIndex &sipStrings_QtNetwork[11438]
#define sipNameNr_isClassImplemented 11457
#define sipName_isClassImplemented &sipStrings_QtNetwork[11457]
#define sipNameNr_isFeatureSupported 11476
#define sipName_isFeatureSupported &sipStrings_QtNetwork[11476]
#define sipNameNr_isTransparentProxy 11495
#define sipName_isTransparentProxy &sipStrings_QtNetwork[11495]
#define sipNameNr_joinMulticastGroup 11514
#define sipName_joinMulticastGroup &sipStrings_QtNetwork[11514]
#define sipNameNr_loadDefaultBackend 11533
#define sipName_loadDefaultBackend &sipStrings_QtNetwork[11533]
#define sipNameNr_multicastInterface 11552
#define sipName_multicastInterface &sipStrings_QtNetwork[11552]
#define sipNameNr_nameserverProtocol 11571
#define sipName_nameserverProtocol &sipStrings_QtNetwork[11571]
#define sipNameNr_setAddressLifetime 11590
#define sipName_setAddressLifetime &sipStrings_QtNetwork[11590]
#define sipNameNr_setPeerVerifyDepth 11609
#define sipName_setPeerVerifyDepth &sipStrings_QtNetwork[11609]
#define sipNameNr_setQueryParameters 11628
#define sipName_setQueryParameters &sipStrings_QtNetwork[11628]
#define sipNameNr_setTransferTimeout 11647
#define sipName_setTransferTimeout &sipStrings_QtNetwork[11647]
#define sipNameNr_setWellKnownHeader 11666
#define sipName_setWellKnownHeader &sipStrings_QtNetwork[11666]
#define sipNameNr_sslHandshakeErrors 11685
#define sipName_sslHandshakeErrors &sipStrings_QtNetwork[11685]
#define sipNameNr_subjectDisplayName 11704
#define sipName_subjectDisplayName &sipStrings_QtNetwork[11704]
#define sipNameNr_supportedProtocols 11723
#define sipName_supportedProtocols &sipStrings_QtNetwork[11723]
#define sipNameNr_AddressInUseError 11742
#define sipName_AddressInUseError &sipStrings_QtNetwork[11742]
#define sipNameNr_CachingCapability 11760
#define sipName_CachingCapability &sipStrings_QtNetwork[11760]
#define sipNameNr_ContentTypeHeader 11778
#define sipName_ContentTypeHeader &sipStrings_QtNetwork[11778]
#define sipNameNr_ExportRestriction 11796
#define sipName_ExportRestriction &sipStrings_QtNetwork[11796]
#define sipNameNr_GroupAccessOption 11814
#define sipName_GroupAccessOption &sipStrings_QtNetwork[11814]
#define sipNameNr_HostNotFoundError 11832
#define sipName_HostNotFoundError &sipStrings_QtNetwork[11832]
#define sipNameNr_IfNoneMatchHeader 11850
#define sipName_IfNoneMatchHeader &sipStrings_QtNetwork[11850]
#define sipNameNr_IfUnmodifiedSince 11868
#define sipName_IfUnmodifiedSince &sipStrings_QtNetwork[11868]
#define sipNameNr_IncludeSubDomains 11886
#define sipName_IncludeSubDomains &sipStrings_QtNetwork[11886]
#define sipNameNr_InvalidReplyError 11904
#define sipName_InvalidReplyError &sipStrings_QtNetwork[11904]
#define sipNameNr_NoPeerCertificate 11922
#define sipName_NoPeerCertificate &sipStrings_QtNetwork[11922]
#define sipNameNr_OcspInternalError 11940
#define sipName_OcspInternalError &sipStrings_QtNetwork[11940]
#define sipNameNr_OcspStatusUnknown 11958
#define sipName_OcspStatusUnknown &sipStrings_QtNetwork[11958]
#define sipNameNr_OtherAccessOption 11976
#define sipName_OtherAccessOption &sipStrings_QtNetwork[11976]
#define sipNameNr_PreferenceApplied 11994
#define sipName_PreferenceApplied &sipStrings_QtNetwork[11994]
#define sipNameNr_ProxyAuthenticate 12012
#define sipName_ProxyAuthenticate &sipStrings_QtNetwork[12012]
#define sipNameNr_ProxyTimeoutError 12030
#define sipName_ProxyTimeoutError &sipStrings_QtNetwork[12030]
#define sipNameNr_QDnsLookup__Error 12048
#define sipName_QDnsLookup__Error &sipStrings_QtNetwork[12048]
#define sipNameNr_QDnsServiceRecord 12066
#define sipName_QDnsServiceRecord &sipStrings_QtNetwork[12066]
#define sipNameNr_12084 12084
#define sipName_12084 &sipStrings_QtNetwork[12084]
#define sipNameNr_QNetworkCookieJar 12102
#define sipName_QNetworkCookieJar &sipStrings_QtNetwork[12102]
#define sipNameNr_QNetworkDiskCache 12120
#define sipName_QNetworkDiskCache &sipStrings_QtNetwork[12120]
#define sipNameNr_QNetworkInterface 12138
#define sipName_QNetworkInterface &sipStrings_QtNetwork[12138]
#define sipNameNr_QPasswordDigestor 12156
#define sipName_QPasswordDigestor &sipStrings_QtNetwork[12156]
#define sipNameNr_QSsl__SslProtocol 12174
#define sipName_QSsl__SslProtocol &sipStrings_QtNetwork[12174]
#define sipNameNr_QSslConfiguration 12192
#define sipName_QSslConfiguration &sipStrings_QtNetwork[12192]
#define sipNameNr_QSslEllipticCurve 12210
#define sipName_QSslEllipticCurve &sipStrings_QtNetwork[12210]
#define sipNameNr_RegularExpression 12228
#define sipName_RegularExpression &sipStrings_QtNetwork[12228]
#define sipNameNr_SocketAccessError 12246
#define sipName_SocketAccessError &sipStrings_QtNetwork[12246]
#define sipNameNr_UnexpectedMessage 12264
#define sipName_UnexpectedMessage &sipStrings_QtNetwork[12264]
#define sipNameNr_UnknownProxyError 12282
#define sipName_UnknownProxyError &sipStrings_QtNetwork[12282]
#define sipNameNr_UnknownSocketType 12300
#define sipName_UnknownSocketType &sipStrings_QtNetwork[12300]
#define sipNameNr_WantContentDigest 12318
#define sipName_WantContentDigest &sipStrings_QtNetwork[12318]
#define sipNameNr_WorldAccessOption 12336
#define sipName_WorldAccessOption &sipStrings_QtNetwork[12336]
#define sipNameNr_addCaCertificates 12354
#define sipName_addCaCertificates &sipStrings_QtNetwork[12354]
#define sipNameNr_autoDeleteReplies 12372
#define sipName_autoDeleteReplies &sipStrings_QtNetwork[12372]
#define sipNameNr_availableBackends 12390
#define sipName_availableBackends &sipStrings_QtNetwork[12390]
#define sipNameNr_certificateStatus 12408
#define sipName_certificateStatus &sipStrings_QtNetwork[12408]
#define sipNameNr_defaultParameters 12426
#define sipName_defaultParameters &sipStrings_QtNetwork[12426]
#define sipNameNr_hasSameIdentifier 12444
#define sipName_hasSameIdentifier &sipStrings_QtNetwork[12444]
#define sipNameNr_humanReadableName 12462
#define sipName_humanReadableName &sipStrings_QtNetwork[12462]
#define sipNameNr_interfaceFromName 12480
#define sipName_interfaceFromName &sipStrings_QtNetwork[12480]
#define sipNameNr_issuerDisplayName 12498
#define sipName_issuerDisplayName &sipStrings_QtNetwork[12498]
#define sipNameNr_keyExchangeMethod 12516
#define sipName_keyExchangeMethod &sipStrings_QtNetwork[12516]
#define sipNameNr_listenBacklogSize 12534
#define sipName_listenBacklogSize &sipStrings_QtNetwork[12534]
#define sipNameNr_loadBackendByName 12552
#define sipName_loadBackendByName &sipStrings_QtNetwork[12552]
#define sipNameNr_nameServerRecords 12570
#define sipName_nameServerRecords &sipStrings_QtNetwork[12570]
#define sipNameNr_nameserverChanged 12588
#define sipName_nameserverChanged &sipStrings_QtNetwork[12588]
#define sipNameNr_originatingObject 12606
#define sipName_originatingObject &sipStrings_QtNetwork[12606]
#define sipNameNr_preferredLifetime 12624
#define sipName_preferredLifetime &sipStrings_QtNetwork[12624]
#define sipNameNr_sendCustomRequest 12642
#define sipName_sendCustomRequest &sipStrings_QtNetwork[12642]
#define sipNameNr_serverPushEnabled 12660
#define sipName_serverPushEnabled &sipStrings_QtNetwork[12660]
#define sipNameNr_setCaCertificates 12678
#define sipName_setCaCertificates &sipStrings_QtNetwork[12678]
#define sipNameNr_setCacheDirectory 12696
#define sipName_setCacheDirectory &sipStrings_QtNetwork[12696]
#define sipNameNr_setCookiesFromUrl 12714
#define sipName_setCookiesFromUrl &sipStrings_QtNetwork[12714]
#define sipNameNr_setDnsEligibility 12732
#define sipName_setDnsEligibility &sipStrings_QtNetwork[12732]
#define sipNameNr_setEllipticCurves 12750
#define sipName_setEllipticCurves &sipStrings_QtNetwork[12750]
#define sipNameNr_setExpirationDate 12768
#define sipName_setExpirationDate &sipStrings_QtNetwork[12768]
#define sipNameNr_setInterfaceIndex 12786
#define sipName_setInterfaceIndex &sipStrings_QtNetwork[12786]
#define sipNameNr_setNameserverPort 12804
#define sipName_setNameserverPort &sipStrings_QtNetwork[12804]
#define sipNameNr_setPeerVerifyMode 12822
#define sipName_setPeerVerifyMode &sipStrings_QtNetwork[12822]
#define sipNameNr_setPeerVerifyName 12840
#define sipName_setPeerVerifyName &sipStrings_QtNetwork[12840]
#define sipNameNr_setReadBufferSize 12858
#define sipName_setReadBufferSize &sipStrings_QtNetwork[12858]
#define sipNameNr_setRedirectPolicy 12876
#define sipName_setRedirectPolicy &sipStrings_QtNetwork[12876]
#define sipNameNr_setSameSitePolicy 12894
#define sipName_setSameSitePolicy &sipStrings_QtNetwork[12894]
#define sipNameNr_supportedFeatures 12912
#define sipName_supportedFeatures &sipStrings_QtNetwork[12912]
#define sipNameNr_CacheLoadControl 1456
#define sipName_CacheLoadControl &sipStrings_QtNetwork[1456]
#define sipNameNr_CertificateUsage 170
#define sipName_CertificateUsage &sipStrings_QtNetwork[170]
#define sipNameNr_ContentGoneError 12930
#define sipName_ContentGoneError &sipStrings_QtNetwork[12930]
#define sipNameNr_ConvertLocalHost 12947
#define sipName_ConvertLocalHost &sipStrings_QtNetwork[12947]
#define sipNameNr_DontShareAddress 12964
#define sipName_DontShareAddress &sipStrings_QtNetwork[12964]
#define sipNameNr_HandshakeFailure 12981
#define sipName_HandshakeFailure &sipStrings_QtNetwork[12981]
#define sipNameNr_HostNameMismatch 12998
#define sipName_HostNameMismatch &sipStrings_QtNetwork[12998]
#define sipNameNr_HttpCachingProxy 13015
#define sipName_HttpCachingProxy &sipStrings_QtNetwork[13015]
#define sipNameNr_IllegalParameter 13032
#define sipName_IllegalParameter &sipStrings_QtNetwork[13032]
#define sipNameNr_ImplementedClass 7546
#define sipName_ImplementedClass &sipStrings_QtNetwork[7546]
#define sipNameNr_LocalSocketError 2461
#define sipName_LocalSocketError &sipStrings_QtNetwork[2461]
#define sipNameNr_LocalSocketState 2492
#define sipName_LocalSocketState &sipStrings_QtNetwork[2492]
#define sipNameNr_MissingExtension 13049
#define sipName_MissingExtension &sipStrings_QtNetwork[13049]
#define sipNameNr_NameAndValueOnly 13066
#define sipName_NameAndValueOnly &sipStrings_QtNetwork[13066]
#define sipNameNr_OcspUnauthorized 13083
#define sipName_OcspUnauthorized &sipStrings_QtNetwork[13083]
#define sipNameNr_PauseOnSslErrors 13100
#define sipName_PauseOnSslErrors &sipStrings_QtNetwork[13100]
#define sipNameNr_QDnsLookup__Type 13117
#define sipName_QDnsLookup__Type &sipStrings_QtNetwork[13117]
#define sipNameNr_QFormDataBuilder 13134
#define sipName_QFormDataBuilder &sipStrings_QtNetwork[13134]
#define sipNameNr_13151 13151
#define sipName_13151 &sipStrings_QtNetwork[13151]
#define sipNameNr_QNetworkDatagram 13168
#define sipName_QNetworkDatagram &sipStrings_QtNetwork[13168]
#define sipNameNr_QSsl__AlertLevel 13185
#define sipName_QSsl__AlertLevel &sipStrings_QtNetwork[13185]
#define sipNameNr_ReuseAddressHint 13202
#define sipName_ReuseAddressHint &sipStrings_QtNetwork[13202]
#define sipNameNr_SslInternalError 13219
#define sipName_SslInternalError &sipStrings_QtNetwork[13219]
#define sipNameNr_StrictConversion 13236
#define sipName_StrictConversion &sipStrings_QtNetwork[13236]
#define sipNameNr_SupportedFeature 7569
#define sipName_SupportedFeature &sipStrings_QtNetwork[7569]
#define sipNameNr_SurrogateControl 13253
#define sipName_SurrogateControl &sipStrings_QtNetwork[13253]
#define sipNameNr_TransferEncoding 13270
#define sipName_TransferEncoding &sipStrings_QtNetwork[13270]
#define sipNameNr_UnconnectedState 13287
#define sipName_UnconnectedState &sipStrings_QtNetwork[13287]
#define sipNameNr_UnrecognizedName 13304
#define sipName_UnrecognizedName &sipStrings_QtNetwork[13304]
#define sipNameNr_UnspecifiedError 13321
#define sipName_UnspecifiedError &sipStrings_QtNetwork[13321]
#define sipNameNr_UserAccessOption 13338
#define sipName_UserAccessOption &sipStrings_QtNetwork[13338]
#define sipNameNr_addCaCertificate 13355
#define sipName_addCaCertificate &sipStrings_QtNetwork[13355]
#define sipNameNr_applicationProxy 13372
#define sipName_applicationProxy &sipStrings_QtNetwork[13372]
#define sipNameNr_clearAccessCache 13389
#define sipName_clearAccessCache &sipStrings_QtNetwork[13389]
#define sipNameNr_clearBearerToken 13406
#define sipName_clearBearerToken &sipStrings_QtNetwork[13406]
#define sipNameNr_disconnectNotify 13423
#define sipName_disconnectNotify &sipStrings_QtNetwork[13423]
#define sipNameNr_downloadProgress 13440
#define sipName_downloadProgress &sipStrings_QtNetwork[13440]
#define sipNameNr_encryptionMethod 13457
#define sipName_encryptionMethod &sipStrings_QtNetwork[13457]
#define sipNameNr_handshakeTimeout 13474
#define sipName_handshakeTimeout &sipStrings_QtNetwork[13474]
#define sipNameNr_isMeteredChanged 13491
#define sipName_isMeteredChanged &sipStrings_QtNetwork[13491]
#define sipNameNr_localCertificate 13508
#define sipName_localCertificate &sipStrings_QtNetwork[13508]
#define sipNameNr_maximumCacheSize 13525
#define sipName_maximumCacheSize &sipStrings_QtNetwork[13525]
#define sipNameNr_revocationReason 13542
#define sipName_revocationReason &sipStrings_QtNetwork[13542]
#define sipNameNr_setActiveBackend 13559
#define sipName_setActiveBackend &sipStrings_QtNetwork[13559]
#define sipNameNr_setCommonHeaders 13576
#define sipName_setCommonHeaders &sipStrings_QtNetwork[13576]
#define sipNameNr_setSessionTicket 13593
#define sipName_setSessionTicket &sipStrings_QtNetwork[13593]
#define sipNameNr_setSocketOptions 13610
#define sipName_setSocketOptions &sipStrings_QtNetwork[13610]
#define sipNameNr_socketDescriptor 13627
#define sipName_socketDescriptor &sipStrings_QtNetwork[13627]
#define sipNameNr_sslConfiguration 13644
#define sipName_sslConfiguration &sipStrings_QtNetwork[13644]
#define sipNameNr_supportedCiphers 13661
#define sipName_supportedCiphers &sipStrings_QtNetwork[13661]
#define sipNameNr_supportedSchemes 13678
#define sipName_supportedSchemes &sipStrings_QtNetwork[13678]
#define sipNameNr_validityLifetime 13695
#define sipName_validityLifetime &sipStrings_QtNetwork[13695]
#define sipNameNr_waitForConnected 13712
#define sipName_waitForConnected &sipStrings_QtNetwork[13712]
#define sipNameNr_waitForEncrypted 13729
#define sipName_waitForEncrypted &sipStrings_QtNetwork[13729]
#define sipNameNr_waitForReadyRead 13746
#define sipName_waitForReadyRead &sipStrings_QtNetwork[13746]
#define sipNameNr_AcceptAdditions 13763
#define sipName_AcceptAdditions &sipStrings_QtNetwork[13763]
#define sipNameNr_AcceptSignature 13779
#define sipName_AcceptSignature &sipStrings_QtNetwork[13779]
#define sipNameNr_AlternativeType 13795
#define sipName_AlternativeType &sipStrings_QtNetwork[13795]
#define sipNameNr_CDNCacheControl 13811
#define sipName_CDNCacheControl &sipStrings_QtNetwork[13811]
#define sipNameNr_CalDAVTimezones 13827
#define sipName_CalDAVTimezones &sipStrings_QtNetwork[13827]
#define sipNameNr_CapsuleProtocol 13843
#define sipName_CapsuleProtocol &sipStrings_QtNetwork[13843]
#define sipNameNr_CertificateHold 13859
#define sipName_CertificateHold &sipStrings_QtNetwork[13859]
#define sipNameNr_ClientCertChain 13875
#define sipName_ClientCertChain &sipStrings_QtNetwork[13875]
#define sipNameNr_ConnectingState 13891
#define sipName_ConnectingState &sipStrings_QtNetwork[13891]
#define sipNameNr_ConnectionError 13907
#define sipName_ConnectionError &sipStrings_QtNetwork[13907]
#define sipNameNr_ContentEncoding 13923
#define sipName_ContentEncoding &sipStrings_QtNetwork[13923]
#define sipNameNr_ContentLanguage 13939
#define sipName_ContentLanguage &sipStrings_QtNetwork[13939]
#define sipNameNr_ContentLocation 13955
#define sipName_ContentLocation &sipStrings_QtNetwork[13955]
#define sipNameNr_CustomOperation 13971
#define sipName_CustomOperation &sipStrings_QtNetwork[13971]
#define sipNameNr_DeleteOperation 13987
#define sipName_DeleteOperation &sipStrings_QtNetwork[13987]
#define sipNameNr_DtlsV1_0OrLater 14003
#define sipName_DtlsV1_0OrLater &sipStrings_QtNetwork[14003]
#define sipNameNr_DtlsV1_2OrLater 14019
#define sipName_DtlsV1_2OrLater &sipStrings_QtNetwork[14019]
#define sipNameNr_FtpCachingProxy 14035
#define sipName_FtpCachingProxy &sipStrings_QtNetwork[14035]
#define sipNameNr_FullCertificate 14051
#define sipName_FullCertificate &sipStrings_QtNetwork[14051]
#define sipNameNr_HostLookupState 14067
#define sipName_HostLookupState &sipStrings_QtNetwork[14067]
#define sipNameNr_IfModifiedSince 14083
#define sipName_IfModifiedSince &sipStrings_QtNetwork[14083]
#define sipNameNr_KeepAliveOption 14099
#define sipName_KeepAliveOption &sipStrings_QtNetwork[14099]
#define sipNameNr_MementoDatetime 14115
#define sipName_MementoDatetime &sipStrings_QtNetwork[14115]
#define sipNameNr_NoRenegotiation 14131
#define sipName_NoRenegotiation &sipStrings_QtNetwork[14131]
#define sipNameNr_ODataMaxVersion 14147
#define sipName_ODataMaxVersion &sipStrings_QtNetwork[14147]
#define sipNameNr_OSLCCoreVersion 14163
#define sipName_OSLCCoreVersion &sipStrings_QtNetwork[14163]
#define sipNameNr_PeerClosedError 14179
#define sipName_PeerClosedError &sipStrings_QtNetwork[14179]
#define sipNameNr_ProtocolFailure 14195
#define sipName_ProtocolFailure &sipStrings_QtNetwork[14195]
#define sipNameNr_ProtocolVersion 14211
#define sipName_ProtocolVersion &sipStrings_QtNetwork[14211]
#define sipNameNr_PyQt6_QtNetwork 14227
#define sipName_PyQt6_QtNetwork &sipStrings_QtNetwork[14227]
#define sipNameNr_QAbstractSocket 14243
#define sipName_QAbstractSocket &sipStrings_QtNetwork[14243]
#define sipNameNr_QNetworkRequest 14259
#define sipName_QNetworkRequest &sipStrings_QtNetwork[14259]
#define sipNameNr_QSsl__AlertType 14275
#define sipName_QSsl__AlertType &sipStrings_QtNetwork[14275]
#define sipNameNr_QSsl__SslOption 14291
#define sipName_QSsl__SslOption &sipStrings_QtNetwork[14291]
#define sipNameNr_QSslCertificate 14307
#define sipName_QSslCertificate &sipStrings_QtNetwork[14307]
#define sipNameNr_SecTokenBinding 14323
#define sipName_SecTokenBinding &sipStrings_QtNetwork[14323]
#define sipNameNr_SecWebSocketKey 14339
#define sipName_SecWebSocketKey &sipStrings_QtNetwork[14339]
#define sipNameNr_SecureProtocols 14355
#define sipName_SecureProtocols &sipStrings_QtNetwork[14355]
#define sipNameNr_SetCookieHeader 14371
#define sipName_SetCookieHeader &sipStrings_QtNetwork[14371]
#define sipNameNr_TransportMedium 687
#define sipName_TransportMedium &sipStrings_QtNetwork[687]
#define sipNameNr_UnencryptedMode 14387
#define sipName_UnencryptedMode &sipStrings_QtNetwork[14387]
#define sipNameNr_UnknownProtocol 14403
#define sipName_UnknownProtocol &sipStrings_QtNetwork[14403]
#define sipNameNr_UserAgentHeader 14419
#define sipName_UserAgentHeader &sipStrings_QtNetwork[14419]
#define sipNameNr_WWWAuthenticate 6644
#define sipName_WWWAuthenticate &sipStrings_QtNetwork[6644]
#define sipNameNr_WellKnownHeader 2983
#define sipName_WellKnownHeader &sipStrings_QtNetwork[2983]
#define sipNameNr_abortHostLookup 14435
#define sipName_abortHostLookup &sipStrings_QtNetwork[14435]
#define sipNameNr_clearAttributes 14451
#define sipName_clearAttributes &sipStrings_QtNetwork[14451]
#define sipNameNr_connectToServer 14467
#define sipName_connectToServer &sipStrings_QtNetwork[14467]
#define sipNameNr_deriveKeyPbkdf1 14483
#define sipName_deriveKeyPbkdf1 &sipStrings_QtNetwork[14483]
#define sipNameNr_deriveKeyPbkdf2 14499
#define sipName_deriveKeyPbkdf2 &sipStrings_QtNetwork[14499]
#define sipNameNr_destinationPort 14515
#define sipName_destinationPort &sipStrings_QtNetwork[14515]
#define sipNameNr_fromListOfPairs 14531
#define sipName_fromListOfPairs &sipStrings_QtNetwork[14531]
#define sipNameNr_hardwareAddress 14547
#define sipName_hardwareAddress &sipStrings_QtNetwork[14547]
#define sipNameNr_ignoreSslErrors 14563
#define sipName_ignoreSslErrors &sipStrings_QtNetwork[14563]
#define sipNameNr_isAuthenticData 14579
#define sipName_isAuthenticData &sipStrings_QtNetwork[14579]
#define sipNameNr_isLifetimeKnown 14595
#define sipName_isLifetimeKnown &sipStrings_QtNetwork[14595]
#define sipNameNr_isSessionCookie 14611
#define sipName_isSessionCookie &sipStrings_QtNetwork[14611]
#define sipNameNr_isTlsNamedCurve 14627
#define sipName_isTlsNamedCurve &sipStrings_QtNetwork[14627]
#define sipNameNr_localDomainName 14643
#define sipName_localDomainName &sipStrings_QtNetwork[14643]
#define sipNameNr_metaDataChanged 14659
#define sipName_metaDataChanged &sipStrings_QtNetwork[14659]
#define sipNameNr_peerCertificate 14675
#define sipName_peerCertificate &sipStrings_QtNetwork[14675]
#define sipNameNr_peerVerifyDepth 14691
#define sipName_peerVerifyDepth &sipStrings_QtNetwork[14691]
#define sipNameNr_peerVerifyError 14707
#define sipName_peerVerifyError &sipStrings_QtNetwork[14707]
#define sipNameNr_queryParameters 14723
#define sipName_queryParameters &sipStrings_QtNetwork[14723]
#define sipNameNr_receiveDatagram 14739
#define sipName_receiveDatagram &sipStrings_QtNetwork[14739]
#define sipNameNr_redirectAllowed 14755
#define sipName_redirectAllowed &sipStrings_QtNetwork[14755]
#define sipNameNr_replaceOrAppend 14771
#define sipName_replaceOrAppend &sipStrings_QtNetwork[14771]
#define sipNameNr_resumeAccepting 14787
#define sipName_resumeAccepting &sipStrings_QtNetwork[14787]
#define sipNameNr_sessionProtocol 14803
#define sipName_sessionProtocol &sipStrings_QtNetwork[14803]
#define sipNameNr_setCapabilities 14819
#define sipName_setCapabilities &sipStrings_QtNetwork[14819]
#define sipNameNr_setLastModified 14835
#define sipName_setLastModified &sipStrings_QtNetwork[14835]
#define sipNameNr_setLocalAddress 14851
#define sipName_setLocalAddress &sipStrings_QtNetwork[14851]
#define sipNameNr_setMaxFrameSize 14867
#define sipName_setMaxFrameSize &sipStrings_QtNetwork[14867]
#define sipNameNr_setPeerHostName 14883
#define sipName_setPeerHostName &sipStrings_QtNetwork[14883]
#define sipNameNr_setPreSharedKey 14899
#define sipName_setPreSharedKey &sipStrings_QtNetwork[14899]
#define sipNameNr_setPrefixLength 14915
#define sipName_setPrefixLength &sipStrings_QtNetwork[14915]
#define sipNameNr_setProxyFactory 14931
#define sipName_setProxyFactory &sipStrings_QtNetwork[14931]
#define sipNameNr_setSocketOption 14947
#define sipName_setSocketOption &sipStrings_QtNetwork[14947]
#define sipNameNr_transferTimeout 14963
#define sipName_transferTimeout &sipStrings_QtNetwork[14963]
#define sipNameNr_transportMedium 14979
#define sipName_transportMedium &sipStrings_QtNetwork[14979]
#define sipNameNr_AcceptDatetime 14995
#define sipName_AcceptDatetime &sipStrings_QtNetwork[14995]
#define sipNameNr_AcceptEncoding 15010
#define sipName_AcceptEncoding &sipStrings_QtNetwork[15010]
#define sipNameNr_AcceptFeatures 15025
#define sipName_AcceptFeatures &sipStrings_QtNetwork[15025]
#define sipNameNr_AcceptLanguage 15040
#define sipName_AcceptLanguage &sipStrings_QtNetwork[15040]
#define sipNameNr_AutoVerifyPeer 15055
#define sipName_AutoVerifyPeer &sipStrings_QtNetwork[15055]
#define sipNameNr_BadCertificate 15070
#define sipName_BadCertificate &sipStrings_QtNetwork[15070]
#define sipNameNr_ClientSideAlpn 15085
#define sipName_ClientSideAlpn &sipStrings_QtNetwork[15085]
#define sipNameNr_ConnectedState 15100
#define sipName_ConnectedState &sipStrings_QtNetwork[15100]
#define sipNameNr_DifferentialID 15115
#define sipName_DifferentialID &sipStrings_QtNetwork[15115]
#define sipNameNr_EncodingFormat 9256
#define sipName_EncodingFormat &sipStrings_QtNetwork[9256]
#define sipNameNr_InvalidPurpose 15130
#define sipName_InvalidPurpose &sipStrings_QtNetwork[15130]
#define sipNameNr_IpAddressEntry 15145
#define sipName_IpAddressEntry &sipStrings_QtNetwork[15145]
#define sipNameNr_IsPointToPoint 15160
#define sipName_IsPointToPoint &sipStrings_QtNetwork[15160]
#define sipNameNr_ListeningState 15175
#define sipName_ListeningState &sipStrings_QtNetwork[15175]
#define sipNameNr_LocationHeader 15190
#define sipName_LocationHeader &sipStrings_QtNetwork[15190]
#define sipNameNr_LowDelayOption 15205
#define sipName_LowDelayOption &sipStrings_QtNetwork[15205]
#define sipNameNr_NormalPriority 15220
#define sipName_NormalPriority &sipStrings_QtNetwork[15220]
#define sipNameNr_ODataIsolation 15235
#define sipName_ODataIsolation &sipStrings_QtNetwork[15235]
#define sipNameNr_OcspSigRequred 15250
#define sipName_OcspSigRequred &sipStrings_QtNetwork[15250]
#define sipNameNr_OperationError 2214
#define sipName_OperationError &sipStrings_QtNetwork[2214]
#define sipNameNr_PeerVerifyMode 5038
#define sipName_PeerVerifyMode &sipStrings_QtNetwork[5038]
#define sipNameNr_QAuthenticator 15265
#define sipName_QAuthenticator &sipStrings_QtNetwork[15265]
#define sipNameNr_QDnsTextRecord 15280
#define sipName_QDnsTextRecord &sipStrings_QtNetwork[15280]
#define sipNameNr_QHttpMultiPart 15295
#define sipName_QHttpMultiPart &sipStrings_QtNetwork[15295]
#define sipNameNr_15310 15310
#define sipName_15310 &sipStrings_QtNetwork[15310]
#define sipNameNr_QNetworkCookie 15325
#define sipName_QNetworkCookie &sipStrings_QtNetwork[15325]
#define sipNameNr_RecordOverflow 15340
#define sipName_RecordOverflow &sipStrings_QtNetwork[15340]
#define sipNameNr_RedirectPolicy 2182
#define sipName_RedirectPolicy &sipStrings_QtNetwork[2182]
#define sipNameNr_ServerSideAlpn 15355
#define sipName_ServerSideAlpn &sipStrings_QtNetwork[15355]
#define sipNameNr_SignatureInput 15370
#define sipName_SignatureInput &sipStrings_QtNetwork[15370]
#define sipNameNr_SpecialAddress 3636
#define sipName_SpecialAddress &sipStrings_QtNetwork[3636]
#define sipNameNr_TemporaryError 15385
#define sipName_TemporaryError &sipStrings_QtNetwork[15385]
#define sipNameNr_TlsV1_0OrLater 15400
#define sipName_TlsV1_0OrLater &sipStrings_QtNetwork[15400]
#define sipNameNr_TlsV1_1OrLater 15415
#define sipName_TlsV1_1OrLater &sipStrings_QtNetwork[15415]
#define sipNameNr_TlsV1_2OrLater 15430
#define sipName_TlsV1_2OrLater &sipStrings_QtNetwork[15430]
#define sipNameNr_TlsV1_3OrLater 15445
#define sipName_TlsV1_3OrLater &sipStrings_QtNetwork[15445]
#define sipNameNr_WantReprDigest 15460
#define sipName_WantReprDigest &sipStrings_QtNetwork[15460]
#define sipNameNr_addressEntries 15475
#define sipName_addressEntries &sipStrings_QtNetwork[15475]
#define sipNameNr_buildMultiPart 15490
#define sipName_buildMultiPart &sipStrings_QtNetwork[15490]
#define sipNameNr_bytesAvailable 15505
#define sipName_bytesAvailable &sipStrings_QtNetwork[15505]
#define sipNameNr_caCertificates 15520
#define sipName_caCertificates &sipStrings_QtNetwork[15520]
#define sipNameNr_cacheDirectory 15535
#define sipName_cacheDirectory &sipStrings_QtNetwork[15535]
#define sipNameNr_clearAttribute 15550
#define sipName_clearAttribute &sipStrings_QtNetwork[15550]
#define sipNameNr_deleteResource 15565
#define sipName_deleteResource &sipStrings_QtNetwork[15565]
#define sipNameNr_dnsEligibility 15580
#define sipName_dnsEligibility &sipStrings_QtNetwork[15580]
#define sipNameNr_ellipticCurves 15595
#define sipName_ellipticCurves &sipStrings_QtNetwork[15595]
#define sipNameNr_expirationDate 15610
#define sipName_expirationDate &sipStrings_QtNetwork[15610]
#define sipNameNr_fullServerName 15625
#define sipName_fullServerName &sipStrings_QtNetwork[15625]
#define sipNameNr_interfaceIndex 15640
#define sipName_interfaceIndex &sipStrings_QtNetwork[15640]
#define sipNameNr_isCachingProxy 15655
#define sipName_isCachingProxy &sipStrings_QtNetwork[15655]
#define sipNameNr_nameserverPort 15670
#define sipName_nameserverPort &sipStrings_QtNetwork[15670]
#define sipNameNr_pauseAccepting 15685
#define sipName_pauseAccepting &sipStrings_QtNetwork[15685]
#define sipNameNr_peerVerifyMode 15700
#define sipName_peerVerifyMode &sipStrings_QtNetwork[15700]
#define sipNameNr_peerVerifyName 15715
#define sipName_peerVerifyName &sipStrings_QtNetwork[15715]
#define sipNameNr_pointerRecords 15730
#define sipName_pointerRecords &sipStrings_QtNetwork[15730]
#define sipNameNr_protocolString 15745
#define sipName_protocolString &sipStrings_QtNetwork[15745]
#define sipNameNr_rawHeaderPairs 15760
#define sipName_rawHeaderPairs &sipStrings_QtNetwork[15760]
#define sipNameNr_readBufferSize 15775
#define sipName_readBufferSize &sipStrings_QtNetwork[15775]
#define sipNameNr_redirectPolicy 15790
#define sipName_redirectPolicy &sipStrings_QtNetwork[15790]
#define sipNameNr_sameSitePolicy 15805
#define sipName_sameSitePolicy &sipStrings_QtNetwork[15805]
#define sipNameNr_serviceRecords 15820
#define sipName_serviceRecords &sipStrings_QtNetwork[15820]
#define sipNameNr_setBearerToken 15835
#define sipName_setBearerToken &sipStrings_QtNetwork[15835]
#define sipNameNr_setContentType 15850
#define sipName_setContentType &sipStrings_QtNetwork[15850]
#define sipNameNr_setDestination 15865
#define sipName_setDestination &sipStrings_QtNetwork[15865]
#define sipNameNr_setErrorString 15880
#define sipName_setErrorString &sipStrings_QtNetwork[15880]
#define sipNameNr_setPeerAddress 15895
#define sipName_setPeerAddress &sipStrings_QtNetwork[15895]
#define sipNameNr_setProtocolTag 15910
#define sipName_setProtocolTag &sipStrings_QtNetwork[15910]
#define sipNameNr_setSocketError 15925
#define sipName_setSocketError &sipStrings_QtNetwork[15925]
#define sipNameNr_setSocketState 15940
#define sipName_setSocketState &sipStrings_QtNetwork[15940]
#define sipNameNr_updateMetaData 15955
#define sipName_updateMetaData &sipStrings_QtNetwork[15955]
#define sipNameNr_uploadProgress 15970
#define sipName_uploadProgress &sipStrings_QtNetwork[15970]
#define sipNameNr_validateCookie 15985
#define sipName_validateCookie &sipStrings_QtNetwork[15985]
#define sipNameNr_AcceptCharset 16000
#define sipName_AcceptCharset &sipStrings_QtNetwork[16000]
#define sipNameNr_AlwaysNetwork 16014
#define sipName_AlwaysNetwork &sipStrings_QtNetwork[16014]
#define sipNameNr_AnyIPProtocol 16028
#define sipName_AnyIPProtocol &sipStrings_QtNetwork[16028]
#define sipNameNr_Authorization 10968
#define sipName_Authorization &sipStrings_QtNetwork[10968]
#define sipNameNr_CaptivePortal 8507
#define sipName_CaptivePortal &sipStrings_QtNetwork[8507]
#define sipNameNr_CertNotBefore 16042
#define sipName_CertNotBefore &sipStrings_QtNetwork[16042]
#define sipNameNr_ClearSiteData 16056
#define sipName_ClearSiteData &sipStrings_QtNetwork[16056]
#define sipNameNr_ContentDigest 12322
#define sipName_ContentDigest &sipStrings_QtNetwork[12322]
#define sipNameNr_ContentLength 16070
#define sipName_ContentLength &sipStrings_QtNetwork[16070]
#define sipNameNr_DiffieHellman 16084
#define sipName_DiffieHellman &sipStrings_QtNetwork[16084]
#define sipNameNr_DnsIneligible 16098
#define sipName_DnsIneligible &sipStrings_QtNetwork[16098]
#define sipNameNr_EllipticCurve 12214
#define sipName_EllipticCurve &sipStrings_QtNetwork[12214]
#define sipNameNr_HeadOperation 16112
#define sipName_HeadOperation &sipStrings_QtNetwork[16112]
#define sipNameNr_HostInfoError 6056
#define sipName_HostInfoError &sipStrings_QtNetwork[6056]
#define sipNameNr_IfMatchHeader 16126
#define sipName_IfMatchHeader &sipStrings_QtNetwork[16126]
#define sipNameNr_InterfaceFlag 1792
#define sipName_InterfaceFlag &sipStrings_QtNetwork[1792]
#define sipNameNr_InterfaceType 1825
#define sipName_InterfaceType &sipStrings_QtNetwork[1825]
#define sipNameNr_InternalError 11944
#define sipName_InternalError &sipStrings_QtNetwork[11944]
#define sipNameNr_KeyCompromise 16140
#define sipName_KeyCompromise &sipStrings_QtNetwork[16140]
#define sipNameNr_LocalHostIPv6 16154
#define sipName_LocalHostIPv6 &sipStrings_QtNetwork[16154]
#define sipNameNr_NoCertificate 16168
#define sipName_NoCertificate &sipStrings_QtNetwork[16168]
#define sipNameNr_NotFoundError 8921
#define sipName_NotFoundError &sipStrings_QtNetwork[8921]
#define sipNameNr_ODataEntityId 16182
#define sipName_ODataEntityId &sipStrings_QtNetwork[16182]
#define sipNameNr_PatternSyntax 2557
#define sipName_PatternSyntax &sipStrings_QtNetwork[2557]
#define sipNameNr_PostOperation 16196
#define sipName_PostOperation &sipStrings_QtNetwork[16196]
#define sipNameNr_PreferNetwork 16210
#define sipName_PreferNetwork &sipStrings_QtNetwork[16210]
#define sipNameNr_ProtocolQuery 16224
#define sipName_ProtocolQuery &sipStrings_QtNetwork[16224]
#define sipNameNr_PublicKeyPins 16238
#define sipName_PublicKeyPins &sipStrings_QtNetwork[16238]
#define sipNameNr_QNetworkProxy 16252
#define sipName_QNetworkProxy &sipStrings_QtNetwork[16252]
#define sipNameNr_QNetworkReply 16266
#define sipName_QNetworkReply &sipStrings_QtNetwork[16266]
#define sipNameNr_QOcspResponse 16280
#define sipName_QOcspResponse &sipStrings_QtNetwork[16280]
#define sipNameNr_QSsl__KeyType 16294
#define sipName_QSsl__KeyType &sipStrings_QtNetwork[16294]
#define sipNameNr_RemoveFromCRL 16308
#define sipName_RemoveFromCRL &sipStrings_QtNetwork[16308]
#define sipNameNr_ResolverError 16322
#define sipName_ResolverError &sipStrings_QtNetwork[16322]
#define sipNameNr_ScheduleReply 16336
#define sipName_ScheduleReply &sipStrings_QtNetwork[16336]
#define sipNameNr_SessionTicket 13596
#define sipName_SessionTicket &sipStrings_QtNetwork[13596]
#define sipNameNr_SslClientMode 16350
#define sipName_SslClientMode &sipStrings_QtNetwork[16350]
#define sipNameNr_SslServerMode 16364
#define sipName_SslServerMode &sipStrings_QtNetwork[16364]
#define sipNameNr_StrictRfc7578 16378
#define sipName_StrictRfc7578 &sipStrings_QtNetwork[16378]
#define sipNameNr_UserCancelled 16392
#define sipName_UserCancelled &sipStrings_QtNetwork[16392]
#define sipNameNr_XFrameOptions 16406
#define sipName_XFrameOptions &sipStrings_QtNetwork[16406]
#define sipNameNr_activeBackend 16420
#define sipName_activeBackend &sipStrings_QtNetwork[16420]
#define sipNameNr_alertReceived 16434
#define sipName_alertReceived &sipStrings_QtNetwork[16434]
#define sipNameNr_allInterfaces 16448
#define sipName_allInterfaces &sipStrings_QtNetwork[16448]
#define sipNameNr_clearPassword 16462
#define sipName_clearPassword &sipStrings_QtNetwork[16462]
#define sipNameNr_clearUserName 16476
#define sipName_clearUserName &sipStrings_QtNetwork[16476]
#define sipNameNr_combinedValue 16490
#define sipName_combinedValue &sipStrings_QtNetwork[16490]
#define sipNameNr_commonHeaders 16504
#define sipName_commonHeaders &sipStrings_QtNetwork[16504]
#define sipNameNr_connectNotify 13426
#define sipName_connectNotify &sipStrings_QtNetwork[13426]
#define sipNameNr_connectToHost 16518
#define sipName_connectToHost &sipStrings_QtNetwork[16518]
#define sipNameNr_cookiesForUrl 16532
#define sipName_cookiesForUrl &sipStrings_QtNetwork[16532]
#define sipNameNr_createRequest 16546
#define sipName_createRequest &sipStrings_QtNetwork[16546]
#define sipNameNr_effectiveDate 16560
#define sipName_effectiveDate &sipStrings_QtNetwork[16560]
#define sipNameNr_errorOccurred 16574
#define sipName_errorOccurred &sipStrings_QtNetwork[16574]
#define sipNameNr_fromShortName 16588
#define sipName_fromShortName &sipStrings_QtNetwork[16588]
#define sipNameNr_isBlacklisted 16602
#define sipName_isBlacklisted &sipStrings_QtNetwork[16602]
#define sipNameNr_localHostName 16616
#define sipName_localHostName &sipStrings_QtNetwork[16616]
#define sipNameNr_newConnection 16630
#define sipName_newConnection &sipStrings_QtNetwork[16630]
#define sipNameNr_ocspResponses 16644
#define sipName_ocspResponses &sipStrings_QtNetwork[16644]
#define sipNameNr_proxyForQuery 16658
#define sipName_proxyForQuery &sipStrings_QtNetwork[16658]
#define sipNameNr_rawHeaderList 16672
#define sipName_rawHeaderList &sipStrings_QtNetwork[16672]
#define sipNameNr_senderAddress 16686
#define sipName_senderAddress &sipStrings_QtNetwork[16686]
#define sipNameNr_serverAddress 16700
#define sipName_serverAddress &sipStrings_QtNetwork[16700]
#define sipNameNr_sessionCipher 16714
#define sipName_sessionCipher &sipStrings_QtNetwork[16714]
#define sipNameNr_sessionTicket 16728
#define sipName_sessionTicket &sipStrings_QtNetwork[16728]
#define sipNameNr_setAllCookies 16742
#define sipName_setAllCookies &sipStrings_QtNetwork[16742]
#define sipNameNr_setAttributes 16756
#define sipName_setAttributes &sipStrings_QtNetwork[16756]
#define sipNameNr_setBodyDevice 16770
#define sipName_setBodyDevice &sipStrings_QtNetwork[16770]
#define sipNameNr_setNameserver 16784
#define sipName_setNameserver &sipStrings_QtNetwork[16784]
#define sipNameNr_setPrivateKey 16798
#define sipName_setPrivateKey &sipStrings_QtNetwork[16798]
#define sipNameNr_setRawHeaders 16812
#define sipName_setRawHeaders &sipStrings_QtNetwork[16812]
#define sipNameNr_setSaveToDisk 16826
#define sipName_setSaveToDisk &sipStrings_QtNetwork[16826]
#define sipNameNr_setServerName 16840
#define sipName_setServerName &sipStrings_QtNetwork[16840]
#define sipNameNr_socketOptions 16854
#define sipName_socketOptions &sipStrings_QtNetwork[16854]
#define sipNameNr_supportedBits 16868
#define sipName_supportedBits &sipStrings_QtNetwork[16868]
#define sipNameNr_testSslOption 16882
#define sipName_testSslOption &sipStrings_QtNetwork[16882]
#define sipNameNr_toIPv4Address 16896
#define sipName_toIPv4Address &sipStrings_QtNetwork[16896]
#define sipNameNr_toIPv6Address 16910
#define sipName_toIPv6Address &sipStrings_QtNetwork[16910]
#define sipNameNr_toListOfPairs 16924
#define sipName_toListOfPairs &sipStrings_QtNetwork[16924]
#define sipNameNr_writeDatagram 16938
#define sipName_writeDatagram &sipStrings_QtNetwork[16938]
#define sipNameNr_AcceptRanges 16952
#define sipName_AcceptRanges &sipStrings_QtNetwork[16952]
#define sipNameNr_AccessDenied 9863
#define sipName_AccessDenied &sipStrings_QtNetwork[9863]
#define sipNameNr_BadRecordMac 16965
#define sipName_BadRecordMac &sipStrings_QtNetwork[16965]
#define sipNameNr_CACompromise 16978
#define sipName_CACompromise &sipStrings_QtNetwork[16978]
#define sipNameNr_CacheControl 13814
#define sipName_CacheControl &sipStrings_QtNetwork[13814]
#define sipNameNr_CalManagedID 16991
#define sipName_CalManagedID &sipStrings_QtNetwork[16991]
#define sipNameNr_CanBroadcast 17004
#define sipName_CanBroadcast &sipStrings_QtNetwork[17004]
#define sipNameNr_CanMulticast 17017
#define sipName_CanMulticast &sipStrings_QtNetwork[17017]
#define sipNameNr_CertNotAfter 17030
#define sipName_CertNotAfter &sipStrings_QtNetwork[17030]
#define sipNameNr_ClosingState 17043
#define sipName_ClosingState &sipStrings_QtNetwork[17043]
#define sipNameNr_ContentRange 17056
#define sipName_ContentRange &sipStrings_QtNetwork[17056]
#define sipNameNr_CookieHeader 14374
#define sipName_CookieHeader &sipStrings_QtNetwork[14374]
#define sipNameNr_DecryptError 17069
#define sipName_DecryptError &sipStrings_QtNetwork[17069]
#define sipNameNr_DefaultProxy 17082
#define sipName_DefaultProxy &sipStrings_QtNetwork[17082]
#define sipNameNr_Disconnected 10683
#define sipName_Disconnected &sipStrings_QtNetwork[10683]
#define sipNameNr_EmailAddress 17095
#define sipName_EmailAddress &sipStrings_QtNetwork[17095]
#define sipNameNr_FormDataType 17108
#define sipName_FormDataType &sipStrings_QtNetwork[17108]
#define sipNameNr_GetOperation 17121
#define sipName_GetOperation &sipStrings_QtNetwork[17121]
#define sipNameNr_HighPriority 17134
#define sipName_HighPriority &sipStrings_QtNetwork[17134]
#define sipNameNr_HostNotFound 17147
#define sipName_HostNotFound &sipStrings_QtNetwork[17147]
#define sipNameNr_IPv4Protocol 17160
#define sipName_IPv4Protocol &sipStrings_QtNetwork[17160]
#define sipNameNr_IPv6Protocol 17173
#define sipName_IPv6Protocol &sipStrings_QtNetwork[17173]
#define sipNameNr_KeyAlgorithm 11083
#define sipName_KeyAlgorithm &sipStrings_QtNetwork[11083]
#define sipNameNr_KnownHeaders 3136
#define sipName_KnownHeaders &sipStrings_QtNetwork[3136]
#define sipNameNr_LastModified 14838
#define sipName_LastModified &sipStrings_QtNetwork[14838]
#define sipNameNr_LocalityName 17186
#define sipName_LocalityName &sipStrings_QtNetwork[17186]
#define sipNameNr_MatchingType 463
#define sipName_MatchingType &sipStrings_QtNetwork[463]
#define sipNameNr_NetworkError 4410
#define sipName_NetworkError &sipStrings_QtNetwork[4410]
#define sipNameNr_NoSslSupport 17199
#define sipName_NoSslSupport &sipStrings_QtNetwork[17199]
#define sipNameNr_ODataVersion 17212
#define sipName_ODataVersion &sipStrings_QtNetwork[17212]
#define sipNameNr_OcspTryLater 17225
#define sipName_OcspTryLater &sipStrings_QtNetwork[17225]
#define sipNameNr_OrderingType 17238
#define sipName_OrderingType &sipStrings_QtNetwork[17238]
#define sipNameNr_Organization 17251
#define sipName_Organization &sipStrings_QtNetwork[17251]
#define sipNameNr_ProtocolInfo 17264
#define sipName_ProtocolInfo &sipStrings_QtNetwork[17264]
#define sipNameNr_PutOperation 17277
#define sipName_PutOperation &sipStrings_QtNetwork[17277]
#define sipNameNr_QHostAddress 17290
#define sipName_QHostAddress &sipStrings_QtNetwork[17290]
#define sipNameNr_QHttpHeaders 17303
#define sipName_QHttpHeaders &sipStrings_QtNetwork[17303]
#define sipNameNr_QLocalServer 17316
#define sipName_QLocalServer &sipStrings_QtNetwork[17316]
#define sipNameNr_QLocalSocket 17329
#define sipName_QLocalSocket &sipStrings_QtNetwork[17329]
#define sipNameNr_Reachability 1426
#define sipName_Reachability &sipStrings_QtNetwork[1426]
#define sipNameNr_SerialNumber 17342
#define sipName_SerialNumber &sipStrings_QtNetwork[17342]
#define sipNameNr_ServerHeader 17355
#define sipName_ServerHeader &sipStrings_QtNetwork[17355]
#define sipNameNr_ServerTiming 17368
#define sipName_ServerTiming &sipStrings_QtNetwork[17368]
#define sipNameNr_ShareAddress 12968
#define sipName_ShareAddress &sipStrings_QtNetwork[12968]
#define sipNameNr_SocketOption 2956
#define sipName_SocketOption &sipStrings_QtNetwork[2956]
#define sipNameNr_TimeoutError 4270
#define sipName_TimeoutError &sipStrings_QtNetwork[4270]
#define sipNameNr_UnknownError 9090
#define sipName_UnknownError &sipStrings_QtNetwork[9090]
#define sipNameNr_allAddresses 17381
#define sipName_allAddresses &sipStrings_QtNetwork[17381]
#define sipNameNr_bytesToWrite 17394
#define sipName_bytesToWrite &sipStrings_QtNetwork[17394]
#define sipNameNr_capabilities 17407
#define sipName_capabilities &sipStrings_QtNetwork[17407]
#define sipNameNr_defaultValue 17420
#define sipName_defaultValue &sipStrings_QtNetwork[17420]
#define sipNameNr_deleteCookie 17433
#define sipName_deleteCookie &sipStrings_QtNetwork[17433]
#define sipNameNr_disconnected 17446
#define sipName_disconnected &sipStrings_QtNetwork[17446]
#define sipNameNr_fileMetaData 17459
#define sipName_fileMetaData &sipStrings_QtNetwork[17459]
#define sipNameNr_fromLongName 17472
#define sipName_fromLongName &sipStrings_QtNetwork[17472]
#define sipNameNr_hasRawHeader 17485
#define sipName_hasRawHeader &sipStrings_QtNetwork[17485]
#define sipNameNr_identityHint 17498
#define sipName_identityHint &sipStrings_QtNetwork[17498]
#define sipNameNr_importPkcs12 17511
#define sipName_importPkcs12 &sipStrings_QtNetwork[17511]
#define sipNameNr_insertCookie 17524
#define sipName_insertCookie &sipStrings_QtNetwork[17524]
#define sipNameNr_isPrivateUse 17537
#define sipName_isPrivateUse &sipStrings_QtNetwork[17537]
#define sipNameNr_isSelfSigned 17550
#define sipName_isSelfSigned &sipStrings_QtNetwork[17550]
#define sipNameNr_isSequential 17563
#define sipName_isSequential &sipStrings_QtNetwork[17563]
#define sipNameNr_lastModified 17576
#define sipName_lastModified &sipStrings_QtNetwork[17576]
#define sipNameNr_localAddress 17589
#define sipName_localAddress &sipStrings_QtNetwork[17589]
#define sipNameNr_maxFrameSize 17602
#define sipName_maxFrameSize &sipStrings_QtNetwork[17602]
#define sipNameNr_networkReply 17615
#define sipName_networkReply &sipStrings_QtNetwork[17615]
#define sipNameNr_parseCookies 17628
#define sipName_parseCookies &sipStrings_QtNetwork[17628]
#define sipNameNr_peerHostName 17641
#define sipName_peerHostName &sipStrings_QtNetwork[17641]
#define sipNameNr_preSharedKey 17654
#define sipName_preSharedKey &sipStrings_QtNetwork[17654]
#define sipNameNr_prefixLength 17667
#define sipName_prefixLength &sipStrings_QtNetwork[17667]
#define sipNameNr_proxyFactory 17680
#define sipName_proxyFactory &sipStrings_QtNetwork[17680]
#define sipNameNr_reachability 17693
#define sipName_reachability &sipStrings_QtNetwork[17693]
#define sipNameNr_readDatagram 17706
#define sipName_readDatagram &sipStrings_QtNetwork[17706]
#define sipNameNr_readLineData 17719
#define sipName_readLineData &sipStrings_QtNetwork[17719]
#define sipNameNr_removeServer 17732
#define sipName_removeServer &sipStrings_QtNetwork[17732]
#define sipNameNr_serialNumber 17745
#define sipName_serialNumber &sipStrings_QtNetwork[17745]
#define sipNameNr_setAddresses 17758
#define sipName_setAddresses &sipStrings_QtNetwork[17758]
#define sipNameNr_setAttribute 17771
#define sipName_setAttribute &sipStrings_QtNetwork[17771]
#define sipNameNr_setBroadcast 17784
#define sipName_setBroadcast &sipStrings_QtNetwork[17784]
#define sipNameNr_setCookieJar 17797
#define sipName_setCookieJar &sipStrings_QtNetwork[17797]
#define sipNameNr_setLocalPort 17810
#define sipName_setLocalPort &sipStrings_QtNetwork[17810]
#define sipNameNr_setOperation 17823
#define sipName_setOperation &sipStrings_QtNetwork[17823]
#define sipNameNr_setPauseMode 17836
#define sipName_setPauseMode &sipStrings_QtNetwork[17836]
#define sipNameNr_setQueryType 17849
#define sipName_setQueryType &sipStrings_QtNetwork[17849]
#define sipNameNr_setRawHeader 17862
#define sipName_setRawHeader &sipStrings_QtNetwork[17862]
#define sipNameNr_setSslOption 17875
#define sipName_setSslOption &sipStrings_QtNetwork[17875]
#define sipNameNr_socketOption 17888
#define sipName_socketOption &sipStrings_QtNetwork[17888]
#define sipNameNr_stateChanged 17901
#define sipName_stateChanged &sipStrings_QtNetwork[17901]
#define sipNameNr_updateCookie 17914
#define sipName_updateCookie &sipStrings_QtNetwork[17914]
#define sipNameNr_AcceptPatch 17927
#define sipName_AcceptPatch &sipStrings_QtNetwork[17927]
#define sipNameNr_AlwaysCache 17939
#define sipName_AlwaysCache &sipStrings_QtNetwork[17939]
#define sipNameNr_AnyProtocol 17951
#define sipName_AnyProtocol &sipStrings_QtNetwork[17951]
#define sipNameNr_CacheStatus 17963
#define sipName_CacheStatus &sipStrings_QtNetwork[17963]
#define sipNameNr_Certificate 1495
#define sipName_Certificate &sipStrings_QtNetwork[1495]
#define sipNameNr_CloseNotify 17975
#define sipName_CloseNotify &sipStrings_QtNetwork[17975]
#define sipNameNr_ContentType 4327
#define sipName_ContentType &sipStrings_QtNetwork[4327]
#define sipNameNr_CountryName 17987
#define sipName_CountryName &sipStrings_QtNetwork[17987]
#define sipNameNr_DecodeError 17999
#define sipName_DecodeError &sipStrings_QtNetwork[17999]
#define sipNameNr_Destination 15868
#define sipName_Destination &sipStrings_QtNetwork[15868]
#define sipNameNr_DnsEligible 18011
#define sipName_DnsEligible &sipStrings_QtNetwork[18011]
#define sipNameNr_FixedString 18023
#define sipName_FixedString &sipStrings_QtNetwork[18023]
#define sipNameNr_IfNoneMatch 18035
#define sipName_IfNoneMatch &sipStrings_QtNetwork[18035]
#define sipNameNr_LastEventID 18047
#define sipName_LastEventID &sipStrings_QtNetwork[18047]
#define sipNameNr_LoadControl 1461
#define sipName_LoadControl &sipStrings_QtNetwork[1461]
#define sipNameNr_LowPriority 18059
#define sipName_LowPriority &sipStrings_QtNetwork[18059]
#define sipNameNr_MIMEVersion 18071
#define sipName_MIMEVersion &sipStrings_QtNetwork[18071]
#define sipNameNr_MaxForwards 18083
#define sipName_MaxForwards &sipStrings_QtNetwork[18083]
#define sipNameNr_PreferCache 18095
#define sipName_PreferCache &sipStrings_QtNetwork[18095]
#define sipNameNr_ProxyStatus 18107
#define sipName_ProxyStatus &sipStrings_QtNetwork[18107]
#define sipNameNr_QHstsPolicy 18119
#define sipName_QHstsPolicy &sipStrings_QtNetwork[18119]
#define sipNameNr_RedirectRef 10742
#define sipName_RedirectRef &sipStrings_QtNetwork[10742]
#define sipNameNr_RelatedType 18131
#define sipName_RelatedType &sipStrings_QtNetwork[18131]
#define sipNameNr_ReplayNonce 18143
#define sipName_ReplayNonce &sipStrings_QtNetwork[18143]
#define sipNameNr_ScheduleTag 18155
#define sipName_ScheduleTag &sipStrings_QtNetwork[18155]
#define sipNameNr_SocketError 2466
#define sipName_SocketError &sipStrings_QtNetwork[2466]
#define sipNameNr_SocketState 2497
#define sipName_SocketState &sipStrings_QtNetwork[2497]
#define sipNameNr_Socks5Proxy 18167
#define sipName_Socks5Proxy &sipStrings_QtNetwork[18167]
#define sipNameNr_SslProtocol 12180
#define sipName_SslProtocol &sipStrings_QtNetwork[12180]
#define sipNameNr_SubjectInfo 3755
#define sipName_SubjectInfo &sipStrings_QtNetwork[3755]
#define sipNameNr_Traceparent 18179
#define sipName_Traceparent &sipStrings_QtNetwork[18179]
#define sipNameNr_Unspecified 18191
#define sipName_Unspecified &sipStrings_QtNetwork[18191]
#define sipNameNr_VariantVary 18203
#define sipName_VariantVary &sipStrings_QtNetwork[18203]
#define sipNameNr_acceptError 18215
#define sipName_acceptError &sipStrings_QtNetwork[18215]
#define sipNameNr_backendName 18227
#define sipName_backendName &sipStrings_QtNetwork[18227]
#define sipNameNr_bearerToken 18239
#define sipName_bearerToken &sipStrings_QtNetwork[18239]
#define sipNameNr_canReadLine 18251
#define sipName_canReadLine &sipStrings_QtNetwork[18251]
#define sipNameNr_certificate 18263
#define sipName_certificate &sipStrings_QtNetwork[18263]
#define sipNameNr_customEvent 18275
#define sipName_customEvent &sipStrings_QtNetwork[18275]
#define sipNameNr_errorString 18287
#define sipName_errorString &sipStrings_QtNetwork[18287]
#define sipNameNr_eventFilter 18299
#define sipName_eventFilter &sipStrings_QtNetwork[18299]
#define sipNameNr_fromEncoded 18311
#define sipName_fromEncoded &sipStrings_QtNetwork[18311]
#define sipNameNr_isBroadcast 18323
#define sipName_isBroadcast &sipStrings_QtNetwork[18323]
#define sipNameNr_isEncrypted 18335
#define sipName_isEncrypted &sipStrings_QtNetwork[18335]
#define sipNameNr_isLinkLocal 18347
#define sipName_isLinkLocal &sipStrings_QtNetwork[18347]
#define sipNameNr_isListening 18359
#define sipName_isListening &sipStrings_QtNetwork[18359]
#define sipNameNr_isMulticast 18371
#define sipName_isMulticast &sipStrings_QtNetwork[18371]
#define sipNameNr_isPermanent 18383
#define sipName_isPermanent &sipStrings_QtNetwork[18383]
#define sipNameNr_isSiteLocal 18395
#define sipName_isSiteLocal &sipStrings_QtNetwork[18395]
#define sipNameNr_isSupported 18407
#define sipName_isSupported &sipStrings_QtNetwork[18407]
#define sipNameNr_isTemporary 18419
#define sipName_isTemporary &sipStrings_QtNetwork[18419]
#define sipNameNr_modeChanged 18431
#define sipName_modeChanged &sipStrings_QtNetwork[18431]
#define sipNameNr_nameChanged 18443
#define sipName_nameChanged &sipStrings_QtNetwork[18443]
#define sipNameNr_parseSubnet 18455
#define sipName_parseSubnet &sipStrings_QtNetwork[18455]
#define sipNameNr_peerAddress 18467
#define sipName_peerAddress &sipStrings_QtNetwork[18467]
#define sipNameNr_protocolTag 18479
#define sipName_protocolTag &sipStrings_QtNetwork[18479]
#define sipNameNr_requestSent 18491
#define sipName_requestSent &sipStrings_QtNetwork[18491]
#define sipNameNr_serverError 18503
#define sipName_serverError &sipStrings_QtNetwork[18503]
#define sipNameNr_setBoundary 18515
#define sipName_setBoundary &sipStrings_QtNetwork[18515]
#define sipNameNr_setFinished 18527
#define sipName_setFinished &sipStrings_QtNetwork[18527]
#define sipNameNr_setHopLimit 18539
#define sipName_setHopLimit &sipStrings_QtNetwork[18539]
#define sipNameNr_setHostName 18551
#define sipName_setHostName &sipStrings_QtNetwork[18551]
#define sipNameNr_setHttpOnly 18563
#define sipName_setHttpOnly &sipStrings_QtNetwork[18563]
#define sipNameNr_setIdentity 18575
#define sipName_setIdentity &sipStrings_QtNetwork[18575]
#define sipNameNr_setLookupId 18587
#define sipName_setLookupId &sipStrings_QtNetwork[18587]
#define sipNameNr_setPassword 18599
#define sipName_setPassword &sipStrings_QtNetwork[18599]
#define sipNameNr_setPeerName 18611
#define sipName_setPeerName &sipStrings_QtNetwork[18611]
#define sipNameNr_setPeerPort 18623
#define sipName_setPeerPort &sipStrings_QtNetwork[18623]
#define sipNameNr_setPriority 18635
#define sipName_setPriority &sipStrings_QtNetwork[18635]
#define sipNameNr_setProtocol 18647
#define sipName_setProtocol &sipStrings_QtNetwork[18647]
#define sipNameNr_setUserName 18659
#define sipName_setUserName &sipStrings_QtNetwork[18659]
#define sipNameNr_subjectInfo 18671
#define sipName_subjectInfo &sipStrings_QtNetwork[18671]
#define sipNameNr_supportsSsl 18683
#define sipName_supportsSsl &sipStrings_QtNetwork[18683]
#define sipNameNr_textRecords 18695
#define sipName_textRecords &sipStrings_QtNetwork[18695]
#define sipNameNr_typeChanged 18707
#define sipName_typeChanged &sipStrings_QtNetwork[18707]
#define sipNameNr_AcceptPost 18719
#define sipName_AcceptPost &sipStrings_QtNetwork[18719]
#define sipNameNr_AlertLevel 13191
#define sipName_AlertLevel &sipStrings_QtNetwork[13191]
#define sipNameNr_Alternates 18730
#define sipName_Alternates &sipStrings_QtNetwork[18730]
#define sipNameNr_BoundState 18741
#define sipName_BoundState &sipStrings_QtNetwork[18741]
#define sipNameNr_Capability 5677
#define sipName_Capability &sipStrings_QtNetwork[5677]
#define sipNameNr_ClientCert 18752
#define sipName_ClientCert &sipStrings_QtNetwork[18752]
#define sipNameNr_CommonName 18763
#define sipName_CommonName &sipStrings_QtNetwork[18763]
#define sipNameNr_Connection 8642
#define sipName_Connection &sipStrings_QtNetwork[8642]
#define sipNameNr_DnsOverTls 18774
#define sipName_DnsOverTls &sipStrings_QtNetwork[18774]
#define sipNameNr_DtlsCookie 18785
#define sipName_DtlsCookie &sipStrings_QtNetwork[18785]
#define sipNameNr_ETagHeader 18796
#define sipName_ETagHeader &sipStrings_QtNetwork[18796]
#define sipNameNr_EmailEntry 18807
#define sipName_EmailEntry &sipStrings_QtNetwork[18807]
#define sipNameNr_Ieee802154 18818
#define sipName_Ieee802154 &sipStrings_QtNetwork[18818]
#define sipNameNr_IsLoopBack 18829
#define sipName_IsLoopBack &sipStrings_QtNetwork[18829]
#define sipNameNr_PauseNever 18840
#define sipName_PauseNever &sipStrings_QtNetwork[18840]
#define sipNameNr_PolicyFlag 6769
#define sipName_PolicyFlag &sipStrings_QtNetwork[6769]
#define sipNameNr_PrivateKey 16801
#define sipName_PrivateKey &sipStrings_QtNetwork[16801]
#define sipNameNr_PrivateUse 17539
#define sipName_PrivateUse &sipStrings_QtNetwork[17539]
#define sipNameNr_QDnsLookup 18851
#define sipName_QDnsLookup &sipStrings_QtNetwork[18851]
#define sipNameNr_QRestReply 18862
#define sipName_QRestReply &sipStrings_QtNetwork[18862]
#define sipNameNr_QSslCipher 18873
#define sipName_QSslCipher &sipStrings_QtNetwork[18873]
#define sipNameNr_QSslServer 18884
#define sipName_QSslServer &sipStrings_QtNetwork[18884]
#define sipNameNr_QSslSocket 18895
#define sipName_QSslSocket &sipStrings_QtNetwork[18895]
#define sipNameNr_QTcpServer 18906
#define sipName_QTcpServer &sipStrings_QtNetwork[18906]
#define sipNameNr_QTcpSocket 18917
#define sipName_QTcpSocket &sipStrings_QtNetwork[18917]
#define sipNameNr_QUdpSocket 18928
#define sipName_QUdpSocket &sipStrings_QtNetwork[18928]
#define sipNameNr_Q_IPV6ADDR 18939
#define sipName_Q_IPV6ADDR &sipStrings_QtNetwork[18939]
#define sipNameNr_ReprDigest 15464
#define sipName_ReprDigest &sipStrings_QtNetwork[15464]
#define sipNameNr_RetryAfter 18950
#define sipName_RetryAfter &sipStrings_QtNetwork[18950]
#define sipNameNr_SctpServer 18961
#define sipName_SctpServer &sipStrings_QtNetwork[18961]
#define sipNameNr_SctpSocket 18972
#define sipName_SctpSocket &sipStrings_QtNetwork[18972]
#define sipNameNr_SecPurpose 18983
#define sipName_SecPurpose &sipStrings_QtNetwork[18983]
#define sipNameNr_SoapAction 18994
#define sipName_SoapAction &sipStrings_QtNetwork[18994]
#define sipNameNr_SocketType 4300
#define sipName_SocketType &sipStrings_QtNetwork[4300]
#define sipNameNr_Superseded 19005
#define sipName_Superseded &sipStrings_QtNetwork[19005]
#define sipNameNr_Tracestate 19016
#define sipName_Tracestate &sipStrings_QtNetwork[19016]
#define sipNameNr_UrlRequest 19027
#define sipName_UrlRequest &sipStrings_QtNetwork[19027]
#define sipNameNr_VerifyNone 19038
#define sipName_VerifyNone &sipStrings_QtNetwork[19038]
#define sipNameNr_VerifyPeer 15059
#define sipName_VerifyPeer &sipStrings_QtNetwork[15059]
#define sipNameNr___lshift__ 19049
#define sipName___lshift__ &sipStrings_QtNetwork[19049]
#define sipNameNr___rshift__ 19060
#define sipName___rshift__ &sipStrings_QtNetwork[19060]
#define sipNameNr_allCookies 19071
#define sipName_allCookies &sipStrings_QtNetwork[19071]
#define sipNameNr_attributes 19082
#define sipName_attributes &sipStrings_QtNetwork[19082]
#define sipNameNr_childEvent 19093
#define sipName_childEvent &sipStrings_QtNetwork[19093]
#define sipNameNr_expiryDate 19104
#define sipName_expiryDate &sipStrings_QtNetwork[19104]
#define sipNameNr_extensions 19115
#define sipName_extensions &sipStrings_QtNetwork[19115]
#define sipNameNr_fromDevice 19126
#define sipName_fromDevice &sipStrings_QtNetwork[19126]
#define sipNameNr_httpStatus 19137
#define sipName_httpStatus &sipStrings_QtNetwork[19137]
#define sipNameNr_isCritical 19148
#define sipName_isCritical &sipStrings_QtNetwork[19148]
#define sipNameNr_isFinished 19159
#define sipName_isFinished &sipStrings_QtNetwork[19159]
#define sipNameNr_isHttpOnly 19170
#define sipName_isHttpOnly &sipStrings_QtNetwork[19170]
#define sipNameNr_isInSubnet 19181
#define sipName_isInSubnet &sipStrings_QtNetwork[19181]
#define sipNameNr_isLoopback 19192
#define sipName_isLoopback &sipStrings_QtNetwork[19192]
#define sipNameNr_issuerInfo 19203
#define sipName_issuerInfo &sipStrings_QtNetwork[19203]
#define sipNameNr_lookupHost 19214
#define sipName_lookupHost &sipStrings_QtNetwork[19214]
#define sipNameNr_nameserver 19225
#define sipName_nameserver &sipStrings_QtNetwork[19225]
#define sipNameNr_passPhrase 19236
#define sipName_passPhrase &sipStrings_QtNetwork[19236]
#define sipNameNr_preference 19247
#define sipName_preference &sipStrings_QtNetwork[19247]
#define sipNameNr_privateKey 19258
#define sipName_privateKey &sipStrings_QtNetwork[19258]
#define sipNameNr_queryProxy 19269
#define sipName_queryProxy &sipStrings_QtNetwork[19269]
#define sipNameNr_rawHeaders 19280
#define sipName_rawHeaders &sipStrings_QtNetwork[19280]
#define sipNameNr_redirected 19291
#define sipName_redirected &sipStrings_QtNetwork[19291]
#define sipNameNr_saveToDisk 19302
#define sipName_saveToDisk &sipStrings_QtNetwork[19302]
#define sipNameNr_senderPort 19313
#define sipName_senderPort &sipStrings_QtNetwork[19313]
#define sipNameNr_serverName 19324
#define sipName_serverName &sipStrings_QtNetwork[19324]
#define sipNameNr_serverPort 12811
#define sipName_serverPort &sipStrings_QtNetwork[12811]
#define sipNameNr_setAddress 19335
#define sipName_setAddress &sipStrings_QtNetwork[19335]
#define sipNameNr_setBaseUrl 19346
#define sipName_setBaseUrl &sipStrings_QtNetwork[19346]
#define sipNameNr_setCiphers 19357
#define sipName_setCiphers &sipStrings_QtNetwork[19357]
#define sipNameNr_setHeaders 19368
#define sipName_setHeaders &sipStrings_QtNetwork[19368]
#define sipNameNr_setNetmask 19379
#define sipName_setNetmask &sipStrings_QtNetwork[19379]
#define sipNameNr_setRequest 19390
#define sipName_setRequest &sipStrings_QtNetwork[19390]
#define sipNameNr_setScopeId 19401
#define sipName_setScopeId &sipStrings_QtNetwork[19401]
#define sipNameNr_socketType 19412
#define sipName_socketType &sipStrings_QtNetwork[19412]
#define sipNameNr_timeToLive 19423
#define sipName_timeToLive &sipStrings_QtNetwork[19423]
#define sipNameNr_timerEvent 19434
#define sipName_timerEvent &sipStrings_QtNetwork[19434]
#define sipNameNr_AlertType 14281
#define sipName_AlertType &sipStrings_QtNetwork[14281]
#define sipNameNr_Attribute 134
#define sipName_Attribute &sipStrings_QtNetwork[134]
#define sipNameNr_Automatic 19445
#define sipName_Automatic &sipStrings_QtNetwork[19445]
#define sipNameNr_Bluetooth 19455
#define sipName_Bluetooth &sipStrings_QtNetwork[19455]
#define sipNameNr_Broadcast 17007
#define sipName_Broadcast &sipStrings_QtNetwork[17007]
#define sipNameNr_ContentID 19465
#define sipName_ContentID &sipStrings_QtNetwork[19465]
#define sipNameNr_DPoPNonce 19475
#define sipName_DPoPNonce &sipStrings_QtNetwork[19475]
#define sipNameNr_DeltaBase 19485
#define sipName_DeltaBase &sipStrings_QtNetwork[19485]
#define sipNameNr_EarlyData 19495
#define sipName_EarlyData &sipStrings_QtNetwork[19495]
#define sipNameNr_Forwarded 19505
#define sipName_Forwarded &sipStrings_QtNetwork[19505]
#define sipNameNr_HttpProxy 19515
#define sipName_HttpProxy &sipStrings_QtNetwork[19515]
#define sipNameNr_Ieee80211 19525
#define sipName_Ieee80211 &sipStrings_QtNetwork[19525]
#define sipNameNr_Ieee80216 19535
#define sipName_Ieee80216 &sipStrings_QtNetwork[19535]
#define sipNameNr_IsRunning 19545
#define sipName_IsRunning &sipStrings_QtNetwork[19545]
#define sipNameNr_KeepAlive 19555
#define sipName_KeepAlive &sipStrings_QtNetwork[19555]
#define sipNameNr_LocalHost 12954
#define sipName_LocalHost &sipStrings_QtNetwork[12954]
#define sipNameNr_LockToken 19565
#define sipName_LockToken &sipStrings_QtNetwork[19565]
#define sipNameNr_MixedType 19575
#define sipName_MixedType &sipStrings_QtNetwork[19575]
#define sipNameNr_Negotiate 19585
#define sipName_Negotiate &sipStrings_QtNetwork[19585]
#define sipNameNr_NoOptions 19595
#define sipName_NoOptions &sipStrings_QtNetwork[19595]
#define sipNameNr_Operation 1763
#define sipName_Operation &sipStrings_QtNetwork[1763]
#define sipNameNr_Overwrite 19605
#define sipName_Overwrite &sipStrings_QtNetwork[19605]
#define sipNameNr_PauseMode 4935
#define sipName_PauseMode &sipStrings_QtNetwork[4935]
#define sipNameNr_PrivMatch 19615
#define sipName_PrivMatch &sipStrings_QtNetwork[19615]
#define sipNameNr_ProxyType 6210
#define sipName_ProxyType &sipStrings_QtNetwork[6210]
#define sipNameNr_PublicKey 3229
#define sipName_PublicKey &sipStrings_QtNetwork[3229]
#define sipNameNr_QHostInfo 19625
#define sipName_QHostInfo &sipStrings_QtNetwork[19625]
#define sipNameNr_QHttpPart 19635
#define sipName_QHttpPart &sipStrings_QtNetwork[19635]
#define sipNameNr_QSslError 19645
#define sipName_QSslError &sipStrings_QtNetwork[19645]
#define sipNameNr_QueryPeer 19655
#define sipName_QueryPeer &sipStrings_QtNetwork[19655]
#define sipNameNr_QueryType 3109
#define sipName_QueryType &sipStrings_QtNetwork[3109]
#define sipNameNr_SetCookie 19665
#define sipName_SetCookie &sipStrings_QtNetwork[19665]
#define sipNameNr_Signature 874
#define sipName_Signature &sipStrings_QtNetwork[874]
#define sipNameNr_SixLoWPAN 19675
#define sipName_SixLoWPAN &sipStrings_QtNetwork[19675]
#define sipNameNr_SslOption 14297
#define sipName_SslOption &sipStrings_QtNetwork[14297]
#define sipNameNr_StatusURI 19685
#define sipName_StatusURI &sipStrings_QtNetwork[19685]
#define sipNameNr_TcpServer 18907
#define sipName_TcpServer &sipStrings_QtNetwork[18907]
#define sipNameNr_TcpSocket 18918
#define sipName_TcpSocket &sipStrings_QtNetwork[18918]
#define sipNameNr_UdpSocket 18929
#define sipName_UdpSocket &sipStrings_QtNetwork[18929]
#define sipNameNr_UnknownCa 19695
#define sipName_UnknownCa &sipStrings_QtNetwork[19695]
#define sipNameNr_UserAgent 19705
#define sipName_UserAgent &sipStrings_QtNetwork[19705]
#define sipNameNr_addresses 19715
#define sipName_addresses &sipStrings_QtNetwork[19715]
#define sipNameNr_alertSent 19725
#define sipName_alertSent &sipStrings_QtNetwork[19725]
#define sipNameNr_algorithm 19735
#define sipName_algorithm &sipStrings_QtNetwork[19735]
#define sipNameNr_attribute 19745
#define sipName_attribute &sipStrings_QtNetwork[19745]
#define sipNameNr_broadcast 19755
#define sipName_broadcast &sipStrings_QtNetwork[19755]
#define sipNameNr_cacheSize 19765
#define sipName_cacheSize &sipStrings_QtNetwork[19765]
#define sipNameNr_connected 10686
#define sipName_connected &sipStrings_QtNetwork[10686]
#define sipNameNr_cookieJar 19775
#define sipName_cookieJar &sipStrings_QtNetwork[19775]
#define sipNameNr_encrypted 19785
#define sipName_encrypted &sipStrings_QtNetwork[19785]
#define sipNameNr_hostFound 19795
#define sipName_hostFound &sipStrings_QtNetwork[19795]
#define sipNameNr_isExpired 19805
#define sipName_isExpired &sipStrings_QtNetwork[19805]
#define sipNameNr_isMetered 19815
#define sipName_isMetered &sipStrings_QtNetwork[19815]
#define sipNameNr_isRunning 19825
#define sipName_isRunning &sipStrings_QtNetwork[19825]
#define sipNameNr_isSuccess 19835
#define sipName_isSuccess &sipStrings_QtNetwork[19835]
#define sipNameNr_localPort 19845
#define sipName_localPort &sipStrings_QtNetwork[19845]
#define sipNameNr_makeReply 19855
#define sipName_makeReply &sipStrings_QtNetwork[19855]
#define sipNameNr_matchType 19865
#define sipName_matchType &sipStrings_QtNetwork[19865]
#define sipNameNr_normalize 19875
#define sipName_normalize &sipStrings_QtNetwork[19875]
#define sipNameNr_operation 19885
#define sipName_operation &sipStrings_QtNetwork[19885]
#define sipNameNr_pauseMode 19895
#define sipName_pauseMode &sipStrings_QtNetwork[19895]
#define sipNameNr_publicKey 19905
#define sipName_publicKey &sipStrings_QtNetwork[19905]
#define sipNameNr_queryType 19915
#define sipName_queryType &sipStrings_QtNetwork[19915]
#define sipNameNr_rawHeader 19925
#define sipName_rawHeader &sipStrings_QtNetwork[19925]
#define sipNameNr_removeAll 19935
#define sipName_removeAll &sipStrings_QtNetwork[19935]
#define sipNameNr_responder 19945
#define sipName_responder &sipStrings_QtNetwork[19945]
#define sipNameNr_setDomain 19955
#define sipName_setDomain &sipStrings_QtNetwork[19955]
#define sipNameNr_setExpiry 19965
#define sipName_setExpiry &sipStrings_QtNetwork[19965]
#define sipNameNr_setHeader 19975
#define sipName_setHeader &sipStrings_QtNetwork[19975]
#define sipNameNr_setOption 19985
#define sipName_setOption &sipStrings_QtNetwork[19985]
#define sipNameNr_setSecure 19995
#define sipName_setSecure &sipStrings_QtNetwork[19995]
#define sipNameNr_setSender 20005
#define sipName_setSender &sipStrings_QtNetwork[20005]
#define sipNameNr_shortName 20015
#define sipName_shortName &sipStrings_QtNetwork[20015]
#define sipNameNr_sslErrors 20025
#define sipName_sslErrors &sipStrings_QtNetwork[20025]
#define sipNameNr_toRawForm 20035
#define sipName_toRawForm &sipStrings_QtNetwork[20035]
#define sipNameNr_writeData 20045
#define sipName_writeData &sipStrings_QtNetwork[20045]
#define sipNameNr_AcceptCH 20055
#define sipName_AcceptCH &sipStrings_QtNetwork[20055]
#define sipNameNr_BindFlag 5627
#define sipName_BindFlag &sipStrings_QtNetwork[5627]
#define sipNameNr_CPEPInfo 20064
#define sipName_CPEPInfo &sipStrings_QtNetwork[20064]
#define sipNameNr_Cellular 20073
#define sipName_Cellular &sipStrings_QtNetwork[20073]
#define sipNameNr_DnsEntry 20082
#define sipName_DnsEntry &sipStrings_QtNetwork[20082]
#define sipNameNr_DtlsV1_0 20091
#define sipName_DtlsV1_0 &sipStrings_QtNetwork[20091]
#define sipNameNr_DtlsV1_2 20100
#define sipName_DtlsV1_2 &sipStrings_QtNetwork[20100]
#define sipNameNr_Ethernet 20109
#define sipName_Ethernet &sipStrings_QtNetwork[20109]
#define sipNameNr_ExpectCT 20118
#define sipName_ExpectCT &sipStrings_QtNetwork[20118]
#define sipNameNr_Ieee1394 20127
#define sipName_Ieee1394 &sipStrings_QtNetwork[20127]
#define sipNameNr_Location 13962
#define sipName_Location &sipStrings_QtNetwork[13962]
#define sipNameNr_Loopback 19194
#define sipName_Loopback &sipStrings_QtNetwork[19194]
#define sipNameNr_PingFrom 20136
#define sipName_PingFrom &sipStrings_QtNetwork[20136]
#define sipNameNr_Position 20145
#define sipName_Position &sipStrings_QtNetwork[20145]
#define sipNameNr_Priority 5705
#define sipName_Priority &sipStrings_QtNetwork[5705]
#define sipNameNr_PrivCert 20154
#define sipName_PrivCert &sipStrings_QtNetwork[20154]
#define sipNameNr_Protocol 582
#define sipName_Protocol &sipStrings_QtNetwork[582]
#define sipNameNr_SameSite 6186
#define sipName_SameSite &sipStrings_QtNetwork[6186]
#define sipNameNr_Selector 981
#define sipName_Selector &sipStrings_QtNetwork[981]
#define sipNameNr_SslError 10127
#define sipName_SslError &sipStrings_QtNetwork[10127]
#define sipNameNr_Standard 20163
#define sipName_Standard &sipStrings_QtNetwork[20163]
#define sipNameNr_Wildcard 20172
#define sipName_Wildcard &sipStrings_QtNetwork[20172]
#define sipNameNr___hash__ 20181
#define sipName___hash__ &sipStrings_QtNetwork[20181]
#define sipNameNr_boundary 20190
#define sipName_boundary &sipStrings_QtNetwork[20190]
#define sipNameNr_contains 20199
#define sipName_contains &sipStrings_QtNetwork[20199]
#define sipNameNr_encoding 20208
#define sipName_encoding &sipStrings_QtNetwork[20208]
#define sipNameNr_exchange 20217
#define sipName_exchange &sipStrings_QtNetwork[20217]
#define sipNameNr_fileName 20226
#define sipName_fileName &sipStrings_QtNetwork[20226]
#define sipNameNr_finished 20235
#define sipName_finished &sipStrings_QtNetwork[20235]
#define sipNameNr_fromData 20244
#define sipName_fromData &sipStrings_QtNetwork[20244]
#define sipNameNr_fromName 20253
#define sipName_fromName &sipStrings_QtNetwork[20253]
#define sipNameNr_fromPath 20262
#define sipName_fromPath &sipStrings_QtNetwork[20262]
#define sipNameNr_hasError 20271
#define sipName_hasError &sipStrings_QtNetwork[20271]
#define sipNameNr_hopLimit 20280
#define sipName_hopLimit &sipStrings_QtNetwork[20280]
#define sipNameNr_hostName 20289
#define sipName_hostName &sipStrings_QtNetwork[20289]
#define sipNameNr_identity 20298
#define sipName_identity &sipStrings_QtNetwork[20298]
#define sipNameNr_instance 20307
#define sipName_instance &sipStrings_QtNetwork[20307]
#define sipNameNr_isGlobal 20316
#define sipName_isGlobal &sipStrings_QtNetwork[20316]
#define sipNameNr_isSecure 20325
#define sipName_isSecure &sipStrings_QtNetwork[20325]
#define sipNameNr_longName 20334
#define sipName_longName &sipStrings_QtNetwork[20334]
#define sipNameNr_lookupId 20343
#define sipName_lookupId &sipStrings_QtNetwork[20343]
#define sipNameNr_metaData 20352
#define sipName_metaData &sipStrings_QtNetwork[20352]
#define sipNameNr_mimeType 20361
#define sipName_mimeType &sipStrings_QtNetwork[20361]
#define sipNameNr_password 20370
#define sipName_password &sipStrings_QtNetwork[20370]
#define sipNameNr_peerName 20379
#define sipName_peerName &sipStrings_QtNetwork[20379]
#define sipNameNr_peerPort 20388
#define sipName_peerPort &sipStrings_QtNetwork[20388]
#define sipNameNr_priority 20397
#define sipName_priority &sipStrings_QtNetwork[20397]
#define sipNameNr_protocol 20406
#define sipName_protocol &sipStrings_QtNetwork[20406]
#define sipNameNr_readBody 20415
#define sipName_readBody &sipStrings_QtNetwork[20415]
#define sipNameNr_readData 20424
#define sipName_readData &sipStrings_QtNetwork[20424]
#define sipNameNr_readJson 20433
#define sipName_readJson &sipStrings_QtNetwork[20433]
#define sipNameNr_readText 20442
#define sipName_readText &sipStrings_QtNetwork[20442]
#define sipNameNr_removeAt 20451
#define sipName_removeAt &sipStrings_QtNetwork[20451]
#define sipNameNr_selector 20460
#define sipName_selector &sipStrings_QtNetwork[20460]
#define sipNameNr_setCache 20469
#define sipName_setCache &sipStrings_QtNetwork[20469]
#define sipNameNr_setError 20478
#define sipName_setError &sipStrings_QtNetwork[20478]
#define sipNameNr_setProxy 20487
#define sipName_setProxy &sipStrings_QtNetwork[20487]
#define sipNameNr_setValue 20496
#define sipName_setValue &sipStrings_QtNetwork[20496]
#define sipNameNr_skipData 20505
#define sipName_skipData &sipStrings_QtNetwork[20505]
#define sipNameNr_storeDir 20514
#define sipName_storeDir &sipStrings_QtNetwork[20514]
#define sipNameNr_supports 20523
#define sipName_supports &sipStrings_QtNetwork[20523]
#define sipNameNr_timedOut 20532
#define sipName_timedOut &sipStrings_QtNetwork[20532]
#define sipNameNr_toString 20541
#define sipName_toString &sipStrings_QtNetwork[20541]
#define sipNameNr_usedBits 20550
#define sipName_usedBits &sipStrings_QtNetwork[20550]
#define sipNameNr_userName 20559
#define sipName_userName &sipStrings_QtNetwork[20559]
#define sipNameNr_AltUsed 20568
#define sipName_AltUsed &sipStrings_QtNetwork[20568]
#define sipNameNr_AnyIPv4 20576
#define sipName_AnyIPv4 &sipStrings_QtNetwork[20576]
#define sipNameNr_AnyIPv6 20584
#define sipName_AnyIPv6 &sipStrings_QtNetwork[20584]
#define sipNameNr_CDNLoop 20592
#define sipName_CDNLoop &sipStrings_QtNetwork[20592]
#define sipNameNr_DANE_EE 20600
#define sipName_DANE_EE &sipStrings_QtNetwork[20600]
#define sipNameNr_DANE_TA 20608
#define sipName_DANE_TA &sipStrings_QtNetwork[20608]
#define sipNameNr_Default 20616
#define sipName_Default &sipStrings_QtNetwork[20616]
#define sipNameNr_Expires 20624
#define sipName_Expires &sipStrings_QtNetwork[20624]
#define sipNameNr_Feature 3701
#define sipName_Feature &sipStrings_QtNetwork[3701]
#define sipNameNr_Hobareg 20632
#define sipName_Hobareg &sipStrings_QtNetwork[20632]
#define sipNameNr_IfMatch 20640
#define sipName_IfMatch &sipStrings_QtNetwork[20640]
#define sipNameNr_IfRange 20648
#define sipName_IfRange &sipStrings_QtNetwork[20648]
#define sipNameNr_KeyType 16300
#define sipName_KeyType &sipStrings_QtNetwork[16300]
#define sipNameNr_Metered 19817
#define sipName_Metered &sipStrings_QtNetwork[19817]
#define sipNameNr_NoError 20656
#define sipName_NoError &sipStrings_QtNetwork[20656]
#define sipNameNr_NoProxy 20664
#define sipName_NoProxy &sipStrings_QtNetwork[20664]
#define sipNameNr_PKIX_EE 20672
#define sipName_PKIX_EE &sipStrings_QtNetwork[20672]
#define sipNameNr_PKIX_TA 20680
#define sipName_PKIX_TA &sipStrings_QtNetwork[20680]
#define sipNameNr_PrivSel 20688
#define sipName_PrivSel &sipStrings_QtNetwork[20688]
#define sipNameNr_QSslKey 20696
#define sipName_QSslKey &sipStrings_QtNetwork[20696]
#define sipNameNr_RawForm 6796
#define sipName_RawForm &sipStrings_QtNetwork[6796]
#define sipNameNr_Referer 20704
#define sipName_Referer &sipStrings_QtNetwork[20704]
#define sipNameNr_Refresh 20712
#define sipName_Refresh &sipStrings_QtNetwork[20712]
#define sipNameNr_Revoked 10784
#define sipName_Revoked &sipStrings_QtNetwork[10784]
#define sipNameNr_SslMode 10148
#define sipName_SslMode &sipStrings_QtNetwork[10148]
#define sipNameNr_Timeout 10548
#define sipName_Timeout &sipStrings_QtNetwork[10548]
#define sipNameNr_TlsV1_0 20720
#define sipName_TlsV1_0 &sipStrings_QtNetwork[20720]
#define sipNameNr_TlsV1_1 20728
#define sipName_TlsV1_1 &sipStrings_QtNetwork[20728]
#define sipNameNr_TlsV1_2 20736
#define sipName_TlsV1_2 &sipStrings_QtNetwork[20736]
#define sipNameNr_TlsV1_3 20744
#define sipName_TlsV1_3 &sipStrings_QtNetwork[20744]
#define sipNameNr_Trailer 20752
#define sipName_Trailer &sipStrings_QtNetwork[20752]
#define sipNameNr_Unknown 5602
#define sipName_Unknown &sipStrings_QtNetwork[5602]
#define sipNameNr_Upgrade 20760
#define sipName_Upgrade &sipStrings_QtNetwork[20760]
#define sipNameNr_Urgency 20768
#define sipName_Urgency &sipStrings_QtNetwork[20768]
#define sipNameNr_UserMax 20776
#define sipName_UserMax &sipStrings_QtNetwork[20776]
#define sipNameNr_Virtual 20784
#define sipName_Virtual &sipStrings_QtNetwork[20784]
#define sipNameNr_Warning 20792
#define sipName_Warning &sipStrings_QtNetwork[20792]
#define sipNameNr_address 20800
#define sipName_address &sipStrings_QtNetwork[20800]
#define sipNameNr_baseUrl 20808
#define sipName_baseUrl &sipStrings_QtNetwork[20808]
#define sipNameNr_ciphers 20816
#define sipName_ciphers &sipStrings_QtNetwork[20816]
#define sipNameNr_headers 20824
#define sipName_headers &sipStrings_QtNetwork[20824]
#define sipNameNr_isEmpty 20832
#define sipName_isEmpty &sipStrings_QtNetwork[20832]
#define sipNameNr_isEqual 20840
#define sipName_isEqual &sipStrings_QtNetwork[20840]
#define sipNameNr_isValid 20848
#define sipName_isValid &sipStrings_QtNetwork[20848]
#define sipNameNr_manager 20856
#define sipName_manager &sipStrings_QtNetwork[20856]
#define sipNameNr_maxSize 20864
#define sipName_maxSize &sipStrings_QtNetwork[20864]
#define sipNameNr_netmask 20872
#define sipName_netmask &sipStrings_QtNetwork[20872]
#define sipNameNr_options 20880
#define sipName_options &sipStrings_QtNetwork[20880]
#define sipNameNr_prepare 20888
#define sipName_prepare &sipStrings_QtNetwork[20888]
#define sipNameNr_replace 20896
#define sipName_replace &sipStrings_QtNetwork[20896]
#define sipNameNr_request 20904
#define sipName_request &sipStrings_QtNetwork[20904]
#define sipNameNr_reserve 20912
#define sipName_reserve &sipStrings_QtNetwork[20912]
#define sipNameNr_scopeId 20920
#define sipName_scopeId &sipStrings_QtNetwork[20920]
#define sipNameNr_setBody 20928
#define sipName_setBody &sipStrings_QtNetwork[20928]
#define sipNameNr_setData 20936
#define sipName_setData &sipStrings_QtNetwork[20936]
#define sipNameNr_setHost 20944
#define sipName_setHost &sipStrings_QtNetwork[20944]
#define sipNameNr_setName 20952
#define sipName_setName &sipStrings_QtNetwork[20952]
#define sipNameNr_setPath 20960
#define sipName_setPath &sipStrings_QtNetwork[20960]
#define sipNameNr_setPort 20968
#define sipName_setPort &sipStrings_QtNetwork[20968]
#define sipNameNr_setType 20976
#define sipName_setType &sipStrings_QtNetwork[20976]
#define sipNameNr_setUser 20984
#define sipName_setUser &sipStrings_QtNetwork[20984]
#define sipNameNr_subject 20992
#define sipName_subject &sipStrings_QtNetwork[20992]
#define sipNameNr_timeout 21000
#define sipName_timeout &sipStrings_QtNetwork[21000]
#define sipNameNr_valueAt 21008
#define sipName_valueAt &sipStrings_QtNetwork[21008]
#define sipNameNr_version 11183
#define sipName_version &sipStrings_QtNetwork[11183]
#define sipNameNr_Accept 11108
#define sipName_Accept &sipStrings_QtNetwork[11108]
#define sipNameNr_Alerts 21016
#define sipName_Alerts &sipStrings_QtNetwork[21016]
#define sipNameNr_AltSvc 21023
#define sipName_AltSvc &sipStrings_QtNetwork[21023]
#define sipNameNr_CanBus 21030
#define sipName_CanBus &sipStrings_QtNetwork[21030]
#define sipNameNr_Cookie 14620
#define sipName_Cookie &sipStrings_QtNetwork[14620]
#define sipNameNr_Expect 21037
#define sipName_Expect &sipStrings_QtNetwork[21037]
#define sipNameNr_Manual 21044
#define sipName_Manual &sipStrings_QtNetwork[21044]
#define sipNameNr_OSCORE 21051
#define sipName_OSCORE &sipStrings_QtNetwork[21051]
#define sipNameNr_Online 21058
#define sipName_Online &sipStrings_QtNetwork[21058]
#define sipNameNr_Opaque 21065
#define sipName_Opaque &sipStrings_QtNetwork[21065]
#define sipNameNr_Option 2962
#define sipName_Option &sipStrings_QtNetwork[2962]
#define sipNameNr_Origin 5888
#define sipName_Origin &sipStrings_QtNetwork[5888]
#define sipNameNr_Phonet 21072
#define sipName_Phonet &sipStrings_QtNetwork[21072]
#define sipNameNr_PingTo 21079
#define sipName_PingTo &sipStrings_QtNetwork[21079]
#define sipNameNr_Pragma 21086
#define sipName_Pragma &sipStrings_QtNetwork[21086]
#define sipNameNr_Prefer 21093
#define sipName_Prefer &sipStrings_QtNetwork[21093]
#define sipNameNr_Server 9558
#define sipName_Server &sipStrings_QtNetwork[9558]
#define sipNameNr_Sha256 21100
#define sipName_Sha256 &sipStrings_QtNetwork[21100]
#define sipNameNr_Sha512 21107
#define sipName_Sha512 &sipStrings_QtNetwork[21107]
#define sipNameNr_Socket 14252
#define sipName_Socket &sipStrings_QtNetwork[14252]
#define sipNameNr_Strict 21114
#define sipName_Strict &sipStrings_QtNetwork[21114]
#define sipNameNr_Sunset 21121
#define sipName_Sunset &sipStrings_QtNetwork[21121]
#define sipNameNr___eq__ 21128
#define sipName___eq__ &sipStrings_QtNetwork[21128]
#define sipNameNr___ne__ 21135
#define sipName___ne__ &sipStrings_QtNetwork[21135]
#define sipNameNr_append 21142
#define sipName_append &sipStrings_QtNetwork[21142]
#define sipNameNr_device 21149
#define sipName_device &sipStrings_QtNetwork[21149]
#define sipNameNr_digest 21156
#define sipName_digest &sipStrings_QtNetwork[21156]
#define sipNameNr_domain 21163
#define sipName_domain &sipStrings_QtNetwork[21163]
#define sipNameNr_expire 21170
#define sipName_expire &sipStrings_QtNetwork[21170]
#define sipNameNr_expiry 21177
#define sipName_expiry &sipStrings_QtNetwork[21177]
#define sipNameNr_format 21184
#define sipName_format &sipStrings_QtNetwork[21184]
#define sipNameNr_handle 21191
#define sipName_handle &sipStrings_QtNetwork[21191]
#define sipNameNr_header 21198
#define sipName_header &sipStrings_QtNetwork[21198]
#define sipNameNr_insert 21205
#define sipName_insert &sipStrings_QtNetwork[21205]
#define sipNameNr_isNull 21212
#define sipName_isNull &sipStrings_QtNetwork[21212]
#define sipNameNr_length 21219
#define sipName_length &sipStrings_QtNetwork[21219]
#define sipNameNr_listen 21226
#define sipName_listen &sipStrings_QtNetwork[21226]
#define sipNameNr_lookup 21233
#define sipName_lookup &sipStrings_QtNetwork[21233]
#define sipNameNr_nameAt 21240
#define sipName_nameAt &sipStrings_QtNetwork[21240]
#define sipNameNr_option 21247
#define sipName_option &sipStrings_QtNetwork[21247]
#define sipNameNr_parent 18184
#define sipName_parent &sipStrings_QtNetwork[18184]
#define sipNameNr_remove 21254
#define sipName_remove &sipStrings_QtNetwork[21254]
#define sipNameNr_resume 21261
#define sipName_resume &sipStrings_QtNetwork[21261]
#define sipNameNr_setUrl 21268
#define sipName_setUrl &sipStrings_QtNetwork[21268]
#define sipNameNr_syntax 21275
#define sipName_syntax &sipStrings_QtNetwork[21275]
#define sipNameNr_target 21282
#define sipName_target &sipStrings_QtNetwork[21282]
#define sipNameNr_toText 21289
#define sipName_toText &sipStrings_QtNetwork[21289]
#define sipNameNr_values 21296
#define sipName_values &sipStrings_QtNetwork[21296]
#define sipNameNr_verify 21303
#define sipName_verify &sipStrings_QtNetwork[21303]
#define sipNameNr_weight 21310
#define sipName_weight &sipStrings_QtNetwork[21310]
#define sipNameNr_Allow 21317
#define sipName_Allow &sipStrings_QtNetwork[21317]
#define sipNameNr_CNAME 21323
#define sipName_CNAME &sipStrings_QtNetwork[21323]
#define sipNameNr_Close 21329
#define sipName_Close &sipStrings_QtNetwork[21329]
#define sipNameNr_Depth 11622
#define sipName_Depth &sipStrings_QtNetwork[11622]
#define sipNameNr_Error 1124
#define sipName_Error &sipStrings_QtNetwork[1124]
#define sipNameNr_Exact 21335
#define sipName_Exact &sipStrings_QtNetwork[21335]
#define sipNameNr_Fatal 3993
#define sipName_Fatal &sipStrings_QtNetwork[3993]
#define sipNameNr_Label 21341
#define sipName_Label &sipStrings_QtNetwork[21341]
#define sipNameNr_Local 18353
#define sipName_Local &sipStrings_QtNetwork[18353]
#define sipNameNr_Meter 21347
#define sipName_Meter &sipStrings_QtNetwork[21347]
#define sipNameNr_None_ 21353
#define sipName_None_ &sipStrings_QtNetwork[21353]
#define sipNameNr_Range 17063
#define sipName_Range &sipStrings_QtNetwork[17063]
#define sipNameNr_Topic 21359
#define sipName_Topic &sipStrings_QtNetwork[21359]
#define sipNameNr_abort 21365
#define sipName_abort &sipStrings_QtNetwork[21365]
#define sipNameNr_atEnd 21371
#define sipName_atEnd &sipStrings_QtNetwork[21371]
#define sipNameNr_cache 21377
#define sipName_cache &sipStrings_QtNetwork[21377]
#define sipNameNr_clear 21383
#define sipName_clear &sipStrings_QtNetwork[21383]
#define sipNameNr_close 21389
#define sipName_close &sipStrings_QtNetwork[21389]
#define sipNameNr_error 21395
#define sipName_error &sipStrings_QtNetwork[21395]
#define sipNameNr_event 21401
#define sipName_event &sipStrings_QtNetwork[21401]
#define sipNameNr_flags 21407
#define sipName_flags &sipStrings_QtNetwork[21407]
#define sipNameNr_flush 21413
#define sipName_flush &sipStrings_QtNetwork[21413]
#define sipNameNr_index 21419
#define sipName_index &sipStrings_QtNetwork[21419]
#define sipNameNr_msecs 21425
#define sipName_msecs &sipStrings_QtNetwork[21425]
#define sipNameNr_patch 21431
#define sipName_patch &sipStrings_QtNetwork[21431]
#define sipNameNr_proxy 21437
#define sipName_proxy &sipStrings_QtNetwork[21437]
#define sipNameNr_query 21443
#define sipName_query &sipStrings_QtNetwork[21443]
#define sipNameNr_realm 21449
#define sipName_realm &sipStrings_QtNetwork[21449]
#define sipNameNr_reset 21455
#define sipName_reset &sipStrings_QtNetwork[21455]
#define sipNameNr_setIp 21461
#define sipName_setIp &sipStrings_QtNetwork[21461]
#define sipNameNr_state 19021
#define sipName_state &sipStrings_QtNetwork[19021]
#define sipNameNr_toDer 21467
#define sipName_toDer &sipStrings_QtNetwork[21467]
#define sipNameNr_toPem 21473
#define sipName_toPem &sipStrings_QtNetwork[21473]
#define sipNameNr_usage 21479
#define sipName_usage &sipStrings_QtNetwork[21479]
#define sipNameNr_value 21485
#define sipName_value &sipStrings_QtNetwork[21485]
#define sipNameNr_AAAA 21491
#define sipName_AAAA &sipStrings_QtNetwork[21491]
#define sipNameNr_ALPN 21496
#define sipName_ALPN &sipStrings_QtNetwork[21496]
#define sipNameNr_Cert 18758
#define sipName_Cert &sipStrings_QtNetwork[18758]
#define sipNameNr_DASL 21501
#define sipName_DASL &sipStrings_QtNetwork[21501]
#define sipNameNr_DPoP 21506
#define sipName_DPoP &sipStrings_QtNetwork[21506]
#define sipNameNr_Date 12781
#define sipName_Date &sipStrings_QtNetwork[12781]
#define sipNameNr_Dtls 21511
#define sipName_Dtls &sipStrings_QtNetwork[21511]
#define sipNameNr_ETag 21516
#define sipName_ETag &sipStrings_QtNetwork[21516]
#define sipNameNr_Fddi 21521
#define sipName_Fddi &sipStrings_QtNetwork[21521]
#define sipNameNr_From 20140
#define sipName_From &sipStrings_QtNetwork[20140]
#define sipNameNr_Full 21526
#define sipName_Full &sipStrings_QtNetwork[21526]
#define sipNameNr_Good 21531
#define sipName_Good &sipStrings_QtNetwork[21531]
#define sipNameNr_Host 3414
#define sipName_Host &sipStrings_QtNetwork[3414]
#define sipNameNr_IsUp 21536
#define sipName_IsUp &sipStrings_QtNetwork[21536]
#define sipNameNr_Link 21541
#define sipName_Link &sipStrings_QtNetwork[21541]
#define sipNameNr_Null 21214
#define sipName_Null &sipStrings_QtNetwork[21214]
#define sipNameNr_Ocsp 21546
#define sipName_Ocsp &sipStrings_QtNetwork[21546]
#define sipNameNr_QSsl 21551
#define sipName_QSsl &sipStrings_QtNetwork[21551]
#define sipNameNr_SLUG 21556
#define sipName_SLUG &sipStrings_QtNetwork[21556]
#define sipNameNr_SPKI 21561
#define sipName_SPKI &sipStrings_QtNetwork[21561]
#define sipNameNr_Site 6190
#define sipName_Site &sipStrings_QtNetwork[6190]
#define sipNameNr_Slip 21566
#define sipName_Slip &sipStrings_QtNetwork[21566]
#define sipNameNr_TLSA 21571
#define sipName_TLSA &sipStrings_QtNetwork[21571]
#define sipNameNr_Type 471
#define sipName_Type &sipStrings_QtNetwork[471]
#define sipNameNr_User 20987
#define sipName_User &sipStrings_QtNetwork[20987]
#define sipNameNr_Vary 18210
#define sipName_Vary &sipStrings_QtNetwork[18210]
#define sipNameNr_WiFi 21576
#define sipName_WiFi &sipStrings_QtNetwork[21576]
#define sipNameNr_Wifi 21581
#define sipName_Wifi &sipStrings_QtNetwork[21581]
#define sipNameNr_bind 21586
#define sipName_bind &sipStrings_QtNetwork[21586]
#define sipNameNr_data 21591
#define sipName_data &sipStrings_QtNetwork[21591]
#define sipNameNr_form 10863
#define sipName_form &sipStrings_QtNetwork[10863]
#define sipNameNr_head 21596
#define sipName_head &sipStrings_QtNetwork[21596]
#define sipNameNr_host 21601
#define sipName_host &sipStrings_QtNetwork[21601]
#define sipNameNr_load 21606
#define sipName_load &sipStrings_QtNetwork[21606]
#define sipNameNr_mode 21611
#define sipName_mode &sipStrings_QtNetwork[21611]
#define sipNameNr_name 1867
#define sipName_name &sipStrings_QtNetwork[1867]
#define sipNameNr_open 21616
#define sipName_open &sipStrings_QtNetwork[21616]
#define sipNameNr_part 21621
#define sipName_part &sipStrings_QtNetwork[21621]
#define sipNameNr_path 21626
#define sipName_path &sipStrings_QtNetwork[21626]
#define sipNameNr_port 17207
#define sipName_port &sipStrings_QtNetwork[17207]
#define sipNameNr_post 21631
#define sipName_post &sipStrings_QtNetwork[21631]
#define sipNameNr_seek 21636
#define sipName_seek &sipStrings_QtNetwork[21636]
#define sipNameNr_size 21641
#define sipName_size &sipStrings_QtNetwork[21641]
#define sipNameNr_swap 21646
#define sipName_swap &sipStrings_QtNetwork[21646]
#define sipNameNr_type 21651
#define sipName_type &sipStrings_QtNetwork[21651]
#define sipNameNr_user 21656
#define sipName_user &sipStrings_QtNetwork[21656]
#define sipNameNr_AIM 21661
#define sipName_AIM &sipStrings_QtNetwork[21661]
#define sipNameNr_ANY 21665
#define sipName_ANY &sipStrings_QtNetwork[21665]
#define sipNameNr_Age 9812
#define sipName_Age &sipStrings_QtNetwork[9812]
#define sipNameNr_Any 21669
#define sipName_Any &sipStrings_QtNetwork[21669]
#define sipNameNr_DAV 21673
#define sipName_DAV &sipStrings_QtNetwork[21673]
#define sipNameNr_Der 21469
#define sipName_Der &sipStrings_QtNetwork[21469]
#define sipNameNr_Dsa 21677
#define sipName_Dsa &sipStrings_QtNetwork[21677]
#define sipNameNr_Key 3235
#define sipName_Key &sipStrings_QtNetwork[3235]
#define sipNameNr_Lax 21681
#define sipName_Lax &sipStrings_QtNetwork[21681]
#define sipNameNr_NEL 21685
#define sipName_NEL &sipStrings_QtNetwork[21685]
#define sipNameNr_PTR 21689
#define sipName_PTR &sipStrings_QtNetwork[21689]
#define sipNameNr_Pem 21475
#define sipName_Pem &sipStrings_QtNetwork[21475]
#define sipNameNr_Ppp 21693
#define sipName_Ppp &sipStrings_QtNetwork[21693]
#define sipNameNr_Psk 21697
#define sipName_Psk &sipStrings_QtNetwork[21697]
#define sipNameNr_Rsa 21701
#define sipName_Rsa &sipStrings_QtNetwork[21701]
#define sipNameNr_SRV 21705
#define sipName_SRV &sipStrings_QtNetwork[21705]
#define sipNameNr_TCN 21709
#define sipName_TCN &sipStrings_QtNetwork[21709]
#define sipNameNr_TTL 21713
#define sipName_TTL &sipStrings_QtNetwork[21713]
#define sipNameNr_TXT 21717
#define sipName_TXT &sipStrings_QtNetwork[21717]
#define sipNameNr_Via 21721
#define sipName_Via &sipStrings_QtNetwork[21721]
#define sipNameNr_get 21285
#define sipName_get &sipStrings_QtNetwork[21285]
#define sipNameNr_oid 21725
#define sipName_oid &sipStrings_QtNetwork[21725]
#define sipNameNr_pos 21729
#define sipName_pos &sipStrings_QtNetwork[21729]
#define sipNameNr_put 15381
#define sipName_put &sipStrings_QtNetwork[15381]
#define sipNameNr_url 21733
#define sipName_url &sipStrings_QtNetwork[21733]
#define sipNameNr_Dh 21737
#define sipName_Dh &sipStrings_QtNetwork[21737]
#define sipNameNr_Ec 21740
#define sipName_Ec &sipStrings_QtNetwork[21740]
#define sipNameNr_IM 21662
#define sipName_IM &sipStrings_QtNetwork[21662]
#define sipNameNr_If 21743
#define sipName_If &sipStrings_QtNetwork[21743]
#define sipNameNr_MX 21746
#define sipName_MX &sipStrings_QtNetwork[21746]
#define sipNameNr_NS 21749
#define sipName_NS &sipStrings_QtNetwork[21749]
#define sipNameNr_TE 21752
#define sipName_TE &sipStrings_QtNetwork[21752]
#define sipNameNr_id 7399
#define sipName_id &sipStrings_QtNetwork[7399]
#define sipNameNr_ip 21568
#define sipName_ip &sipStrings_QtNetwork[21568]
#define sipNameNr_ok 21755
#define sipName_ok &sipStrings_QtNetwork[21755]
#define sipNameNr_A 20614
#define sipName_A &sipStrings_QtNetwork[20614]

#define sipMalloc                   sipAPI_QtNetwork->api_malloc
#define sipFree                     sipAPI_QtNetwork->api_free
#define sipBuildResult              sipAPI_QtNetwork->api_build_result
#define sipCallMethod               sipAPI_QtNetwork->api_call_method
#define sipCallProcedureMethod      sipAPI_QtNetwork->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtNetwork->api_call_error_handler
#define sipParseResultEx            sipAPI_QtNetwork->api_parse_result_ex
#define sipParseResult              sipAPI_QtNetwork->api_parse_result
#define sipParseArgs                sipAPI_QtNetwork->api_parse_args
#define sipParseKwdArgs             sipAPI_QtNetwork->api_parse_kwd_args
#define sipParsePair                sipAPI_QtNetwork->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtNetwork->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtNetwork->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtNetwork->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtNetwork->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtNetwork->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtNetwork->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtNetwork->api_add_exception
#define sipNoFunction               sipAPI_QtNetwork->api_no_function
#define sipNoMethod                 sipAPI_QtNetwork->api_no_method
#define sipAbstractMethod           sipAPI_QtNetwork->api_abstract_method
#define sipBadClass                 sipAPI_QtNetwork->api_bad_class
#define sipBadCatcherResult         sipAPI_QtNetwork->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtNetwork->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtNetwork->api_bad_operator_arg
#define sipTrace                    sipAPI_QtNetwork->api_trace
#define sipTransferBack             sipAPI_QtNetwork->api_transfer_back
#define sipTransferTo               sipAPI_QtNetwork->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtNetwork->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtNetwork->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtNetwork->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtNetwork->api_voidptr_type
#define sipGetPyObject              sipAPI_QtNetwork->api_get_pyobject
#define sipGetAddress               sipAPI_QtNetwork->api_get_address
#define sipGetMixinAddress          sipAPI_QtNetwork->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtNetwork->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtNetwork->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtNetwork->api_call_hook
#define sipEndThread                sipAPI_QtNetwork->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtNetwork->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtNetwork->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtNetwork->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtNetwork->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtNetwork->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtNetwork->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtNetwork->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtNetwork->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtNetwork->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtNetwork->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtNetwork->api_convert_to_bool
#define sipReleaseType              sipAPI_QtNetwork->api_release_type
#define sipConvertFromType          sipAPI_QtNetwork->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtNetwork->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtNetwork->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtNetwork->api_convert_from_enum
#define sipGetState                 sipAPI_QtNetwork->api_get_state
#define sipExportSymbol             sipAPI_QtNetwork->api_export_symbol
#define sipImportSymbol             sipAPI_QtNetwork->api_import_symbol
#define sipFindType                 sipAPI_QtNetwork->api_find_type
#define sipBytes_AsChar             sipAPI_QtNetwork->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtNetwork->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtNetwork->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtNetwork->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtNetwork->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtNetwork->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtNetwork->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtNetwork->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtNetwork->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtNetwork->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtNetwork->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtNetwork->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtNetwork->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipGetReference             sipAPI_QtNetwork->api_get_reference
#define sipKeepReference            sipAPI_QtNetwork->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtNetwork->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtNetwork->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtNetwork->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtNetwork->api_type_scope
#define sipResolveTypedef           sipAPI_QtNetwork->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtNetwork->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtNetwork->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtNetwork->api_init_mixin
#define sipExportModule             sipAPI_QtNetwork->api_export_module
#define sipInitModule               sipAPI_QtNetwork->api_init_module
#define sipGetInterpreter           sipAPI_QtNetwork->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtNetwork->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtNetwork->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtNetwork->api_py_type_dict
#define sipPyTypeName               sipAPI_QtNetwork->api_py_type_name
#define sipGetCFunction             sipAPI_QtNetwork->api_get_c_function
#define sipGetMethod                sipAPI_QtNetwork->api_get_method
#define sipFromMethod               sipAPI_QtNetwork->api_from_method
#define sipGetDate                  sipAPI_QtNetwork->api_get_date
#define sipFromDate                 sipAPI_QtNetwork->api_from_date
#define sipGetDateTime              sipAPI_QtNetwork->api_get_datetime
#define sipFromDateTime             sipAPI_QtNetwork->api_from_datetime
#define sipGetTime                  sipAPI_QtNetwork->api_get_time
#define sipFromTime                 sipAPI_QtNetwork->api_from_time
#define sipIsUserType               sipAPI_QtNetwork->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtNetwork->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtNetwork->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtNetwork->api_unicode_write
#define sipUnicodeData              sipAPI_QtNetwork->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtNetwork->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtNetwork->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtNetwork->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtNetwork->api_is_derived_class
#define sipGetUserObject            sipAPI_QtNetwork->api_get_user_object
#define sipSetUserObject            sipAPI_QtNetwork->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtNetwork->api_register_event_handler
#define sipConvertToArray           sipAPI_QtNetwork->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtNetwork->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtNetwork->api_enable_gc
#define sipPrintObject              sipAPI_QtNetwork->api_print_object
#define sipLong_AsChar              sipAPI_QtNetwork->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtNetwork->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtNetwork->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtNetwork->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtNetwork->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtNetwork->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtNetwork->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtNetwork->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtNetwork->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtNetwork->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtNetwork->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtNetwork->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtNetwork->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtNetwork->api_register_exit_notifier
#define sipDeprecated               sipAPI_QtNetwork->api_deprecated
#define sipPyTypeDictRef            sipAPI_QtNetwork->api_py_type_dict_ref
#define sipNextExceptionHandler     sipAPI_QtNetwork->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_QtNetwork->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_QtNetwork->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_QtNetwork->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_QtNetwork->api_release_type_us
#define sipIsPyMethod               sipAPI_QtNetwork->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtNetwork[];

#define sipType_QNetworkCacheMetaData sipExportedTypes_QtNetwork[87]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkCacheMetaData;

#define sipType_QAbstractNetworkCache sipExportedTypes_QtNetwork[0]

extern sipClassTypeDef sipTypeDef_QtNetwork_QAbstractNetworkCache;

#define sipType_QAbstractSocket sipExportedTypes_QtNetwork[1]

#define sipType_QAbstractSocket_PauseMode sipExportedTypes_QtNetwork[4]

#define sipType_QAbstractSocket_BindFlag sipExportedTypes_QtNetwork[2]

#define sipType_QAbstractSocket_SocketOption sipExportedTypes_QtNetwork[6]

#define sipType_QAbstractSocket_SocketState sipExportedTypes_QtNetwork[7]

#define sipType_QAbstractSocket_SocketError sipExportedTypes_QtNetwork[5]

#define sipType_QAbstractSocket_NetworkLayerProtocol sipExportedTypes_QtNetwork[3]

#define sipType_QAbstractSocket_SocketType sipExportedTypes_QtNetwork[8]

extern sipClassTypeDef sipTypeDef_QtNetwork_QAbstractSocket;

#define sipType_QAuthenticator sipExportedTypes_QtNetwork[9]

extern sipClassTypeDef sipTypeDef_QtNetwork_QAuthenticator;

#define sipType_QDnsDomainNameRecord sipExportedTypes_QtNetwork[10]

extern sipClassTypeDef sipTypeDef_QtNetwork_QDnsDomainNameRecord;

#define sipType_QDnsHostAddressRecord sipExportedTypes_QtNetwork[11]

extern sipClassTypeDef sipTypeDef_QtNetwork_QDnsHostAddressRecord;

#define sipType_QDnsMailExchangeRecord sipExportedTypes_QtNetwork[16]

extern sipClassTypeDef sipTypeDef_QtNetwork_QDnsMailExchangeRecord;

#define sipType_QDnsServiceRecord sipExportedTypes_QtNetwork[17]

extern sipClassTypeDef sipTypeDef_QtNetwork_QDnsServiceRecord;

#define sipType_QDnsTextRecord sipExportedTypes_QtNetwork[18]

extern sipClassTypeDef sipTypeDef_QtNetwork_QDnsTextRecord;

#define sipType_QDnsTlsAssociationRecord sipExportedTypes_QtNetwork[19]

#define sipType_QDnsTlsAssociationRecord_MatchingType sipExportedTypes_QtNetwork[21]

#define sipType_QDnsTlsAssociationRecord_Selector sipExportedTypes_QtNetwork[22]

#define sipType_QDnsTlsAssociationRecord_CertificateUsage sipExportedTypes_QtNetwork[20]

extern sipClassTypeDef sipTypeDef_QtNetwork_QDnsTlsAssociationRecord;

#define sipType_QDnsLookup sipExportedTypes_QtNetwork[12]

#define sipType_QDnsLookup_Type sipExportedTypes_QtNetwork[15]

#define sipType_QDnsLookup_Protocol sipExportedTypes_QtNetwork[14]

#define sipType_QDnsLookup_Error sipExportedTypes_QtNetwork[13]

extern sipClassTypeDef sipTypeDef_QtNetwork_QDnsLookup;

#define sipType_QFormDataPartBuilder sipExportedTypes_QtNetwork[36]

extern sipClassTypeDef sipTypeDef_QtNetwork_QFormDataPartBuilder;

#define sipType_QFormDataBuilder sipExportedTypes_QtNetwork[34]

#define sipType_QFormDataBuilder_Option sipExportedTypes_QtNetwork[35]

extern sipClassTypeDef sipTypeDef_QtNetwork_QFormDataBuilder;

#define sipType_QHostAddress sipExportedTypes_QtNetwork[38]

#define sipType_QHostAddress_ConversionModeFlag sipExportedTypes_QtNetwork[39]

#define sipType_QHostAddress_SpecialAddress sipExportedTypes_QtNetwork[40]

extern sipClassTypeDef sipTypeDef_QtNetwork_QHostAddress;

#define sipType_QHostInfo sipExportedTypes_QtNetwork[41]

#define sipType_QHostInfo_HostInfoError sipExportedTypes_QtNetwork[42]

extern sipClassTypeDef sipTypeDef_QtNetwork_QHostInfo;

#define sipType_QHstsPolicy sipExportedTypes_QtNetwork[43]

#define sipType_QHstsPolicy_PolicyFlag sipExportedTypes_QtNetwork[44]

extern sipClassTypeDef sipTypeDef_QtNetwork_QHstsPolicy;

#define sipType_QHttp1Configuration sipExportedTypes_QtNetwork[45]

extern sipClassTypeDef sipTypeDef_QtNetwork_QHttp1Configuration;

#define sipType_QHttp2Configuration sipExportedTypes_QtNetwork[46]

extern sipClassTypeDef sipTypeDef_QtNetwork_QHttp2Configuration;

#define sipType_QHttpHeaders sipExportedTypes_QtNetwork[47]

#define sipType_QHttpHeaders_WellKnownHeader sipExportedTypes_QtNetwork[48]

extern sipClassTypeDef sipTypeDef_QtNetwork_QHttpHeaders;

#define sipType_QHttpPart sipExportedTypes_QtNetwork[51]

extern sipClassTypeDef sipTypeDef_QtNetwork_QHttpPart;

#define sipType_QHttpMultiPart sipExportedTypes_QtNetwork[49]

#define sipType_QHttpMultiPart_ContentType sipExportedTypes_QtNetwork[50]

extern sipClassTypeDef sipTypeDef_QtNetwork_QHttpMultiPart;

#define sipType_QLocalServer sipExportedTypes_QtNetwork[75]

#define sipType_QLocalServer_SocketOption sipExportedTypes_QtNetwork[76]

extern sipClassTypeDef sipTypeDef_QtNetwork_QLocalServer;

#define sipType_QLocalSocket sipExportedTypes_QtNetwork[77]

#define sipType_QLocalSocket_SocketOption sipExportedTypes_QtNetwork[80]

#define sipType_QLocalSocket_LocalSocketState sipExportedTypes_QtNetwork[79]

#define sipType_QLocalSocket_LocalSocketError sipExportedTypes_QtNetwork[78]

extern sipClassTypeDef sipTypeDef_QtNetwork_QLocalSocket;

#define sipType_QNetworkAccessManager sipExportedTypes_QtNetwork[83]

#define sipType_QNetworkAccessManager_Operation sipExportedTypes_QtNetwork[84]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkAccessManager;

#define sipType_QNetworkCookie sipExportedTypes_QtNetwork[88]

#define sipType_QNetworkCookie_SameSite sipExportedTypes_QtNetwork[90]

#define sipType_QNetworkCookie_RawForm sipExportedTypes_QtNetwork[89]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkCookie;

#define sipType_QNetworkCookieJar sipExportedTypes_QtNetwork[91]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkCookieJar;

#define sipType_QNetworkDatagram sipExportedTypes_QtNetwork[92]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkDatagram;

#define sipType_QNetworkDiskCache sipExportedTypes_QtNetwork[93]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkDiskCache;

#define sipType_QNetworkInformation sipExportedTypes_QtNetwork[94]

#define sipType_QNetworkInformation_TransportMedium sipExportedTypes_QtNetwork[97]

#define sipType_QNetworkInformation_Feature sipExportedTypes_QtNetwork[95]

#define sipType_QNetworkInformation_Reachability sipExportedTypes_QtNetwork[96]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkInformation;

#define sipType_QNetworkAddressEntry sipExportedTypes_QtNetwork[85]

#define sipType_QNetworkAddressEntry_DnsEligibilityStatus sipExportedTypes_QtNetwork[86]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkAddressEntry;

#define sipType_QNetworkInterface sipExportedTypes_QtNetwork[98]

#define sipType_QNetworkInterface_InterfaceType sipExportedTypes_QtNetwork[100]

#define sipType_QNetworkInterface_InterfaceFlag sipExportedTypes_QtNetwork[99]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkInterface;

#define sipType_QNetworkProxy sipExportedTypes_QtNetwork[101]

#define sipType_QNetworkProxy_Capability sipExportedTypes_QtNetwork[102]

#define sipType_QNetworkProxy_ProxyType sipExportedTypes_QtNetwork[103]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkProxy;

#define sipType_QNetworkProxyQuery sipExportedTypes_QtNetwork[105]

#define sipType_QNetworkProxyQuery_QueryType sipExportedTypes_QtNetwork[106]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkProxyQuery;

#define sipType_QNetworkProxyFactory sipExportedTypes_QtNetwork[104]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkProxyFactory;

#define sipType_QNetworkReply sipExportedTypes_QtNetwork[107]

#define sipType_QNetworkReply_NetworkError sipExportedTypes_QtNetwork[108]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkReply;

#define sipType_QNetworkRequest sipExportedTypes_QtNetwork[109]

#define sipType_QNetworkRequest_TransferTimeoutConstant sipExportedTypes_QtNetwork[116]

#define sipType_QNetworkRequest_RedirectPolicy sipExportedTypes_QtNetwork[115]

#define sipType_QNetworkRequest_Priority sipExportedTypes_QtNetwork[114]

#define sipType_QNetworkRequest_LoadControl sipExportedTypes_QtNetwork[113]

#define sipType_QNetworkRequest_CacheLoadControl sipExportedTypes_QtNetwork[111]

#define sipType_QNetworkRequest_Attribute sipExportedTypes_QtNetwork[110]

#define sipType_QNetworkRequest_KnownHeaders sipExportedTypes_QtNetwork[112]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkRequest;

#define sipType_QNetworkRequestFactory sipExportedTypes_QtNetwork[117]

extern sipClassTypeDef sipTypeDef_QtNetwork_QNetworkRequestFactory;

#define sipType_QOcspResponse sipExportedTypes_QtNetwork[119]

extern sipClassTypeDef sipTypeDef_QtNetwork_QOcspResponse;

#define sipType_QPasswordDigestor sipExportedTypes_QtNetwork[121]

extern sipClassTypeDef sipTypeDef_QtNetwork_QPasswordDigestor;

#define sipType_QRestAccessManager sipExportedTypes_QtNetwork[122]

extern sipClassTypeDef sipTypeDef_QtNetwork_QRestAccessManager;

#define sipType_QRestReply sipExportedTypes_QtNetwork[123]

extern sipClassTypeDef sipTypeDef_QtNetwork_QRestReply;

#define sipType_QSsl sipExportedTypes_QtNetwork[124]

#define sipType_QSsl_SupportedFeature sipExportedTypes_QtNetwork[134]

#define sipType_QSsl_ImplementedClass sipExportedTypes_QtNetwork[129]

#define sipType_QSsl_AlertType sipExportedTypes_QtNetwork[126]

#define sipType_QSsl_AlertLevel sipExportedTypes_QtNetwork[125]

#define sipType_QSsl_SslOption sipExportedTypes_QtNetwork[132]

#define sipType_QSsl_SslProtocol sipExportedTypes_QtNetwork[133]

#define sipType_QSsl_AlternativeNameEntryType sipExportedTypes_QtNetwork[127]

#define sipType_QSsl_KeyAlgorithm sipExportedTypes_QtNetwork[130]

#define sipType_QSsl_EncodingFormat sipExportedTypes_QtNetwork[128]

#define sipType_QSsl_KeyType sipExportedTypes_QtNetwork[131]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSsl;

#define sipType_QSslCertificate sipExportedTypes_QtNetwork[135]

#define sipType_QSslCertificate_PatternSyntax sipExportedTypes_QtNetwork[136]

#define sipType_QSslCertificate_SubjectInfo sipExportedTypes_QtNetwork[137]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslCertificate;

#define sipType_QSslCertificateExtension sipExportedTypes_QtNetwork[138]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslCertificateExtension;

#define sipType_QSslCipher sipExportedTypes_QtNetwork[139]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslCipher;

#define sipType_QSslConfiguration sipExportedTypes_QtNetwork[140]

#define sipType_QSslConfiguration_NextProtocolNegotiationStatus sipExportedTypes_QtNetwork[141]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslConfiguration;

#define sipType_QSslDiffieHellmanParameters sipExportedTypes_QtNetwork[142]

#define sipType_QSslDiffieHellmanParameters_Error sipExportedTypes_QtNetwork[143]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslDiffieHellmanParameters;

#define sipType_QSslEllipticCurve sipExportedTypes_QtNetwork[144]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslEllipticCurve;

#define sipType_QSslError sipExportedTypes_QtNetwork[145]

#define sipType_QSslError_SslError sipExportedTypes_QtNetwork[146]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslError;

#define sipType_QSslKey sipExportedTypes_QtNetwork[147]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslKey;

#define sipType_QSslPreSharedKeyAuthenticator sipExportedTypes_QtNetwork[148]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslPreSharedKeyAuthenticator;

#define sipType_QTcpServer sipExportedTypes_QtNetwork[153]

extern sipClassTypeDef sipTypeDef_QtNetwork_QTcpServer;

#define sipType_QSslServer sipExportedTypes_QtNetwork[149]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslServer;

#define sipType_QTcpSocket sipExportedTypes_QtNetwork[154]

extern sipClassTypeDef sipTypeDef_QtNetwork_QTcpSocket;

#define sipType_QSslSocket sipExportedTypes_QtNetwork[150]

#define sipType_QSslSocket_PeerVerifyMode sipExportedTypes_QtNetwork[151]

#define sipType_QSslSocket_SslMode sipExportedTypes_QtNetwork[152]

extern sipClassTypeDef sipTypeDef_QtNetwork_QSslSocket;

#define sipType_QUdpSocket sipExportedTypes_QtNetwork[155]

extern sipClassTypeDef sipTypeDef_QtNetwork_QUdpSocket;

#define sipType_QList_0100QString sipExportedTypes_QtNetwork[73]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QString;

#define sipType_QList_0100QOcspResponse sipExportedTypes_QtNetwork[64]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QOcspResponse;

#define sipType_QMap_0100QByteArray_0100QVariant sipExportedTypes_QtNetwork[81]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QMap_0100QByteArray_0100QVariant;

#define sipType_QList_0100QSslEllipticCurve sipExportedTypes_QtNetwork[71]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QSslEllipticCurve;

#define sipType_QList_0100QSslCipher sipExportedTypes_QtNetwork[70]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QSslCipher;

#define sipType_QList_0100QSslCertificateExtension sipExportedTypes_QtNetwork[69]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QSslCertificateExtension;

#define sipType_QList_0100QSslCertificate sipExportedTypes_QtNetwork[68]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QSslCertificate;

#define sipType_std_optional_0100QJsonDocument sipExportedTypes_QtNetwork[157]

extern sipMappedTypeDef sipTypeDef_QtNetwork_std_optional_0100QJsonDocument;

#define sipType_QList_0100QNetworkProxy sipExportedTypes_QtNetwork[63]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QNetworkProxy;

#define sipType_QList_0100QNetworkInterface sipExportedTypes_QtNetwork[62]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QNetworkInterface;

#define sipType_QList_0100QNetworkAddressEntry sipExportedTypes_QtNetwork[60]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QNetworkAddressEntry;

#define sipType_QList_0100QNetworkCookie sipExportedTypes_QtNetwork[61]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QNetworkCookie;

#define sipType_QList_0100QHstsPolicy sipExportedTypes_QtNetwork[59]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QHstsPolicy;

#define sipType_QList_0100QSslError sipExportedTypes_QtNetwork[72]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QSslError;

#define sipType_QList_0100QHostAddress sipExportedTypes_QtNetwork[58]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QHostAddress;

#define sipType_std_pair_0100QHostAddress_1800 sipExportedTypes_QtNetwork[159]

extern sipMappedTypeDef sipTypeDef_QtNetwork_std_pair_0100QHostAddress_1800;

#define sipType_QList_0100QDnsTlsAssociationRecord sipExportedTypes_QtNetwork[57]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QDnsTlsAssociationRecord;

#define sipType_QList_0100QDnsTextRecord sipExportedTypes_QtNetwork[56]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QDnsTextRecord;

#define sipType_QList_0100QDnsServiceRecord sipExportedTypes_QtNetwork[55]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QDnsServiceRecord;

#define sipType_QList_0100QDnsMailExchangeRecord sipExportedTypes_QtNetwork[54]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QDnsMailExchangeRecord;

#define sipType_QList_0100QDnsHostAddressRecord sipExportedTypes_QtNetwork[53]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QDnsHostAddressRecord;

#define sipType_QList_0100QDnsDomainNameRecord sipExportedTypes_QtNetwork[52]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QDnsDomainNameRecord;

#define sipType_QFlags_0100QSsl_SslOption sipExportedTypes_QtNetwork[33]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QSsl_SslOption;

#define sipType_std_pair_0100QByteArray_0100QByteArray sipExportedTypes_QtNetwork[158]

extern sipMappedTypeDef sipTypeDef_QtNetwork_std_pair_0100QByteArray_0100QByteArray;

#define sipType_QFlags_0100QNetworkProxy_Capability sipExportedTypes_QtNetwork[32]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QNetworkProxy_Capability;

#define sipType_QFlags_0100QNetworkInterface_InterfaceFlag sipExportedTypes_QtNetwork[31]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QNetworkInterface_InterfaceFlag;

#define sipType_QFlags_0100QNetworkInformation_Feature sipExportedTypes_QtNetwork[30]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QNetworkInformation_Feature;

#define sipType_QList_0600std_pair_0100QByteArray_0100QByteArray sipExportedTypes_QtNetwork[74]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0600std_pair_0100QByteArray_0100QByteArray;

#define sipType_QFlags_0100QLocalSocket_SocketOption sipExportedTypes_QtNetwork[29]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QLocalSocket_SocketOption;

#define sipType_QFlags_0100QLocalServer_SocketOption sipExportedTypes_QtNetwork[28]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QLocalServer_SocketOption;

#define sipType_QFlags_0100QHstsPolicy_PolicyFlag sipExportedTypes_QtNetwork[27]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QHstsPolicy_PolicyFlag;

#define sipType_QFlags_0100QHostAddress_ConversionModeFlag sipExportedTypes_QtNetwork[26]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QHostAddress_ConversionModeFlag;

#define sipType_QFlags_0100QFormDataBuilder_Option sipExportedTypes_QtNetwork[25]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QFormDataBuilder_Option;

#define sipType_QFlags_0100QAbstractSocket_PauseMode sipExportedTypes_QtNetwork[24]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QAbstractSocket_PauseMode;

#define sipType_QFlags_0100QAbstractSocket_BindFlag sipExportedTypes_QtNetwork[23]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QFlags_0100QAbstractSocket_BindFlag;

#define sipType_QHash_0100QNetworkRequest_Attribute_0100QVariant sipExportedTypes_QtNetwork[37]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QHash_0100QNetworkRequest_Attribute_0100QVariant;

#define sipType_QList_0100QSsl_SupportedFeature sipExportedTypes_QtNetwork[67]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QSsl_SupportedFeature;

#define sipType_QList_0100QSsl_ImplementedClass sipExportedTypes_QtNetwork[65]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QSsl_ImplementedClass;

#define sipType_QList_0100QSsl_SslProtocol sipExportedTypes_QtNetwork[66]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QList_0100QSsl_SslProtocol;

#define sipType_QMultiMap_0100QSsl_AlternativeNameEntryType_0100QString sipExportedTypes_QtNetwork[82]

extern sipMappedTypeDef sipTypeDef_QtNetwork_QMultiMap_0100QSsl_AlternativeNameEntryType_0100QString;

#define sipType_Q_IPV6ADDR sipExportedTypes_QtNetwork[156]

extern sipMappedTypeDef sipTypeDef_QtNetwork_Q_IPV6ADDR;

#define sipType_QOcspRevocationReason sipExportedTypes_QtNetwork[120]

#define sipType_QOcspCertificateStatus sipExportedTypes_QtNetwork[118]

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtNetwork;
extern sipExportedModuleDef sipModuleAPI_QtNetwork;
extern sipTypeDef *sipExportedTypes_QtNetwork[];

#define sipType_QObject sipImportedTypes_QtNetwork_QtCore[19].it_td

#define sipType_QIODeviceBase sipImportedTypes_QtNetwork_QtCore[13].it_td

#define sipType_QIODevice sipImportedTypes_QtNetwork_QtCore[12].it_td

#define sipType_QByteArray sipImportedTypes_QtNetwork_QtCore[1].it_td

#define sipType_QEvent sipImportedTypes_QtNetwork_QtCore[8].it_td

#define sipType_QTimerEvent sipImportedTypes_QtNetwork_QtCore[23].it_td

#define sipType_QChildEvent sipImportedTypes_QtNetwork_QtCore[3].it_td

#define sipType_QCryptographicHash_Algorithm sipImportedTypes_QtNetwork_QtCore[4].it_td

#define sipType_QDataStream sipImportedTypes_QtNetwork_QtCore[5].it_td

#define sipType_QDateTime sipImportedTypes_QtNetwork_QtCore[6].it_td

#define sipType_QDeadlineTimer sipImportedTypes_QtNetwork_QtCore[7].it_td

#define sipType_QJsonDocument sipImportedTypes_QtNetwork_QtCore[14].it_td

#define sipType_QJsonParseError sipImportedTypes_QtNetwork_QtCore[15].it_td

#define sipType_QMetaMethod sipImportedTypes_QtNetwork_QtCore[18].it_td

#define sipType_QUrl sipImportedTypes_QtNetwork_QtCore[24].it_td

#define sipType_QUrl_ParsingMode sipImportedTypes_QtNetwork_QtCore[25].it_td

#define sipType_QUrlQuery sipImportedTypes_QtNetwork_QtCore[26].it_td

#define sipType_QVariant sipImportedTypes_QtNetwork_QtCore[27].it_td

#define sipType_QList_0100QByteArray sipImportedTypes_QtNetwork_QtCore[16].it_td

#define sipType_QMap_0100QString_0100QVariant sipImportedTypes_QtNetwork_QtCore[17].it_td

#define sipType_QHash_0100QString_0100QVariant sipImportedTypes_QtNetwork_QtCore[11].it_td

#define sipType_QFlags_0100QUrl_ComponentFormattingOption sipImportedTypes_QtNetwork_QtCore[10].it_td

#define sipType_QFlags_0100QIODeviceBase_OpenModeFlag sipImportedTypes_QtNetwork_QtCore[9].it_td

#define sipType_QByteArrayView sipImportedTypes_QtNetwork_QtCore[2].it_td

#define sipType_QStringList sipImportedTypes_QtNetwork_QtCore[21].it_td

#define sipType_QStringView sipImportedTypes_QtNetwork_QtCore[22].it_td

#define sipType_QString sipImportedTypes_QtNetwork_QtCore[20].it_td

#define sipType_std_chrono_milliseconds sipImportedTypes_QtNetwork_QtCore[30].it_td

#define sipType_QAnyStringView sipImportedTypes_QtNetwork_QtCore[0].it_td

#define sipType_quintptr sipImportedTypes_QtNetwork_QtCore[29].it_td

#define sipType_qintptr sipImportedTypes_QtNetwork_QtCore[28].it_td
extern sipImportedTypeDef sipImportedTypes_QtNetwork_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtNetwork_QtCore[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *, sipTypeDef *);
extern sip_qt_metaobject_func sip_QtNetwork_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *, sipTypeDef *, QMetaObject::Call, int, void **);
extern sip_qt_metacall_func sip_QtNetwork_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtNetwork_qt_metacast;
#line 73 "/builddir/build/BUILD/python-pyqt6-6.9.1-build/pyqt6-6.9.1/sip/QtNetwork/qhostinfo.sip"
// Imports from QtCore.
typedef sipErrorState (*pyqt6_qtnetwork_get_connection_parts_t)(PyObject *, QObject *, const char *, bool, QObject **, QByteArray &);
extern pyqt6_qtnetwork_get_connection_parts_t pyqt6_qtnetwork_get_connection_parts;
#line 3679 "/builddir/build/BUILD/python-pyqt6-6.9.1-build/pyqt6-6.9.1/build/QtNetwork/sipAPIQtNetwork.h"

#endif
